<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Madrasha</title>

    <!-- Font Awesome for icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">

    <!-- intl-tel-input CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css">

    <style>
        @font-face {
            font-family: 'bengali';
            src: url('../fonts/siliguri_semibold.ttf') format('truetype');
            font-weight: normal;
            font-style: normal;
        }

        * {
            box-sizing: border-box;
            font-family: 'bengali', sans-serif;
            margin: 0;
            padding: 0;
        }

        /* Base Styles */
        :root {
            --primary-color: #2c7be5;
            --secondary-color: #6e84a3;
            --success-color: #00d97e;
            --danger-color: #e63757;
            --warning-color: #f6c343;
            --light-color: #f9fafd;
            --dark-color: #12263f;
            --border-color: #e3ebf6;
            --shadow: 0 0.5rem 1.5rem rgba(18, 38, 63, 0.1);
            --border-radius: 0.375rem;
        }

        body {
            line-height: 1.6;
            color: var(--dark-color);
            background-color: #f5f7fa;
            padding: 15px;
        }

        /* Form Container */
        .form-container {
            max-width: 900px;
            margin: 20px auto;
            background: white;
            border-radius: var(--border-radius);
            box-shadow: var(--shadow);
            overflow: hidden;
        }

        /* Form Header */
        .form-header {
            background: linear-gradient(135deg, var(--primary-color), #1a5cb0);
            color: white;
            padding: 15px;
            text-align: center;
        }

        .form-header h2 {
            font-size: 1.5rem;
            font-weight: 600;
        }

        /* Form Body */
        .form-body {
            padding: 20px;
        }

        /* Form Groups */
        .form-group {
            margin-bottom: 15px;
        }

        .form-group label {
            display: block;
            margin-bottom: 6px;
            font-weight: 500;
            color: var(--dark-color);
        }

        .form-control {
            width: 100%;
            padding: 10px 12px;
            font-size: 0.95rem;
            border: 1px solid var(--border-color);
            border-radius: var(--border-radius);
            transition: border-color 0.3s, box-shadow 0.3s;
        }

        .form-control:focus {
            outline: none;
            border-color: var(--primary-color);
            box-shadow: 0 0 0 0.2rem rgba(44, 123, 229, 0.25);
        }

        /* Input Group */
        .input-group {
            display: flex;
            position: relative;
        }

        .input-group .form-control {
            flex: 1;
        }

        .input-group-append {
            display: flex;
            align-items: center;
            padding: 0 12px;
            background-color: var(--light-color);
            border: 1px solid var(--border-color);
            border-left: none;
            border-radius: 0 var(--border-radius) var(--border-radius) 0;
            cursor: pointer;
        }

        /* Form Tables */
        .form-table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 15px;
        }

        .form-table td {
            padding: 8px;
            vertical-align: top;
        }

        /* Password Requirements */
        .password-requirements {
            margin-top: 8px;
            font-size: 0.8rem;
            color: var(--secondary-color);
        }

        .requirement {
            display: flex;
            align-items: center;
            margin-bottom: 4px;
        }

        .requirement i {
            margin-right: 6px;
            font-size: 0.75rem;
            width: 14px;
            text-align: center;
        }

        .valid {
            color: var(--success-color);
        }

        .invalid {
            color: var(--danger-color);
        }

        /* Submit Button */
        .submit-btn {
            display: block;
            width: 100%;
            padding: 12px;
            background: linear-gradient(135deg, var(--primary-color), #1a5cb0);
            color: white;
            border: none;
            border-radius: var(--border-radius);
            font-size: 1rem;
            font-weight: 500;
            cursor: pointer;
            transition: all 0.3s;
        }

        .submit-btn:hover {
            background: linear-gradient(135deg, #1a5cb0, var(--primary-color));
            transform: translateY(-2px);
            box-shadow: 0 4px 12px rgba(44, 123, 229, 0.3);
        }

        /* Modal Styles */
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 1000;
            align-items: center;
            justify-content: center;
        }

        .modal-content {
            background-color: white;
            border-radius: var(--border-radius);
            overflow: hidden;
            width: 95%;
            max-width: 500px;
            box-shadow: var(--shadow);
            animation: modalFadeIn 0.3s;
        }

        @keyframes modalFadeIn {
            from {
                opacity: 0;
                transform: translateY(-20px);
            }

            to {
                opacity: 1;
                transform: translateY(0);
            }
        }

        .modal-header {
            background-color: var(--danger-color);
            color: white;
            padding: 12px 15px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .modal-title {
            font-size: 1.1rem;
            font-weight: 500;
        }

        .close-btn {
            background: none;
            border: none;
            color: white;
            font-size: 1.3rem;
            cursor: pointer;
        }

        .modal-body {
            padding: 15px;
        }

        .modal-icon {
            font-size: 2rem;
            color: var(--danger-color);
            margin-bottom: 10px;
        }

        .modal-footer {
            padding: 12px 15px;
            display: flex;
            justify-content: flex-end;
            border-top: 1px solid var(--border-color);
        }

        .btn {
            padding: 7px 14px;
            border-radius: var(--border-radius);
            font-weight: 500;
            cursor: pointer;
            transition: all 0.2s;
            font-size: 0.9rem;
        }

        .btn-danger {
            background-color: var(--danger-color);
            color: white;
            border: none;
        }

        .btn-danger:hover {
            background-color: #d62a4a;
        }

        .btn-primary {
            background-color: var(--primary-color);
            color: white;
            border: none;
        }

        .btn-primary:hover {
            background-color: #1a5cb0;
        }

        /* Responsive Design */
        @media (max-width: 768px) {
            .form-table {
                display: block;
            }

            .form-table tr {
                display: flex;
                flex-direction: column;
                margin-bottom: 0;
            }

            .form-table td {
                display: block;
                width: 100%;
                padding: 5px 0;
            }

            .form-header h2 {
                font-size: 1.3rem;
            }

            .form-body {
                padding: 15px;
            }

            .password-requirements {
                font-size: 0.75rem;
            }
        }

        @media (max-width: 480px) {
            body {
                padding: 10px;
            }

            .form-container {
                margin: 10px auto;
            }

            .form-header {
                padding: 12px;
            }

            .form-header h2 {
                font-size: 1.2rem;
            }

            .form-body {
                padding: 12px;
            }

            .form-control {
                padding: 8px 10px;
                font-size: 0.9rem;
            }

            .input-group-append {
                padding: 0 10px;
            }

            .submit-btn {
                padding: 10px;
                font-size: 0.95rem;
            }

            .modal-content {
                width: 98%;
            }

            .modal-header {
                padding: 10px 12px;
            }

            .modal-title {
                font-size: 1rem;
            }

            .modal-body {
                padding: 12px;
            }

            .modal-icon {
                font-size: 1.8rem;
            }

            .btn {
                padding: 6px 12px;
                font-size: 0.85rem;
            }
        }
    </style>
</head>

<body>
    <div class="form-container">
        <div class="form-header">
            <h2>আপনার মাদরাসা যুক্ত করুন</h2>
        </div>

        <form action="../db/madrasha/create.php" method="POST" enctype="multipart/form-data" id="madrashaForm"
            class="form-body">
            <div class="form-group">
                <label for="schoolName">মাদরাসার নাম</label>
                <input type="text" name="schoolName" class="form-control" id="schoolName"
                    placeholder="মাদরাসার নাম লিখুন" required>
            </div>

            <div class="form-group">
                <label for="email">ইমেইল</label>
                <input type="email" name="email" class="form-control" id="email" placeholder="ইমেইল ঠিকানা লিখুন"
                    required>
            </div>

            <table class="form-table">
                <tr>
                    <td>
                        <div class="form-group">
                            <label for="phone">মোবাইল নাম্বার</label>
                            <input type="tel" name="phone" class="form-control" id="phone"
                                placeholder="মোবাইল নাম্বার লিখুন" required>
                            <input type="hidden" name="full_phone" id="full_phone">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <label for="schoolImage">মাদরাসার ছবি</label>
                            <input type="file" name="image" class="form-control" id="schoolImage" required>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <label for="datetime">তারিখ ও সময়</label>
                            <input type="datetime-local" class="form-control" name="datetime" id="datetime" required>
                        </div>
                    </td>
                </tr>
            </table>

            <div class="form-group">
                <label for="password">পাসওয়ার্ড</label>
                <div class="input-group">
                    <input type="password" name="password" class="form-control" id="password"
                        placeholder="পাসওয়ার্ড লিখুন" required>
                    <span class="input-group-append" onclick="togglePassword('password', 'toggleIcon1')">
                        <i id="toggleIcon1" class="fas fa-eye"></i>
                    </span>
                </div>
                <div class="password-requirements">
                    <div class="requirement">
                        <i id="length-icon" class="far fa-circle"></i>
                        <span id="length-text">কমপক্ষে ৮ ক্যারেক্টার</span>
                    </div>
                    <div class="requirement">
                        <i id="number-icon" class="far fa-circle"></i>
                        <span id="number-text">কমপক্ষে একটি সংখ্যা (0-9)</span>
                    </div>
                    <div class="requirement">
                        <i id="special-icon" class="far fa-circle"></i>
                        <span id="special-text">কমপক্ষে একটি বিশেষ ক্যারেক্টার (!@#$%^&*)</span>
                    </div>
                    <div class="requirement">
                        <i id="lowercase-icon" class="far fa-circle"></i>
                        <span id="lowercase-text">কমপক্ষে একটি ছোট হাতের অক্ষর (a-z)</span>
                    </div>
                    <div class="requirement">
                        <i id="uppercase-icon" class="far fa-circle"></i>
                        <span id="uppercase-text">কমপক্ষে একটি বড় হাতের অক্ষর (A-Z)</span>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label for="confirmPassword">কনফার্ম পাসওয়ার্ড</label>
                <div class="input-group">
                    <input type="password" name="confirmPassword" class="form-control" id="confirmPassword"
                        placeholder="পাসওয়ার্ড আবার লিখুন" required>
                    <span class="input-group-append" onclick="togglePassword('confirmPassword', 'toggleIcon2')">
                        <i id="toggleIcon2" class="fas fa-eye"></i>
                    </span>
                </div>
                <div id="confirm-message" class="password-requirements"></div>
            </div>

            <table class="form-table">
                <tr>
                    <td>
                        <div class="form-group">
                            <label for="post">পোষ্ট</label>
                            <input type="text" class="form-control" name="post" id="post" placeholder="পোষ্ট অফিসের নাম"
                                required>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <label for="policeStation">থানা/উপজেলা</label>
                            <input type="text" class="form-control" name="policeStation" id="policeStation"
                                placeholder="থানা/উপজেলার নাম" required>
                        </div>
                    </td>
                </tr>
            </table>

            <table class="form-table">
                <tr>
                    <td>
                        <div class="form-group">
                            <label for="district">জেলা</label>
                            <input type="text" class="form-control" name="district" id="district"
                                placeholder="জেলার নাম" required>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <label for="country">দেশের নাম</label>
                            <input type="text" class="form-control" name="country" id="country" placeholder="দেশের নাম"
                                required>
                        </div>
                    </td>
                </tr>
            </table>

            <button type="submit" class="submit-btn">জমা দিন</button>
        </form>
    </div>

    <!-- Password Mismatch Modal -->
    <div id="passwordMismatchModal" class="modal">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title">ত্রুটি</h3>
                <button class="close-btn" onclick="closeModal('passwordMismatchModal')">&times;</button>
            </div>
            <div class="modal-body" style="text-align: center;">
                <i class="fas fa-exclamation-triangle modal-icon"></i>
                <h3 style="margin-bottom: 15px;">পাসওয়ার্ড মিলছে না!</h3>
                <p>আপনার প্রদত্ত পাসওয়ার্ড এবং কনফার্ম পাসওয়ার্ড একই নয়। অনুগ্রহ করে আবার চেষ্টা করুন।</p>
            </div>
            <div class="modal-footer">
                <button class="btn btn-danger" onclick="closeModal('passwordMismatchModal')">ঠিক আছে</button>
            </div>
        </div>
    </div>

    <!-- Password Requirements Modal -->
    <div id="passwordRequirementsModal" class="modal">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title">পাসওয়ার্ড রিকোয়ারমেন্ট</h3>
                <button class="close-btn" onclick="closeModal('passwordRequirementsModal')">&times;</button>
            </div>
            <div class="modal-body">
                <p>আপনার পাসওয়ার্ডে নিম্নলিখিত বৈশিষ্ট্য থাকা আবশ্যক:</p>
                <ul style="margin-left: 20px; margin-top: 10px;">
                    <li style="margin-bottom: 8px;">কমপক্ষে ৮ ক্যারেক্টার দীর্ঘ</li>
                    <li style="margin-bottom: 8px;">কমপক্ষে একটি সংখ্যা (0-9)</li>
                    <li style="margin-bottom: 8px;">কমপক্ষে একটি বিশেষ ক্যারেক্টার (!@#$%^&*)</li>
                    <li style="margin-bottom: 8px;">কমপক্ষে একটি ছোট হাতের অক্ষর (a-z)</li>
                    <li style="margin-bottom: 8px;">কমপক্ষে একটি বড় হাতের অক্ষর (A-Z)</li>
                </ul>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" onclick="closeModal('passwordRequirementsModal')">বুঝেছি</button>
            </div>
        </div>
    </div>

    <!-- intl-tel-input JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>

    <script>
        // Toggle password visibility
        function togglePassword(fieldId, iconId) {
            const passwordField = document.getElementById(fieldId);
            const icon = document.getElementById(iconId);

            if (passwordField.type === "password") {
                passwordField.type = "text";
                icon.classList.remove("fa-eye");
                icon.classList.add("fa-eye-slash");
            } else {
                passwordField.type = "password";
                icon.classList.remove("fa-eye-slash");
                icon.classList.add("fa-eye");
            }
        }

        // Modal functions
        function openModal(modalId) {
            document.getElementById(modalId).style.display = "flex";
        }

        function closeModal(modalId) {
            document.getElementById(modalId).style.display = "none";
        }

        // Close modal when clicking outside
        window.onclick = function (event) {
            if (event.target.className === "modal") {
                event.target.style.display = "none";
            }
        }

        // Form validation
        document.addEventListener("DOMContentLoaded", function () {
            const form = document.getElementById("madrashaForm");
            const passwordInput = document.getElementById("password");
            const confirmPasswordInput = document.getElementById("confirmPassword");
            const confirmMessage = document.getElementById("confirm-message");

            function checkPasswordRequirements(password) {
                const hasLength = password.length >= 8;
                const hasNumber = /\d/.test(password);
                const hasSpecial = /[!@#$%)("=/\|{}'?><;.,-_&*]/.test(password);
                const hasLowercase = /[a-z]/.test(password);
                const hasUppercase = /[A-Z]/.test(password);

                updateRequirementIcon("length-icon", "length-text", hasLength);
                updateRequirementIcon("number-icon", "number-text", hasNumber);
                updateRequirementIcon("special-icon", "special-text", hasSpecial);
                updateRequirementIcon("lowercase-icon", "lowercase-text", hasLowercase);
                updateRequirementIcon("uppercase-icon", "uppercase-text", hasUppercase);

                return hasLength && hasNumber && hasSpecial && hasLowercase && hasUppercase;
            }

            function updateRequirementIcon(iconId, textId, isValid) {
                const icon = document.getElementById(iconId);
                const text = document.getElementById(textId);

                if (isValid) {
                    icon.classList.remove("far", "fa-circle", "invalid");
                    icon.classList.add("fas", "fa-check-circle", "valid");
                    text.classList.add("valid");
                } else {
                    icon.classList.remove("fas", "fa-check-circle", "valid");
                    icon.classList.add("far", "fa-circle", "invalid");
                    text.classList.remove("valid");
                }
            }

            function checkConfirmPassword() {
                const password = passwordInput.value;
                const confirmPassword = confirmPasswordInput.value;

                if (confirmPassword === "") {
                    confirmMessage.innerHTML = "";
                    return false;
                }

                if (password === confirmPassword) {
                    confirmMessage.innerHTML = '<span class="valid"><i class="fas fa-check-circle"></i> পাসওয়ার্ড মিলেছে</span>';
                    return true;
                } else {
                    confirmMessage.innerHTML = '<span class="invalid"><i class="fas fa-times-circle"></i> পাসওয়ার্ড মিলছে না</span>';
                    return false;
                }
            }

            passwordInput.addEventListener("input", function () {
                checkPasswordRequirements(this.value);
            });

            confirmPasswordInput.addEventListener("input", checkConfirmPassword);

            form.addEventListener("submit", function (event) {
                const password = passwordInput.value;
                const confirmPassword = confirmPasswordInput.value;

                const isPasswordValid = checkPasswordRequirements(password);
                const isConfirmValid = checkConfirmPassword();

                if (!isPasswordValid) {
                    event.preventDefault();
                    openModal("passwordRequirementsModal");
                } else if (!isConfirmValid) {
                    event.preventDefault();
                    openModal("passwordMismatchModal");
                }
            });

            // Initialize intl-tel-input
            const phoneInput = document.querySelector("#phone");
            const intlTelInput = window.intlTelInput(phoneInput, {
                initialCountry: "bd", // Bangladesh as default
                separateDialCode: true,
                utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js"
            });

            // Update hidden input with full phone number before form submission
            form.addEventListener("submit", function () {
                const fullNumber = intlTelInput.getNumber();
                document.getElementById("full_phone").value = fullNumber;
            });
        });
    </script>
</body>

</html>