<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ভর্তি ফর্ম</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/hijri-date@1.0.4/hijri-date.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-hijri/2.1.2/moment-hijri.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/suncalc/1.8.0/suncalc.min.js"></script>
    <style>
        .arabic-date {
            direction: rtl;
            text-align: right;
            font-family: 'Traditional Arabic', Arial, sans-serif;
            font-size: 1.1em;
        }

        .loading {
            color: #666;
            font-style: italic;
        }
    </style>
</head>

<body>


    <?php

    if ($_SERVER['REQUEST_METHOD'] === 'POST'):
        $class_id = $_POST['id'];
        $email = $_POST['email'];
        $name = $_POST['name'];

        if (isset($email)):
            ?>


            <div class="container mt-5">
                <div class="card p-4 shadow-lg myclass">
                    <h2 class="mb-4 text-center text-success">ভর্তি ফর্ম</h2>
                    <form action="../db/students/create1.php" method="POST">
                        <h4 class="text-primary">ছাত্র কর্তিক পূরণীয়</h4>

                        <input type="hidden" name="id" value="<?php echo $class_id; ?>">
                        <input type="hidden" name="email" value="<?php echo $email; ?>">

                        <table class="table table-bordered">
                            <tr>
                                <td><label class="form-label">শিক্ষাবর্ষ</label><input type="text" name="academic_year"
                                        class="form-control"></td>
                                <td><label class="form-label">সিলেক্টেড ক্লাস</label><input name="class" id="class"
                                        class="form-control" value="<?php echo $name; ?>"></td>


                                <td>
                                    <label class="form-label">আজকের তারিখ</label>
                                    <div class="input-group">
                                        <input type="date" name="admission_date" id="gregorianDate" class="form-control">

                                        <input type="text" id="hijriDate" name="hijri_admission_date"
                                            class="form-control arabic-date" readonly value="লোকেশন ডিটেক্ট করা হচ্ছে...">
                                    </div>
                                    <small id="locationInfo" class="text-muted"></small>
                                </td>



                            </tr>


                            <tr>
                                <td>
                                    <label class="form-label">ভর্তির বছর (হিজরি)</label>
                                    <input type="number" name="hijri_joined_year" id="joined_year" class="form-control"
                                         readonly>
                                </td>
                                <td colspan="2">
                                    <label class="form-label">ভর্তির মাস (হিজরি)</label>

                                    <input type="number" name="hijri_joined_month" class="form-control" readonly>

                                </td>
                            </tr>


                            <tr>
                                <td>
                                    <label class="form-label">ভর্তির বছর (ইংরেজি)</label>
                                    <input type="number" name="joined_year_english" class="form-control" readonly>
                                </td>
                                <td colspan="2">
                                    <label class="form-label">ভর্তির মাস (ইংরেজি)</label>
                                    <input type="number" name="joined_month_english" class="form-control" readonly>
                                </td>
                            </tr>


                            <tr>
                                <td><label class="form-label">নাম</label><input type="text" name="student_name"
                                        class="form-control"></td>
                                <td><label class="form-label">বয়স</label><input type="number" name="age" class="form-control">
                                </td>
                                <td><label class="form-label">জন্ম তারিখ</label><input type="date" name="birth_date"
                                        class="form-control"></td>
                            </tr>
                            <tr>
                                <td><label class="form-label">পিতার নাম</label><input type="text" name="father_name"
                                        class="form-control"></td>
                                <td colspan="2"><label class="form-label">পিতার পেশা</label><input type="text"
                                        name="father_profession" class="form-control"></td>
                            </tr>
                            <tr>
                                <td><label class="form-label">স্থায়ী ঠিকানা</label><input type="text" name="permanent_address"
                                        class="form-control"></td>
                                <td colspan="2"><label class="form-label">পোস্ট</label><input type="text" name="post"
                                        class="form-control"></td>
                            </tr>
                            <tr>
                                <td><label class="form-label">থানা/উপজেলা</label><input type="text" name="upazila"
                                        class="form-control"></td>
                                <td colspan="2"><label class="form-label">জেলা</label><input type="text" name="district"
                                        class="form-control"></td>
                            </tr>
                            <tr>
                                <td colspan="3"><label class="form-label">বর্তমান ঠিকানা</label><input type="text"
                                        name="current_address" class="form-control"></td>
                            </tr>
                            <tr>
                                <td><label class="form-label">অভিভাবকের নাম</label><input type="text" name="guardian_name"
                                        class="form-control"></td>
                                <td colspan="2"><label class="form-label">সম্পর্ক</label><input type="text"
                                        name="guardian_relation" class="form-control"></td>
                            </tr>
                        </table>

                        <button type="submit" class="btn btn-success w-100 mt-4">ফর্ম সাবমিট করুন</button>
                    </form>
                </div>
            </div>


            <?php
        else:
            echo "No email set";
        endif;
    else:
        echo "Invalid Request";
    endif;
    ?>

<script>
    // ইউজারের বর্তমান অবস্থান
    let userLocation = {
        latitude: null,
        longitude: null,
        city: 'অজানা',
        country: 'অজানা'
    };

    // অবস্থান ডিটেক্ট করার স্ট্যাটাস
    let locationStatus = {
        detected: false,
        error: false,
        message: ''
    };

    // সূর্যাস্তের সময় ক্যালকুলেটর
    function calculateSunset(date, lat, lng) {
        const times = SunCalc.getTimes(date, lat, lng);
        console.log(`Sunset calculation for ${date.toDateString()} at [${lat}, ${lng}]:`, times.sunset);
        return times.sunset;
    }

    // ইসলামিক তারিখ কনভার্টার (ইংরেজি ফরম্যাটে)
    function convertToHijriWithLocation(gregorianDate, location) {
        let isLocationEstimated = false;

        if (!location.latitude || !location.longitude) {
            location.latitude = 21.3891; // Mecca lat
            location.longitude = 39.8579; // Mecca lng
            locationStatus.message = '⚠️ আপনার লোকেশন ডিটেক্ট হয়নি, ডিফল্ট হিসাবে মক্কার সময় ব্যবহার করা হচ্ছে';
            document.getElementById('locationInfo').textContent = locationStatus.message;
            isLocationEstimated = true;
            locationStatus.detected = false;
        } else if (!locationStatus.error && !locationStatus.message) {
            locationStatus.message = `আপনার অবস্থান: ${userLocation.city}, ${userLocation.country}`;
        }

        const now = new Date();
        if (!(gregorianDate instanceof Date) || isNaN(gregorianDate)) {
            console.error("Invalid Date provided to convertToHijriWithLocation");
            return "অবৈধ ইংরেজি তারিখ";
        }

        const inputDateOnly = new Date(gregorianDate.getFullYear(), gregorianDate.getMonth(), gregorianDate.getDate());
        const todayDateOnly = new Date(now.getFullYear(), now.getMonth(), now.getDate());

        const sunset = calculateSunset(inputDateOnly, location.latitude, location.longitude);
        const isToday = inputDateOnly.getTime() === todayDateOnly.getTime();
        const isAfterSunset = isToday && now > sunset;

        const dateToFormat = new Date(gregorianDate);
        if (isAfterSunset) {
            dateToFormat.setDate(dateToFormat.getDate() + 1);
            console.log("After sunset adjustment active. Formatting Gregorian date:", dateToFormat.toISOString().split('T')[0]);
        } else {
            console.log("Before sunset or not today. Formatting Gregorian date:", dateToFormat.toISOString().split('T')[0]);
        }

        let hijriParts = { day: '??', month: '??', year: '????' };
        try {
            const intlDate = new Intl.DateTimeFormat('en-TN-u-ca-islamic-umalqura', {
                day: '2-digit',
                month: '2-digit',
                year: 'numeric',
                timeZone: 'UTC'
            }).formatToParts(dateToFormat);

            intlDate.forEach(part => {
                if (part.type === 'day') hijriParts.day = part.value;
                if (part.type === 'month') hijriParts.month = part.value;
                if (part.type === 'year') hijriParts.year = part.value;
            });

        } catch (e) {
            console.error("Error formatting Hijri date:", e);
            return "ফরম্যাট করতে সমস্যা হয়েছে";
        }

        const hijriFormatted = `${hijriParts.month}/${hijriParts.day}/${hijriParts.year}`;

        let locationMsg = locationStatus.message || '';
        if (!isLocationEstimated && locationStatus.detected) {
            const sunsetTimeFormatted = sunset.toLocaleTimeString('bn-BD', { hour: 'numeric', minute: '2-digit' });
            locationMsg += ` | সূর্যাস্তের সময় (${sunsetTimeFormatted}) অনুসারে হিসাব করা হয়েছে`;
            if (isToday) {
                locationMsg += isAfterSunset ? " (সূর্যাস্তের পর)" : " (সূর্যাস্তের আগে)";
            }
            document.getElementById('locationInfo').textContent = locationMsg;
        } else if (locationStatus.error) {
            document.getElementById('locationInfo').textContent = locationStatus.message;
        }

        return hijriFormatted;
    }

    // ইউজারের লোকেশন ফেচ করা
    function fetchUserLocation() {
        return new Promise((resolve) => {
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(
                    (position) => {
                        userLocation.latitude = position.coords.latitude;
                        userLocation.longitude = position.coords.longitude;
                        console.log("Location fetched:", userLocation.latitude, userLocation.longitude);

                        fetch(`https://nominatim.openstreetmap.org/reverse?format=json&lat=${userLocation.latitude}&lon=${userLocation.longitude}&accept-language=bn,en`)
                            .then(response => response.json())
                            .then(data => {
                                if (data.address) {
                                    userLocation.city = data.address.city || data.address.town || data.address.village || data.address.state_district || 'অজানা শহর';
                                    userLocation.country = data.address.country || 'অজানা দেশ';
                                }
                                locationStatus.detected = true;
                                locationStatus.error = false;
                                locationStatus.message = `আপনার অবস্থান: ${userLocation.city}, ${userLocation.country}`;
                                document.getElementById('locationInfo').textContent = locationStatus.message;
                                console.log("Location details:", userLocation.city, userLocation.country);
                                resolve(userLocation);
                            })
                            .catch((error) => {
                                console.error("Error fetching location name:", error);
                                locationStatus.detected = true;
                                locationStatus.error = false;
                                locationStatus.message = 'আপনার অবস্থান ডিটেক্ট করা হয়েছে (নাম পাওয়া যায়নি)';
                                document.getElementById('locationInfo').textContent = locationStatus.message;
                                resolve(userLocation);
                            });
                    },
                    (error) => {
                        locationStatus.error = true;
                        locationStatus.detected = false;
                        switch (error.code) {
                            case error.PERMISSION_DENIED:
                                locationStatus.message = "⚠️ লোকেশন অ্যাক্সেস করার অনুমতি দেওয়া হয়নি।";
                                break;
                            case error.POSITION_UNAVAILABLE:
                                locationStatus.message = "⚠️ লোকেশনের তথ্য এই মুহূর্তে পাওয়া যাচ্ছে না।";
                                break;
                            case error.TIMEOUT:
                                locationStatus.message = "⚠️ লোকেশন পাওয়ার চেষ্টা করার সময় টাইম-আউট হয়েছে।";
                                break;
                            default:
                                locationStatus.message = "⚠️ লোকেশন পেতে একটি অজানা ত্রুটি ঘটেছে।";
                                break;
                        }
                        document.getElementById('locationInfo').textContent = locationStatus.message;
                        console.error("Geolocation error:", error.message);
                        resolve(null);
                    }
                );
            } else {
                locationStatus.error = true;
                locationStatus.detected = false;
                locationStatus.message = '⚠️ আপনার ব্রাউজার জিওলোকেশন সমর্থন করে না।';
                document.getElementById('locationInfo').textContent = locationStatus.message;
                resolve(null);
            }
        });
    }

    // তারিখ থেকে হিজরি বছর এবং মাস বের করে সংশ্লিষ্ট ফিল্ডে সেট করার ফাংশন
    function setHijriYearAndMonthFromDate(hijriDateString) {
        const hijriJoinedYear = document.querySelector('input[name="hijri_joined_year"]');
        const hijriJoinedMonth = document.querySelector('input[name="hijri_joined_month"]');
        
        if (!hijriDateString || hijriDateString.includes('??')) return;
        
        // হিজরি তারিখ পার্স করা (ফরম্যাট: MM/DD/YYYY)
        const hijriParts = hijriDateString.split('/');
        if (hijriParts.length !== 3) return;
        
        const hijriMonth = hijriParts[0];
        const hijriYear = hijriParts[2];
        
        if (hijriJoinedYear) hijriJoinedYear.value = hijriYear;
        if (hijriJoinedMonth) hijriJoinedMonth.value = hijriMonth;
    }

    // তারিখ থেকে ইংরেজি বছর এবং মাস বের করে সংশ্লিষ্ট ফিল্ডে সেট করার ফাংশন
    function setEnglishYearAndMonthFromDate() {
        const gregorianDateInput = document.getElementById('gregorianDate');
        const joinedYearEnglish = document.querySelector('input[name="joined_year_english"]');
        const joinedMonthEnglish = document.querySelector('input[name="joined_month_english"]');

        if (!gregorianDateInput.value) return;

        const date = new Date(gregorianDateInput.value);
        if (isNaN(date)) return;

        const year = date.getFullYear();
        if (joinedYearEnglish) joinedYearEnglish.value = year;

        const month = date.getMonth() + 1;
        if (joinedMonthEnglish) joinedMonthEnglish.value = month;
    }

    // তারিখ পরিবর্তন হ্যান্ডলার
    async function handleDateChange() {
        const gregorianDateInput = document.getElementById('gregorianDate');
        const hijriDateInput = document.getElementById('hijriDate');

        if (!gregorianDateInput.value) {
            hijriDateInput.value = 'ইংরেজি তারিখ সিলেক্ট করুন';
            return;
        }

        const gregorianDate = new Date(gregorianDateInput.value + 'T00:00:00');
        if (isNaN(gregorianDate)) {
            hijriDateInput.value = 'অবৈধ ইংরেজি তারিখ';
            return;
        }

        hijriDateInput.value = 'হিসাব করা হচ্ছে...';

        if (!locationStatus.detected && !locationStatus.error) {
            document.getElementById('locationInfo').textContent = 'লোকেশন সনাক্ত করা হচ্ছে...';
            await fetchUserLocation();
        }

        try {
            const arabicDate = convertToHijriWithLocation(gregorianDate, userLocation);
            hijriDateInput.value = arabicDate;
            
            // হিজরি বছর এবং মাস সেট করুন
            setHijriYearAndMonthFromDate(arabicDate);
            
            // ইংরেজি বছর এবং মাস সেট করুন
            setEnglishYearAndMonthFromDate();
        } catch (error) {
            hijriDateInput.value = 'তারিখ কনভার্ট করতে সমস্যা হয়েছে';
            console.error('Error converting date:', error);
            document.getElementById('locationInfo').textContent = 'ত্রুটি: তারিখ কনভার্ট করা যায়নি।';
        }
    }

    // পেজ লোড হওয়ার পর
    document.addEventListener('DOMContentLoaded', async () => {
        const today = new Date();
        const formattedDate = today.getFullYear() + '-' +
            ('0' + (today.getMonth() + 1)).slice(-2) + '-' +
            ('0' + today.getDate()).slice(-2);
        document.getElementById('gregorianDate').value = formattedDate;

        await handleDateChange();

        document.getElementById('gregorianDate').addEventListener('change', function() {
            handleDateChange();
        });
    });
</script>


    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>