<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ছাত্র/ছাত্রী হাজিরা</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>

@font-face {
            font-family: 'bengali';
            src: url('../fonts/siliguri_semibold.ttf') format('truetype');
            font-weight: normal;
            font-style: normal;
        }

        *,
        *::before,
        *::after {
            box-sizing: inherit;
            font-family: 'bengali', sans-serif;
            margin: 0;
            padding: 0;
        }

        html {
            box-sizing: border-box;
        }


        body {
            background-color: #f8f9fa;
            padding: 20px;
        }

        .attendance-container {
            max-width: 1400px;
            margin: 0 auto;
            background-color: white;
            border-radius: 10px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
            padding: 30px;
        }

        .attendance-header {
            text-align: center;
            margin-bottom: 30px;
            color: #2c3e50;
            border-bottom: 2px solid #3498db;
            padding-bottom: 15px;
        }

        .students-grid {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 15px;
            margin-bottom: 30px;
        }

        .student-card {
            display: flex;
            flex-direction: column;
            padding: 15px;
            background-color: #f8f9fa;
            border-radius: 8px;
            transition: all 0.3s ease;
            border-left: 4px solid #3498db;
            height: 100%;
        }

        .student-card:hover {
            background-color: #e9ecef;
            transform: translateY(-2px);
        }

        .student-info {
            flex-grow: 1;
            margin-bottom: 10px;
        }

        .student-name {
            font-weight: 600;
            color: #2c3e50;
            margin-bottom: 5px;
            font-size: 1rem;
        }

        .form-no {
            font-size: 0.85rem;
            color: #7f8c8d;
        }

        .attendance-options {
            margin-top: auto;
        }

        .attendance-check {
            margin-bottom: 10px;
        }

        .form-check-input {
            width: 1.5em;
            height: 1.5em;
        }

        .reason-options {
            display: flex;
            flex-direction: column;
            gap: 5px;
            margin-top: 10px;
        }

        .reason-radio {
            display: flex;
            align-items: center;
        }

        .reason-radio input {
            margin-right: 8px;
        }

        .submit-btn {
            width: 100%;
            padding: 12px;
            font-weight: 600;
            letter-spacing: 1px;
            background-color: #3498db;
            border: none;
            margin-top: 20px;
        }

        .submit-btn:hover {
            background-color: #2980b9;
        }

        .status-message {
            text-align: center;
            margin: 20px 0;
            padding: 10px;
            border-radius: 5px;
            transition: opacity 1s ease-out;
        }

        .error-message {
            background-color: #f8d7da;
            color: #721c24;
            border: 1px solid #f5c6cb;
        }

        .success-message {
            background-color: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }

        .no-students {
            text-align: center;
            padding: 20px;
            background-color: #f8d7da;
            color: #721c24;
            border-radius: 8px;
            margin-bottom: 20px;
            grid-column: 1 / -1;
        }

        .datetime-container {
            display: flex;
            justify-content: center;
            margin-bottom: 20px;
        }

        .datetime-input {
            max-width: 300px;
        }

        .alert-modal .modal-content {
            border: none;
            border-radius: 10px;
            overflow: hidden;
        }

        .alert-modal .modal-header {
            background-color: #f8d7da;
            color: #721c24;
            border-bottom: 1px solid #f5c6cb;
        }

        .alert-modal .modal-body {
            padding: 20px;
            text-align: center;
            font-size: 1.1rem;
        }

        .alert-modal .modal-footer {
            justify-content: center;
            border-top: none;
            padding-top: 0;
        }

        .alert-modal .btn-close {
            filter: invert(20%) sepia(50%) saturate(3000%) hue-rotate(340deg) brightness(80%) contrast(100%);
        }

        @media (max-width: 1200px) {
            .students-grid {
                grid-template-columns: repeat(3, 1fr);
            }
        }

        @media (max-width: 992px) {
            .students-grid {
                grid-template-columns: repeat(2, 1fr);
            }
        }

        @media (max-width: 768px) {
            .students-grid {
                grid-template-columns: 1fr;
            }
            .attendance-container {
                padding: 15px;
            }
            .student-card {
                flex-direction: row;
                align-items: center;
                justify-content: space-between;
            }
            .attendance-options {
                margin-top: 0;
                margin-left: 15px;
                min-width: 150px;
            }
        }

        @media (max-width: 576px) {
            .student-card {
                flex-direction: column;
                align-items: flex-start;
            }
            .attendance-options {
                margin-left: 0;
                margin-top: 10px;
                width: 100%;
            }
        }
    </style>
</head>

<body>
    <div class="attendance-container">
        <?php
        if ($_SERVER['REQUEST_METHOD'] === 'POST'):
            $classes_id = $_POST['id'];
            $classes_name = $_POST['name'];
            $email = $_POST['email'];

            include_once '../db/database/conn.php';
            $db = new DBConn();
            $conn = $db->getConnection();

            // Fetch students with form_no
            $students = [];
            $query = "SELECT student_name, form_no FROM selfstudents WHERE class_id = ? AND class_name = ? AND madrasha_email = ? ORDER BY student_name";
            $stmt = $conn->prepare($query);
            $stmt->bind_param("iss", $classes_id, $classes_name, $email);
            $stmt->execute();
            $result = $stmt->get_result();
            while ($row = $result->fetch_assoc()) {
                $students[] = [
                    'name' => $row['student_name'],
                    'form_no' => $row['form_no']
                ];
            }
            $stmt->close();
            $conn->close();
        ?>

            <input type="hidden" name="classes_id" id="classes_id" value="<?= $classes_id; ?>">
            <input type="hidden" name="classes_name" id="classes_name" value="<?= $classes_name; ?>">
            <input type="hidden" name="email" id="email" value="<?= $email; ?>">

            <div class="attendance-header">
                <h2><?php echo $classes_name; ?> -র ছাত্র/ছাত্রী হাজিরা</h2>
                <div class="datetime-container">
                    <div class="input-group datetime-input">
                        <span class="input-group-text">তারিখ ও সময়</span>
                        <input type="datetime-local" class="form-control" id="attendanceDateTime">
                    </div>
                </div>
            </div>

            <div id="statusMessage" class="status-message d-none"></div>
            <div class="students-grid" id="attendanceList"></div>

            <button id="submitAttendance" class="btn btn-primary submit-btn">হাজিরা জমা দিন</button>

            <!-- Confirmation Modal -->
            <div class="modal fade" id="confirmationModal" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">হাজিরা নিশ্চিতকরণ</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <p>আপনি কি নিশ্চিত যে আপনি হাজিরা জমা দিতে চান? একবার জমা দেওয়ার পরে এটি পরিবর্তন করা যাবে না।</p>
                            <div id="attendanceSummary"></div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">বাতিল করুন</button>
                            <button type="button" id="confirmSubmit" class="btn btn-primary">জমা দিন</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Alert Modal for DateTime Validation -->
            <div class="modal fade alert-modal" id="alertModal" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">সতর্কতা</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <i class="bi bi-exclamation-triangle-fill text-danger fs-1 mb-3 d-block"></i>
                            <p id="alertMessage">দয়া করে তারিখ ও সময় নির্বাচন করুন</p>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">ঠিক আছে</button>
                        </div>
                    </div>
                </div>
            </div>

            <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
            <script>
                const students = <?= json_encode($students); ?>;
                const attendanceList = document.getElementById("attendanceList");
                const submitButton = document.getElementById("submitAttendance");
                const confirmationModal = new bootstrap.Modal(document.getElementById('confirmationModal'));
                const alertModal = new bootstrap.Modal(document.getElementById('alertModal'));
                const statusMessage = document.getElementById("statusMessage");
                const dateTimeInput = document.getElementById("attendanceDateTime");
                const alertMessage = document.getElementById("alertMessage");

                function showMessage(message, isError = false) {
                    statusMessage.textContent = message;
                    statusMessage.classList.remove('d-none', 'error-message', 'success-message');
                    statusMessage.classList.add(isError ? 'error-message' : 'success-message');
                    
                    // Auto-hide after 5 seconds
                    setTimeout(() => {
                        statusMessage.style.opacity = '1';
                        setTimeout(() => {
                            statusMessage.style.opacity = '0';
                            setTimeout(() => {
                                statusMessage.classList.add('d-none');
                                statusMessage.style.opacity = '';
                            }, 1000);
                        }, 5000);
                    }, 0);
                }

                function formatDateTimeForDB(dateTimeString) {
                    const [datePart, timePart] = dateTimeString.split('T');
                    return `${datePart} ${timePart}:00`;
                }

                function sendDataToPHP(studentName, formNo, status, reason, dateTime) {
                    const classesId = document.getElementById("classes_id").value;
                    const classesName = document.getElementById("classes_name").value;
                    const email = document.getElementById("email").value;
                    
                    const formattedDateTime = formatDateTimeForDB(dateTime);

                    return fetch('student_attendance_api.php', {
                            method: 'POST',
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded'
                            },
                            body: `name=${encodeURIComponent(studentName)}&form_no=${encodeURIComponent(formNo)}&status=${status}&reason=${reason}&time=${encodeURIComponent(formattedDateTime)}&classes_id=${encodeURIComponent(classesId)}&classes_name=${encodeURIComponent(classesName)}&email=${encodeURIComponent(email)}`
                        })
                        .then(response => response.text())
                        .catch(error => {
                            console.error('Error:', error);
                            throw error;
                        });
                }

                function setupAttendanceCheckboxes() {
                    if (students.length === 0) {
                        attendanceList.innerHTML = `
                        <div class="no-students">
                            <h5>কোন ছাত্র/ছাত্রী পাওয়া যায়নি!</h5>
                            <p>এই ক্লাসে কোনো ছাত্র/ছাত্রী নিবন্ধিত হয়নি বা ডাটাবেসে তথ্য নেই।</p>
                        </div>`;
                        submitButton.style.display = "none";
                        return;
                    }

                    students.forEach((student, index) => {
                        const card = document.createElement("div");
                        card.classList.add("student-card");

                        const studentInfo = document.createElement("div");
                        studentInfo.classList.add("student-info");

                        const nameElement = document.createElement("div");
                        nameElement.classList.add("student-name");
                        nameElement.textContent = student.name;

                        const formNoElement = document.createElement("div");
                        formNoElement.classList.add("form-no");
                        formNoElement.textContent = `ফর্ম নং: ${student.form_no}`;

                        studentInfo.appendChild(nameElement);
                        studentInfo.appendChild(formNoElement);

                        const optionsDiv = document.createElement("div");
                        optionsDiv.classList.add("attendance-options");

                        // Attendance checkbox
                        const checkDiv = document.createElement("div");
                        checkDiv.classList.add("attendance-check", "form-check", "form-switch");

                        const checkbox = document.createElement("input");
                        checkbox.type = "checkbox";
                        checkbox.classList.add("form-check-input");
                        checkbox.id = `student${index}`;
                        checkbox.checked = true;

                        const label = document.createElement("label");
                        label.classList.add("form-check-label");
                        label.htmlFor = `student${index}`;
                        label.textContent = "উপস্থিত";
                        label.setAttribute('data-present-text', 'উপস্থিত');
                        label.setAttribute('data-absent-text', 'অনুপস্থিত');

                        checkDiv.appendChild(checkbox);
                        checkDiv.appendChild(label);

                        // Reason radio buttons
                        const reasonDiv = document.createElement("div");
                        reasonDiv.classList.add("reason-options");

                        const rukhsatOption = document.createElement("div");
                        rukhsatOption.classList.add("reason-radio");
                        const rukhsatRadio = document.createElement("input");
                        rukhsatRadio.type = "radio";
                        rukhsatRadio.name = `reason${index}`;
                        rukhsatRadio.id = `rukhsat${index}`;
                        rukhsatRadio.value = "রুখসত";
                        const rukhsatLabel = document.createElement("label");
                        rukhsatLabel.htmlFor = `rukhsat${index}`;
                        rukhsatLabel.textContent = "রুখসত";
                        rukhsatOption.appendChild(rukhsatRadio);
                        rukhsatOption.appendChild(rukhsatLabel);

                        const bimarOption = document.createElement("div");
                        bimarOption.classList.add("reason-radio");
                        const bimarRadio = document.createElement("input");
                        bimarRadio.type = "radio";
                        bimarRadio.name = `reason${index}`;
                        bimarRadio.id = `bimar${index}`;
                        bimarRadio.value = "বিমার";
                        const bimarLabel = document.createElement("label");
                        bimarLabel.htmlFor = `bimar${index}`;
                        bimarLabel.textContent = "বিমার";
                        bimarOption.appendChild(bimarRadio);
                        bimarOption.appendChild(bimarLabel);

                        reasonDiv.appendChild(rukhsatOption);
                        reasonDiv.appendChild(bimarOption);

                        optionsDiv.appendChild(checkDiv);
                        optionsDiv.appendChild(reasonDiv);

                        card.appendChild(studentInfo);
                        card.appendChild(optionsDiv);

                        attendanceList.appendChild(card);

                        // Add event listeners to handle the logic
                        const handleStatusChange = () => {
                            const isPresent = checkbox.checked;
                            const hasReason = rukhsatRadio.checked || bimarRadio.checked;

                            if (hasReason) {
                                checkbox.disabled = true;
                                label.textContent = hasReason ?
                                    (rukhsatRadio.checked ? "রুখসত" : "বিমার") :
                                    (isPresent ? label.getAttribute('data-present-text') : label.getAttribute('data-absent-text'));
                            } else {
                                checkbox.disabled = false;
                                label.textContent = isPresent ?
                                    label.getAttribute('data-present-text') :
                                    label.getAttribute('data-absent-text');
                            }
                        };

                        [checkbox, rukhsatRadio, bimarRadio].forEach(input => {
                            input.addEventListener('change', handleStatusChange);
                        });
                    });
                }

                submitButton.addEventListener("click", function() {
                    const selectedDateTime = dateTimeInput.value;
                    
                    if (!selectedDateTime) {
                        alertMessage.textContent = "দয়া করে তারিখ ও সময় নির্বাচন করুন";
                        alertModal.show();
                        return;
                    }

                    const studentCards = document.querySelectorAll(".student-card");
                    let presentCount = 0;
                    let absentCount = 0;
                    let rukhsatCount = 0;
                    let bimarCount = 0;

                    studentCards.forEach((card, index) => {
                        const checkbox = card.querySelector(".form-check-input");
                        const rukhsatRadio = card.querySelector(`input[value="রুখসত"]`);
                        const bimarRadio = card.querySelector(`input[value="বিমার"]`);

                        if (rukhsatRadio.checked) {
                            rukhsatCount++;
                        } else if (bimarRadio.checked) {
                            bimarCount++;
                        } else if (checkbox.checked) {
                            presentCount++;
                        } else {
                            absentCount++;
                        }
                    });

                    document.getElementById("attendanceSummary").innerHTML = `
                    <div class="alert alert-info">
                        <p><strong>মোট ছাত্র/ছাত্রী:</strong> ${students.length}</p>
                        <p><strong>উপস্থিত:</strong> ${presentCount}</p>
                        <p><strong>অনুপস্থিত:</strong> ${absentCount}</p>
                        <p><strong>রুখসত:</strong> ${rukhsatCount}</p>
                        <p><strong>বিমার:</strong> ${bimarCount}</p>
                        <p><strong>তারিখ ও সময়:</strong> ${new Date(selectedDateTime).toLocaleString()}</p>
                    </div>`;

                    confirmationModal.show();
                });

                document.getElementById("confirmSubmit").addEventListener("click", async function() {
                    const studentCards = document.querySelectorAll(".student-card");
                    const selectedDateTime = dateTimeInput.value;
                    
                    if (!selectedDateTime) {
                        alertMessage.textContent = "দয়া করে তারিখ ও সময় নির্বাচন করুন";
                        alertModal.show();
                        return;
                    }

                    let success = true;
                    submitButton.disabled = true;
                    submitButton.innerHTML = '<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> প্রসেসিং...';

                    try {
                        for (let i = 0; i < studentCards.length; i++) {
                            const card = studentCards[i];
                            const student = students[i];
                            const checkbox = card.querySelector(".form-check-input");
                            const rukhsatRadio = card.querySelector(`input[value="রুখসত"]`);
                            const bimarRadio = card.querySelector(`input[value="বিমার"]`);

                            let status, reason;

                            if (rukhsatRadio.checked) {
                                status = "Checked";
                                reason = "রুখসত";
                            } else if (bimarRadio.checked) {
                                status = "Checked";
                                reason = "বিমার";
                            } else {
                                status = checkbox.checked ? "Checked" : "Unchecked";
                                reason = "";
                            }

                            await sendDataToPHP(student.name, student.form_no, status, reason, selectedDateTime);
                        }

                        showMessage("হাজিরা সফলভাবে জমা দেওয়া হয়েছে!", false);
                        dateTimeInput.value = '';

                        studentCards.forEach(card => {
                            const inputs = card.querySelectorAll("input");
                            inputs.forEach(input => {
                                input.disabled = true;
                            });
                        });

                        submitButton.innerHTML = 'জমা দেওয়া হয়েছে';
                        submitButton.classList.remove('btn-primary');
                        submitButton.classList.add('btn-success');
                        confirmationModal.hide();
                        statusMessage.scrollIntoView({ behavior: 'smooth' });

                    } catch (error) {
                        showMessage("হাজিরা জমা দেওয়ার সময় একটি ত্রুটি ঘটেছে। দয়া করে আবার চেষ্টা করুন।", true);
                        submitButton.disabled = false;
                        submitButton.innerHTML = 'হাজিরা জমা দিন';
                        success = false;
                    }

                    if (success) {
                        submitButton.disabled = true;
                        dateTimeInput.disabled = true;
                    }
                });

                setupAttendanceCheckboxes();
            </script>
        <?php endif; ?>
    </div>
</body>
</html>