<?php

header("Content-Type: application/json");

include '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();


// JSON ডাটা সংগ্রহ করা
$data = json_decode(file_get_contents("php://input"));

if (isset($data->subjectName) && isset($data->madrashaEmail) && isset($data->classID) && isset($data->className)) {
    $subjectName = htmlspecialchars(strip_tags($data->subjectName));
    $madrashaEmail = htmlspecialchars(strip_tags($data->madrashaEmail));
    $classID = htmlspecialchars(strip_tags($data->classID));
    $className = htmlspecialchars(strip_tags($data->className));

    // SQL Query
    $sql = "INSERT INTO booklist (subject_name, madrasha_email, class_id, class_name) VALUES (?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssis", $subjectName, $madrashaEmail, $classID, $className);

    if ($stmt->execute()) {
        echo json_encode(["success" => true, "message" => "Data saved successfully"]);
    } else {
        echo json_encode(["success" => false, "message" => "Failed to save data"]);
    }
} else {
    echo json_encode(["success" => false, "message" => "Invalid input"]);
}
