<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Class</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/glubal.style.css">
    <style>
        /* Custom Modal Styles */
        .custom-modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 1000;
            justify-content: center;
            align-items: center;
            opacity: 0;
            transition: opacity 0.3s ease;
        }

        .custom-modal.active {
            display: flex;
            opacity: 1;
        }

        .modal-content {
            background: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
            border-radius: 12px;
            width: 90%;
            max-width: 400px;
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
            transform: translateY(-20px);
            transition: transform 0.3s ease;
            overflow: hidden;
        }

        .modal-active .modal-content {
            transform: translateY(0);
        }

        .modal-header {
            padding: 20px;
            background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
            color: white;
            position: relative;
        }

        .modal-title {
            margin: 0;
            font-size: 1.25rem;
            font-weight: 600;
        }

        .modal-body {
            padding: 25px;
            color: #333;
            font-size: 1rem;
            line-height: 1.5;
        }

        .modal-footer {
            padding: 15px 20px;
            display: flex;
            justify-content: flex-end;
            border-top: 1px solid #eee;
        }

        .modal-btn {
            padding: 8px 20px;
            border-radius: 6px;
            border: none;
            font-weight: 500;
            cursor: pointer;
            transition: all 0.2s ease;
        }

        .modal-btn-primary {
            background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
            color: white;
        }

        .modal-btn-primary:hover {
            transform: translateY(-2px);
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .modal-icon {
            display: flex;
            justify-content: center;
            margin-bottom: 15px;
        }

        .modal-icon svg {
            width: 60px;
            height: 60px;
        }

        .success-icon {
            color: #4CAF50;
        }

        .error-icon {
            color: #F44336;
        }

        @media (max-width: 576px) {
            .modal-content {
                width: 95%;
            }
        }
    </style>
</head>

<body>
    <?php

    if ($_SERVER['REQUEST_METHOD'] === 'POST'):

        $email = $_POST['email'];
        $classID = $_POST['classID'];
        $classname = $_POST['classname'];

        ?>
        <div class="container mt-5 card p-4 shadow-lg">
            <h2 class="text-center" id="subjectTitle" name="subjectTitle"> <?php echo $classname; ?> জামা'আতে পাঠ্য কিতাব
                যুক্ত করুন</h2>
            <p style="font-size: 14px; text-align: center;">কোন কিতাবের খন্ড বা ভাগ থাকলে পাঠ্য কিতাবের নামের সাথে সেটা
                উল্লেখ করুন যেমন: [ ক্বাসাসুন নাবিইয়ীন ২খন্ড | জালালাইন ২২ পারা-৩০ পারা | মেশকাত: কিতাবুল ইলম-কিতাবুল লিবাস
                ]</p>
            <form action="subject_add.php" method="POST">
                <div class="mb-3">
                    <input type="text" class="form-control" name="subjectName" id="subjectName" required
                        placeholder="পাঠ্য কিতাবের নাম লিখুন">
                    <input type="hidden" class="form-control mt-3" name="madrashaEmail" id="madrashaEmail"
                        value="<?php echo $email; ?>">
                    <input type="hidden" class="form-control mt-3" name="classID" id="classID"
                        value="<?php echo $classID; ?>">
                    <input type="hidden" class="form-control mt-3" name="className" id="className"
                        value="<?php echo $classname; ?>">
                </div>
                <button type="submit" id="submitBtn" class="btn btn-primary w-100">সাবমিট করুন</button>
            </form>
        </div>
    <?php endif; ?>

    <!-- Custom Modal Structure -->
    <div class="custom-modal" id="customModal">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="modalTitle">Modal Title</h3>
            </div>
            <div class="modal-body">
                <div class="modal-icon" id="modalIcon">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
                    </svg>
                </div>
                <p id="modalMessage">Modal message goes here</p>
            </div>
            <div class="modal-footer">
                <button class="modal-btn modal-btn-primary" id="modalConfirmBtn">OK</button>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        // Custom Modal Functions
        const customModal = document.getElementById('customModal');
        const modalTitle = document.getElementById('modalTitle');
        const modalMessage = document.getElementById('modalMessage');
        const modalIcon = document.getElementById('modalIcon');
        const modalConfirmBtn = document.getElementById('modalConfirmBtn');

        function showModal(title, message, isSuccess) {
            modalTitle.textContent = title;
            modalMessage.textContent = message;

            // Set icon based on success/error
            modalIcon.innerHTML = isSuccess ?
                `<svg class="success-icon" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
                </svg>` :
                `<svg class="error-icon" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                </svg>`;

            customModal.classList.add('active');

            // Add animation class
            setTimeout(() => {
                customModal.querySelector('.modal-content').classList.add('modal-active');
            }, 10);
        }

        function hideModal() {
            customModal.querySelector('.modal-content').classList.remove('modal-active');
            setTimeout(() => {
                customModal.classList.remove('active');
            }, 300);
        }

        // Event listeners for modal
        modalConfirmBtn.addEventListener('click', hideModal);
        customModal.addEventListener('click', (e) => {
            if (e.target === customModal) {
                hideModal();
            }
        });

        // Main functionality with new modal
        let subjectname = document.getElementById("subjectName");
        let madrashaEmail = document.getElementById("madrashaEmail");
        let classID = document.getElementById("classID");
        let className = document.getElementById("className");
        let submitBtn = document.getElementById("submitBtn");

        submitBtn.addEventListener("click", async (event) => {
            event.preventDefault();

            // Validate input
            if (!subjectname.value.trim()) {
                showModal('ত্রুটি', 'দয়া করে পাঠ্য কিতাবের নাম লিখুন', false);
                return;
            }

            await saveToDatabase();
        });

        async function saveToDatabase() {
            let data = {
                subjectName: subjectname.value,
                madrashaEmail: madrashaEmail.value,
                classID: classID.value,
                className: className.value
            };

            try {
                let response = await fetch("subject_add.php", {
                    method: "POST",
                    headers: {
                        "Content-Type": "application/json"
                    },
                    body: JSON.stringify(data)
                });

                let result = await response.json();

                if (result.success) {
                    showModal('সফল হয়েছে!', 'ডাটা সফলভাবে সংরক্ষণ করা হয়েছে!', true);
                    // Clear form after successful submission
                    subjectname.value = '';
                } else {
                    showModal('ত্রুটি', 'ডাটা সংরক্ষণ করতে ব্যর্থ হয়েছে।', false);
                }
            } catch (error) {
                console.error("Error:", error);
                showModal('ত্রুটি', 'ডাটা সংরক্ষণ করার সময় একটি ত্রুটি ঘটেছে।', false);
            }
        }
    </script>
</body>

</html>