<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Class Information</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/all.min.css">

    <style>
        @font-face {
            font-family: 'bengali';
            src: url('../../fonts/siliguri_semibold.ttf') format('truetype');
            font-weight: normal;
            font-style: normal;
        }

        *,
        *::before,
        *::after {
            box-sizing: inherit;
            font-family: 'bengali', sans-serif;
            margin: 0;
            padding: 0;
        }

        html {
            box-sizing: border-box;
        }

        :root {
            --primary-color: #4e73df;
            --secondary-color: #f8f9fc;
            --accent-color: #2e59d9;
            --danger-color: #e74a3b;
            --success-color: #1cc88a;
            --warning-color: #f6c23e;
        }

        body {
            background-color: #f8f9fc;
            font-family: 'Nunito', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
        }

        .search-container {
            background: white;
            border-radius: 0.35rem;
            box-shadow: 0 0.15rem 1.75rem 0 rgba(58, 59, 69, 0.15);
            padding: 1.5rem;
            margin-bottom: 2rem;
        }

        .search-box {
            position: relative;
        }

        .search-box .form-control {
            padding-left: 2.5rem;
            border-radius: 0.35rem;
        }

        .search-box .search-icon {
            position: absolute;
            left: 1rem;
            top: 50%;
            transform: translateY(-50%);
            color: #6c757d;
        }

        .class-card {
            background: white;
            border-radius: 0.35rem;
            box-shadow: 0 0.15rem 1.75rem 0 rgba(58, 59, 69, 0.15);
            margin-bottom: 2rem;
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            overflow: hidden;
        }

        .class-card:hover {
            transform: translateY(-5px);
            box-shadow: 0 0.5rem 2rem 0 rgba(58, 59, 69, 0.2);
        }

        .class-header {
            background: linear-gradient(135deg, var(--primary-color) 0%, var(--accent-color) 100%);
            color: white;
            padding: 1.5rem;
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);
        }

        .class-body {
            padding: 1.5rem;
        }

        .btn-action {
            margin-bottom: 0.75rem;
            padding: 0.75rem;
            font-weight: 600;
            border-radius: 0.25rem;
            transition: all 0.3s;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .btn-action i {
            margin-right: 8px;
        }

        .btn-primary {
            background-color: var(--primary-color);
            border-color: var(--primary-color);
        }

        .btn-primary:hover {
            background-color: var(--accent-color);
            border-color: var(--accent-color);
        }

        .btn-warning {
            background-color: var(--warning-color);
            border-color: var(--warning-color);
            color: #000;
        }

        .btn-danger {
            background-color: var(--danger-color);
            border-color: var(--danger-color);
        }

        .btn-danger:hover {
            background-color: #c0392b;
            border-color: #c0392b;
        }

        .btn-secondary {
            background-color: #858796;
            border-color: #858796;
        }

        .btn-success {
            background-color: var(--success-color);
            border-color: var(--success-color);
        }

        .no-data {
            text-align: center;
            padding: 3rem;
            background: white;
            border-radius: 0.35rem;
            box-shadow: 0 0.15rem 1.75rem 0 rgba(58, 59, 69, 0.1);
        }

        .no-data i {
            font-size: 3rem;
            color: #dddfeb;
            margin-bottom: 1rem;
        }

        .action-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 1rem;
            margin-top: 1.5rem;
        }

        .delete-modal .modal-header {
            background-color: var(--danger-color);
            color: white;
        }

        .confirmation-icon {
            font-size: 4rem;
            color: var(--danger-color);
            margin-bottom: 1.5rem;
        }

        .hidden {
            display: none;
        }

        @media (max-width: 768px) {
            .action-grid {
                grid-template-columns: 1fr;
            }
        }
    </style>
</head>

<body>
    <div class="container py-5">
        <?php
        require_once '../database/conn.php';

        $db = new DBConn();
        $conn = $db->getConnection();
        $table = $db->getClassesTable();

        if ($_SERVER['REQUEST_METHOD'] === 'POST'):
            $email = $_POST['email'];

            if (isset($email)):
                $query = "SELECT * FROM $table WHERE madrasha_email = '$email'";
                $result = $conn->query($query);

                if ($result->num_rows > 0):
                    $classes = [];
                    while ($row = $result->fetch_assoc()) {
                        $classes[] = $row;
                    }
        ?>
                    <!-- Search Box -->
                    <div class="search-container mb-4">
                        <div class="row">
                            <div class="col-md-6">
                                <h4 class="mb-3">Search Classes</h4>
                                <div class="search-box">
                                    <i class="fas fa-search search-icon"></i>
                                    <input type="text" id="classSearch" class="form-control" placeholder="Search by class name..." onkeyup="filterClasses()">
                                </div>
                            </div>
                            <div class="col-md-6 d-flex align-items-end justify-content-end">
                                <form action="../../add_madrashas/add_class.php" method="POST">
                                    <input type="hidden" name="email" value="<?php echo $email; ?>">
                                    <button type="submit" class="btn btn-primary">
                                        <i class="fas fa-plus me-1"></i> Create New Class
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!-- Class Count -->
                    <div class="alert alert-info mb-4">
                        <i class="fas fa-info-circle me-2"></i> Found <strong id="classCount"><?php echo count($classes); ?></strong> classes
                    </div>

                    <!-- Classes List -->
                    <div id="classesContainer">
                        <?php foreach ($classes as $row): ?>
                            <div class="class-card" data-classname="<?php echo strtolower(htmlspecialchars($row['name'])); ?>">
                                <div class="class-header">
                                    <h1 class="h4 mb-0"><i class="fas fa-chalkboard-teacher me-2"></i> <?php echo htmlspecialchars($row['name']); ?></h1>
                                    <p class="mb-0 mt-2"><i class="fas fa-envelope me-2"></i> <?php echo htmlspecialchars($row['madrasha_email']); ?></p>
                                </div>
                                <div class="class-body">
                                    <div class="d-flex justify-content-between align-items-center mb-4">
                                        <span class="badge bg-primary rounded-pill px-3 py-2">
                                            <i class="fas fa-id-card me-1"></i> Class ID: <?php echo htmlspecialchars($row['classes_id']); ?>
                                        </span>
                                        <button class="btn btn-sm btn-danger" data-bs-toggle="modal" data-bs-target="#deleteModal<?php echo $row['classes_id']; ?>">
                                            <i class="fas fa-trash me-1"></i> Delete Class
                                        </button>
                                    </div>

                                    <div class="action-grid">
                                        <!-- Add Students -->
                                        <form action="../../add_students/student_form.php" method="POST">
                                            <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="name" value="<?php echo htmlspecialchars($row['name']); ?>">
                                            <input type="hidden" name="email" value="<?php echo htmlspecialchars($row['madrasha_email']); ?>">
                                            <button type="submit" class="btn btn-primary btn-action w-100">
                                                <i class="fas fa-user-plus me-1"></i> Add Students
                                            </button>
                                        </form>

                                        <!-- View Corrent Students -->
                                        <form action="../students/corrent_students.php" method="POST">
                                            <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="email" value="<?php echo $row['madrasha_email']; ?>">
                                            <button type="submit" class="btn btn-dark btn-action w-100">
                                                <i class="fas fa-users me-1"></i> View Corrent Students
                                            </button>
                                        </form>


                                        <!-- View All Students -->
                                        <form action="../students/students_count.php" method="POST">

                                            <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="email" value="<?php echo $row['madrasha_email']; ?>">

                                            <button type="submit" class="btn btn-warning btn-action w-100">
                                                <i class="fas fa-users me-1"></i> View All Students
                                            </button>
                                        </form>

                                        <!-- Take Attendance -->
                                        <form action="../../attendace/student_attendance.php" method="POST">
                                            <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="name" value="<?php echo htmlspecialchars($row['name']); ?>">
                                            <input type="hidden" name="email" value="<?php echo htmlspecialchars($row['madrasha_email']); ?>">
                                            <button type="submit" class="btn btn-success btn-action w-100">
                                                <i class="fas fa-clipboard-check me-1"></i> Take Attendance
                                            </button>
                                        </form>

                                        <!-- View Attendance -->
                                        <form action="../../attendace/display_students.php" method="POST">
                                            <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="name" value="<?php echo htmlspecialchars($row['name']); ?>">
                                            <input type="hidden" name="email" value="<?php echo htmlspecialchars($row['madrasha_email']); ?>">
                                            <button type="submit" class="btn btn-info btn-action w-100 text-white">
                                                <i class="fas fa-clipboard-list me-1"></i> View Attendance
                                            </button>
                                        </form>

                                        <!-- Add Books -->
                                        <form action="../../books/subjectslist.php" method="POST">
                                            <input type="hidden" name="email" value="<?php echo htmlspecialchars($email); ?>">
                                            <input type="hidden" name="classID" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="classname" value="<?php echo htmlspecialchars($row['name']); ?>">
                                            <button type="submit" class="btn btn-secondary btn-action w-100">
                                                <i class="fas fa-book me-1"></i> Add Books
                                            </button>
                                        </form>

                                        <!-- Add Results -->
                                        <form action="../../results/add_result.php" method="POST">
                                            <input type="hidden" name="email" value="<?php echo htmlspecialchars($row['madrasha_email']); ?>">
                                            <button type="submit" class="btn btn-primary btn-action w-100">
                                                <i class="fas fa-plus-circle me-1"></i> Add Results
                                            </button>
                                        </form>

                                        <!-- View Results -->
                                        <form action="display_result.php" method="POST">
                                            <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                            <input type="hidden" name="name" value="<?php echo htmlspecialchars($row['name']); ?>">
                                            <input type="hidden" name="email" value="<?php echo htmlspecialchars($row['madrasha_email']); ?>">
                                            <button type="submit" class="btn btn-primary btn-action w-100">
                                                <i class="fas fa-chart-bar me-1"></i> View Results
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <!-- Delete Confirmation Modal -->
                            <div class="modal fade delete-modal" id="deleteModal<?php echo $row['classes_id']; ?>" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="deleteModalLabel">Confirm Deletion</h5>
                                            <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body text-center py-4">
                                            <div class="confirmation-icon">
                                                <i class="fas fa-exclamation-triangle"></i>
                                            </div>
                                            <h4 class="mb-3">Are you sure you want to delete this class?</h4>
                                            <p class="text-muted">Class: <?php echo htmlspecialchars($row['name']); ?><br>
                                                Class ID: <?php echo htmlspecialchars($row['classes_id']); ?></p>
                                            <p class="text-danger"><strong>Warning:</strong> This action cannot be undone and will permanently delete the class and all associated data.</p>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
                                                <i class="fas fa-times me-1"></i> Cancel
                                            </button>
                                            <form action="delete.php" method="POST" class="d-inline">
                                                <input type="hidden" name="id" value="<?php echo $row['classes_id']; ?>">
                                                <button type="submit" class="btn btn-danger">
                                                    <i class="fas fa-trash me-1"></i> Delete Permanently
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>

                    <!-- No Results Message (Hidden by default) -->
                    <div id="noResultsMessage" class="no-data hidden">
                        <i class="fas fa-search"></i>
                        <h3 class="h4 text-gray-900 mb-3">No Classes Found</h3>
                        <p class="text-muted">No classes match your search criteria.</p>
                    </div>

                    <script>
                        function filterClasses() {
                            const input = document.getElementById('classSearch');
                            const filter = input.value.toLowerCase();
                            const classes = document.querySelectorAll('.class-card');
                            let visibleCount = 0;

                            classes.forEach(classCard => {
                                const className = classCard.getAttribute('data-classname');
                                if (className.includes(filter)) {
                                    classCard.style.display = '';
                                    visibleCount++;
                                } else {
                                    classCard.style.display = 'none';
                                }
                            });

                            // Update class count
                            document.getElementById('classCount').textContent = visibleCount;

                            // Show/hide no results message
                            const noResultsMessage = document.getElementById('noResultsMessage');
                            if (visibleCount === 0 && filter !== '') {
                                noResultsMessage.classList.remove('hidden');
                            } else {
                                noResultsMessage.classList.add('hidden');
                            }
                        }
                    </script>
                <?php
                else:
                ?>
                    <div class="no-data">
                        <i class="fas fa-folder-open"></i>
                        <h3 class="h4 text-gray-900 mb-3">No Classes Found</h3>
                        <p class="text-muted">There are no classes registered with this email address.</p>
                        <form action="../../add_madrashas/add_class.php" method="POST">
                            <input type="hidden" name="email" value="<?php echo $email; ?>">
                            <button type="submit" class="btn btn-primary">
                                <i class="fas fa-plus me-1"></i> Create New Class
                            </button>
                        </form>
                    </div>
                <?php
                endif;
            else:
                ?>
                <div class="alert alert-danger" role="alert">
                    <i class="fas fa-exclamation-circle me-2"></i> Email address is required to retrieve class data.
                </div>
            <?php
            endif;
        else:
            ?>
            <div class="alert alert-warning" role="alert">
                <i class="fas fa-exclamation-triangle me-2"></i> Invalid request method. Please submit the form properly.
            </div>
        <?php
        endif;
        ?>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="../../js/all.min.js"></script>
</body>

</html>