<?php

// 🥇🥈🥉 


include_once('../database/conn.php');

$db = new DBConn();
$conn = $db->getConnection();


// POST রিকোয়েস্ট থেকে madrashaEmail পাওয়া যাচ্ছে কিনা চেক করা
$madrasha_email = isset($_POST['email']) ? $_POST['email'] : '';
$class_id = isset($_POST['class_id']) ? $_POST['class_id'] : '';
$class_name = isset($_POST['class_name']) ? $_POST['class_name'] : '';

if (!$madrasha_email) {
    echo json_encode(["error" => "Madrasha email is required"]);
    exit;
}

// নির্দিষ্ট মাদ্রাসার শ্রেণীর তথ্য সংগ্রহ করা
$query = "SELECT DISTINCT madrasha_email, class_id, class_name, exam_name, exam_date 
          FROM exam_results 
          WHERE madrasha_email = ? AND class_id = ? AND class_name = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("sis", $madrasha_email, $class_id, $class_name);
$stmt->execute();
$result = $stmt->get_result();




$classes = [];
while ($row = $result->fetch_assoc()) {
    $class_id = $row['class_id'];
    $class_name = $row['class_name'];

    // শিক্ষার্থীদের তথ্য সংগ্রহ
    $studentsQuery = "SELECT form_no, student_name, subject, marks 
                      FROM exam_results 
                      WHERE class_id = ? AND class_name = ? 
                      ORDER BY id DESC";
    $stmt2 = $conn->prepare($studentsQuery);
    $stmt2->bind_param("is", $class_id, $class_name);
    $stmt2->execute();
    $studentsResult = $stmt2->get_result();



    $students = [];
    $total_marks = [];
    while ($student = $studentsResult->fetch_assoc()) {
        $form_no = $student['form_no'];
        $student_name = $student['student_name'];
        $subject = $student['subject'];
        $marks = $student['marks'];
    
        if (!isset($students[$form_no])) {
            $students[$form_no] = [
                "form_no" => $form_no,
                "student_name" => $student_name,
                "subjects" => [],
                "total" => 0,
                "obtained" => 0
            ];
        }
    
        $students[$form_no]["subjects"][$subject] = $marks;
        $students[$form_no]["obtained"] += $marks; // প্রাপ্ত নম্বর যোগ হচ্ছে
    
        // **প্রতিটি পরীক্ষার জন্য মোট নম্বর নির্ধারণ (বিষয়ের সংখ্যা * ১০০)**
        $students[$form_no]["total"] = count($students[$form_no]["subjects"]) * 100;
    
        $total_marks[$form_no] = $students[$form_no]["obtained"];
    }
    

    // সর্বোচ্চ নম্বর অনুযায়ী র‍্যাঙ্ক নির্ধারণ
    arsort($total_marks);
    $ranks = array_keys($total_marks);
    $ranked_students = [];
    foreach ($students as $form_no => $data) {
        $rank = array_search($form_no, $ranks) + 1;
        if ($rank == 1) {
            $data["rank"] = "🥇 1st";
        } elseif ($rank == 2) {
            $data["rank"] = "🥈 2nd";
        } elseif ($rank == 3) {
            $data["rank"] = "🥉 3rd";
        } else {
            $data["rank"] = "-";
        }
        $ranked_students[] = $data;
    }

    $classes[] = [
        "email" => $row["madrasha_email"],
        "class_id" => $row["class_id"],
        "class_name" => $row["class_name"],
        "exam_name" => $row["exam_name"],
        "exam_date" => $row["exam_date"],
        "students" => $ranked_students
    ];
}

echo json_encode($classes);
?>
