<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Madrasha</title>
    <style>
        :root {
            --primary-color: #006a4e; /* Bangladesh green */
            --secondary-color: #f42a41; /* Bangladesh red */
            --light-color: #f8f9fa;
            --dark-color: #222;
            --border-radius: 8px;
            --box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            --transition: all 0.3s ease;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'SolaimanLipi', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background-color: #f5f7fa;
            color: #333;
            line-height: 1.6;
            padding: 20px;
            background-image: linear-gradient(to bottom, rgba(255,255,255,0.9), rgba(255,255,255,0.9)), url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="none"><circle cx="50" cy="50" r="40" stroke="%23006a4e" stroke-width="2" fill="none" /></svg>');
            background-size: 200px;
        }

        .container {
            max-width: 800px;
            margin: 30px auto;
            padding: 30px;
            background-color: white;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
            border: 1px solid var(--primary-color);
        }

        h1 {
            text-align: center;
            color: var(--primary-color);
            margin-bottom: 10px;
            font-size: 20px;
            font-weight: 600;
            text-shadow: 1px 1px 2px rgba(0,0,0,0.1);
        }

        .form-group {
            margin-bottom: 25px;
        }

        label {
            display: block;
            margin-bottom: 8px;
            font-weight: 500;
            color: var(--dark-color);
            font-size: 16px;
        }

        .file-upload-wrapper {
            position: relative;
            margin-bottom: 20px;
        }

        .file-upload-label {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 30px;
            border: 2px dashed var(--primary-color);
            border-radius: var(--border-radius);
            background-color: rgba(0, 106, 78, 0.05);
            transition: var(--transition);
            cursor: pointer;
            text-align: center;
            min-height: 200px;
        }

        .file-upload-label:hover {
            background-color: rgba(0, 106, 78, 0.1);
            border-color: var(--secondary-color);
        }

        .file-upload-label i {
            font-size: 48px;
            color: var(--primary-color);
            margin-bottom: 15px;
        }

        .file-upload-input {
            position: absolute;
            left: 0;
            top: 0;
            opacity: 0;
            width: 100%;
            height: 100%;
            cursor: pointer;
        }

        .image-preview-container {
            position: relative;
            margin-top: 20px;
            display: none;
            text-align: center;
            border: 2px solid var(--primary-color);
            border-radius: var(--border-radius);
            padding: 5px;
            background: white;
        }

        .preview-image {
            max-width: 100%;
            max-height: 300px;
            border-radius: calc(var(--border-radius) - 2px);
            display: block;
        }

        .delete-btn {
            position: absolute;
            top: 10px;
            right: 10px;
            background-color: var(--secondary-color);
            color: white;
            border: none;
            border-radius: 50%;
            width: 30px;
            height: 30px;
            font-size: 14px;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            opacity: 0.8;
            transition: var(--transition);
        }

        .delete-btn:hover {
            opacity: 1;
            transform: scale(1.1);
        }

        .btn-submit {
            display: block;
            width: 100%;
            padding: 15px;
            background-color: var(--primary-color);
            color: white;
            border: none;
            border-radius: var(--border-radius);
            font-size: 18px;
            font-weight: 600;
            cursor: pointer;
            transition: var(--transition);
            text-transform: uppercase;
            letter-spacing: 1px;
            position: relative;
            overflow: hidden;
        }

        .btn-submit:hover {
            background-color: #005a40;
            transform: translateY(-2px);
            box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
        }

        .btn-submit::after {
            content: "";
            position: absolute;
            top: -50%;
            left: -50%;
            width: 200%;
            height: 200%;
            background: rgba(255,255,255,0.1);
            transform: rotate(45deg);
            transition: var(--transition);
        }

        .btn-submit:hover::after {
            left: 100%;
        }

        .form-header {
            text-align: center;
            margin-bottom: 15px;
        }

        .form-header img {
            height: 60px;
            margin-bottom: 15px;
        }

        .email-input {
            width: 100%;
            padding: 12px 15px;
            border: 1px solid #ddd;
            border-radius: var(--border-radius);
            font-size: 16px;
            transition: var(--transition);
        }

        .email-input:focus {
            border-color: var(--primary-color);
            outline: none;
            box-shadow: 0 0 0 2px rgba(0, 106, 78, 0.2);
        }

        .alert {
            padding: 15px;
            margin-bottom: 20px;
            border-radius: var(--border-radius);
            display: none;
        }

        .alert-success {
            background-color: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }

        .alert-error {
            background-color: #f8d7da;
            color: #721c24;
            border: 1px solid #f5c6cb;
        }

        @media (max-width: 768px) {
            .container {
                padding: 20px;
            }
        }
    </style>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link href="https://fonts.maateen.me/solaiman-lipi/font.css" rel="stylesheet">
</head>

<body>
    <div class="container">
        <div class="form-header">
            <img src="data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 200 100'><circle cx='50' cy='50' r='40' fill='%23006a4e'/><circle cx='150' cy='50' r='40' fill='%23f42a41'/></svg>" alt="Patriot Icon">
            <h1>বিজ্ঞাপনের তথ্য যোগ করুন</h1>
        </div>

        <div id="alert-message" class="alert" role="alert"></div>

        <form id="advertisement-form" enctype="multipart/form-data">
            <div class="form-group">
                <label for="email">ইমেইল ঠিকানা</label>
                <input type="email" id="email" name="email" class="email-input" value="<?php echo $_POST['email'];?>" readonly>
            </div>

            <div class="form-group">
                <label for="schoolImage">বিজ্ঞাপনের ছবি আপলোড করুন</label>
                
                <div class="file-upload-wrapper">
                    <label class="file-upload-label" id="file-upload-label">
                        <i class="fas fa-flag"></i>
                        <span>ছবি নির্বাচন করতে ক্লিক করুন</span>
                        <small>(JPEG, PNG সর্বোচ্চ 5MB)</small>
                        <input type="file" name="image" id="schoolImage" class="file-upload-input" accept="image/*" required>
                    </label>
                </div>
                
                <div class="image-preview-container" id="image-preview">
                    <img id="preview-image" class="preview-image" src="#" alt="Image Preview">
                    <button type="button" class="delete-btn" id="remove-image" title="ছবি সরান">
                        <i class="fas fa-times"></i>
                    </button>
                </div>
            </div>
            
            <button type="submit" class="btn-submit" id="submit-btn">
                <i class="fas fa-paper-plane"></i> জমা দিন
            </button>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script>
        // Image preview functionality
        document.getElementById('schoolImage').addEventListener('change', function(e) {
            const file = e.target.files[0];
            if (file) {
                // Check file size (max 5MB)
                if (file.size > 5 * 1024 * 1024) {
                    showAlert('ছবির সাইজ 5MB এর বেশি হতে পারবে না', 'error');
                    this.value = '';
                    return;
                }

                const reader = new FileReader();
                
                reader.onload = function(event) {
                    const preview = document.getElementById('preview-image');
                    preview.src = event.target.result;
                    
                    const previewContainer = document.getElementById('image-preview');
                    previewContainer.style.display = 'block';
                    
                    const uploadLabel = document.getElementById('file-upload-label');
                    uploadLabel.style.display = 'none';
                }
                
                reader.readAsDataURL(file);
            }
        });
        
        document.getElementById('remove-image').addEventListener('click', function() {
            const input = document.getElementById('schoolImage');
            input.value = '';
            
            document.getElementById('image-preview').style.display = 'none';
            document.getElementById('file-upload-label').style.display = 'flex';
        });

        // Form submission with Axios
        document.getElementById('advertisement-form').addEventListener('submit', function(e) {
            e.preventDefault();
            
            const submitBtn = document.getElementById('submit-btn');
            const originalBtnText = submitBtn.innerHTML;
            submitBtn.innerHTML = '<i class="fas fa-spinner fa-spin"></i> প্রক্রিয়া চলছে...';
            submitBtn.disabled = true;

            const email = document.getElementById('email').value; 
            const schoolImage = document.getElementById('schoolImage').value; 
            
            const formData = new FormData(this);
            
            axios.post('save_ads_api.php', formData, {
                headers: {
                    'Content-Type': 'multipart/form-data'
                }
            })
            .then(function(response) {
                if (response.data.success) {
                    showAlert(response.data.message, 'success');
                    document.getElementById('advertisement-form').reset();
                    document.getElementById('image-preview').style.display = 'none';
                    document.getElementById('file-upload-label').style.display = 'flex';
                } else {
                    showAlert(response.data.message, 'error');
                }
            })
            .catch(function(error) {
                showAlert('একটি সমস্যা হয়েছে। পরে আবার চেষ্টা করুন।', 'error');
                console.error('Error:', error);
            })
            .finally(function() {
                submitBtn.innerHTML = originalBtnText;
                submitBtn.disabled = false;
            });
        });

        // Show alert message
        function showAlert(message, type) {
            const alertDiv = document.getElementById('alert-message');
            alertDiv.textContent = message;
            alertDiv.className = `alert alert-${type}`;
            alertDiv.style.display = 'block';
            
            // Hide alert after 5 seconds
            setTimeout(() => {
                alertDiv.style.display = 'none';
            }, 5000);
        }
    </script>
</body>

</html>