<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Madrasha Details</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/db.style.css">


    <style>
        .header {
            width: 100%;
            background: #007bff;
            color: white;
            padding: 15px 20px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .header img {
            height: 50px;
            border-radius: 5px;
        }

        .plusbtn {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            border: none;
            background-color: #D2691E;
            color: white;
            font-size: 24px;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .plusbtn:hover {
            background-color: #A0522D;
        }

        .slider-container {
            position: relative;
            width: 100%;
            height: 400px;
            overflow: hidden;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }

        .loading {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
            font-size: 18px;
            color: #006a4e;
        }

        .slider {
            display: flex;
            height: 100%;
            transition: transform 0.5s ease;
        }

        .slide {
            min-width: 100%;
            position: relative;
        }

        .slide img {
            width: 100%;
            height: 100%;
        }

        .slide-info {
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            background: rgba(0, 0, 0, 0.7);
            color: white;
            padding: 10px;
            text-align: center;
        }

        .slider-controls {
            position: absolute;
            top: 50%;
            width: 100%;
            display: flex;
            justify-content: space-between;
            transform: translateY(-50%);
            z-index: 10;
        }

        .slider-nav {
            background: rgba(0, 106, 78, 0.7);
            color: white;
            border: none;
            width: 40px;
            height: 40px;
            border-radius: 50%;
            font-size: 16px;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 0 15px;
            transition: all 0.3s ease;
        }

        .slider-nav:hover {
            background: rgba(0, 106, 78, 1);
        }

        .dot-container {
            position: absolute;
            bottom: 20px;
            left: 0;
            right: 0;
            display: flex;
            justify-content: center;
            gap: 8px;
            z-index: 10;
        }

        .dot {
            width: 12px;
            height: 12px;
            border-radius: 50%;
            background: rgba(255, 255, 255, 0.5);
            cursor: pointer;
            transition: all 0.3s ease;
        }

        .dot.active {
            background: #006a4e;
            transform: scale(1.2);
        }

        @media (max-width: 768px) {
            .slider-container {
                height: 250px;
            }

            .slider-nav {
                width: 30px;
                height: 30px;
                font-size: 14px;
                margin: 0 5px;
            }
        }

        /* SVG icon styles */
        .icon {
            width: 16px;
            height: 16px;
            vertical-align: middle;
            margin-right: 5px;
        }
    </style>

</head>

<body>

    <header class="header">
        <form action="../../search/student_search.php" method="post">
            <button type="submit" class="btn btn-warning">ফরম নম্বর দিয়ে ছাত্র/ছাত্রী খুঁজুন</button>
        </form>

        <form action="../../add_madrashas/add_madrahsha.php" method="post">
            <div style="display: flex; align-items: center; gap: 10px;">
                <p style="margin: 0;">মাদরাসা যুক্ত করুন</p>
                <button class="plusbtn" id="addButton">+</button>
            </div>
        </form>
    </header>


    <div class="slider-container" id="sliderContainer" style="display: none;">
        <div class="loading" id="loading">
            <svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                <path d="M12,4V2A10,10 0 0,0 2,12H4A8,8 0 0,1 12,4Z" fill="#006a4e" />
            </svg>
            বিজ্ঞাপন লোড হচ্ছে...
        </div>

        <div id="slider-wrapper" style="display: none; margin-top: 0px;">
            <div class="slider" id="slider"></div>
            <div class="slider-controls">
                <button class="slider-nav prev" id="prev-btn">
                    <svg width="16" height="16" viewBox="0 0 24 24" fill="white">
                        <path d="M15.41 16.59L10.83 12l4.58-4.59L14 6l-6 6 6 6 1.41-1.41z" />
                    </svg>
                </button>
                <button class="slider-nav next" id="next-btn">
                    <svg width="16" height="16" viewBox="0 0 24 24" fill="white">
                        <path d="M8.59 16.59L13.17 12 8.59 7.41 10 6l6 6-6 6-1.41-1.41z" />
                    </svg>
                </button>
            </div>
            <div class="dot-container" id="dot-container"></div>
        </div>
    </div>


    <div class="container mt-4">

        <div class="row justify-content-center">
            <?php
            require_once '../database/conn.php';

            $db = new DBConn();
            $conn = $db->getConnection();
            $table = $db->getMadrashaTable();

            $query = "SELECT * FROM $table";
            $result = $conn->query($query);

            if ($result->num_rows > 0):
                while ($row = $result->fetch_assoc()):
                    ?>
                    <div class="col-md-4 mb-4">
                        <div class="card p-3">
                            <div class="d-flex align-items-center">
                                <img src="<?php echo '../uploads/' . $row['image']; ?>" class="rounded-circle me-3"
                                    alt="No image found">
                                <div>
                                    <h5 class="mb-0"> <?php echo $row['name']; ?> </h5>
                                    <p class="text-muted"> <?php echo $row['email']; ?> </p>
                                </div>
                            </div>
                            <hr>
                            <p><strong>মোবাইল নাম্বার:</strong> <?php echo $row['phone']; ?></p>
                            <p><strong>স্থাপিত:</strong>
                                <?php
                                $dateTime = new DateTime($row['created_at']);
                                echo $dateTime->format('d/m/Y h:i:s A');
                                ?>
                            </p>
                            <p><strong>পাসওয়ার্ড:</strong> <?php echo $row['password']; ?></p>
                            <p><strong>ঠিকানা:</strong> <?php echo $row['address']; ?></p>

                            <form action="../../teachers/add.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-1 w-100">শিক্ষক নিয়োগ দিন</button>
                            </form>

                            <form action="../teacher/read.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-3 w-100">শিক্ষক লিস্ট</button>
                            </form>

                            <form action="../../servants/add.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-1 w-100">খাদেম নিয়োগ দিন</button>
                            </form>


                            <form action="../servants/read.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-3 w-100">খাদেম লিস্ট</button>
                            </form>



                            <!-- Update your existing button to trigger the modal -->
                            <form action="#" method="POST" id="hadiyaForm">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <!-- Original Button -->
                                <button type="button" class="btn btn-success mb-1 w-100" data-bs-toggle="modal"
                                    data-bs-target="#hadiyaModal">
                                    শিক্ষকগল/খাদেমদেরকে হাদিয়া দিন
                                </button>
                            </form>
                            <form action="../../hadiya/see_hadiyalist.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-success mb-3 w-100">শিক্ষকগল/খাদেমদেরকে হাদিয়া লিস্ট
                                    দেখুন</button>
                            </form>


                            <form action="../../teacher_servant_attendance/attendance.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-1 w-100">শিক্ষক এবং খাদেম হাজিরা নিন</button>
                            </form>

                            <form action="../../teacher_servant_attendance/display_attendance.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-3 w-100">শিক্ষক এবং খাদেম হাজিরা দেখুন</button>
                            </form>

                            <form action="../../add_madrashas/add_class.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary w-100 mb-1">মাদরাসাতে ক্লাস যুক্ত করুন</button>
                            </form>

                            <form action="../class/classlist.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary w-100 mb-1">এই মাদরাসার ক্লাসগুলোতে যান</button>
                            </form>

                            <form action="../students/read.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary mb-3 w-100">এই মাদরাসার সকল ছাত্র/ছাত্রী
                                    লিস্ট</button>
                            </form>

                            <form action="../../test_results/insert.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-secondary mb-1 w-100">ছাত্র/ছাত্রীদের রেজাল্ট যুক্ত করুন X
                                </button>
                            </form>

                            <form action="../../test_results/display.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-secondary mb-3 w-100">ছাত্র/ছাত্রীদের রেজাল্ট দেখুন X
                                </button>
                            </form>

                            <form action="../../results/add_result.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary mb-1 w-100">রেজাল্ট এড</button>
                            </form>

                            <form action="../../results/display.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary mb-3 w-100">রেজাল্ট দেখুন</button>
                            </form>

                            <form action="../../income_section/income.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-1 w-100">এই মাদরাসার আয় যুক্ত করুন</button>
                            </form>

                            <form action="../../income_section/read.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-3 w-100">এই মাদরাসার আয় দেখুন</button>
                            </form>

                            <form action="../../return_sector/read.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-warning mb-3 w-100">এই মাদরাসার মোট ফেরত দেয়া টাকা
                                    দেখুন</button>
                            </form>

                            <form action="../../expense_section/expense.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-success mb-1 w-100">এই মাদরাসার ব্যয় যুক্ত করুন</button>
                            </form>

                            <form action="../../expense_section/read.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-success mb-3 w-100">এই মাদরাসার ব্যয় দেখুন</button>
                            </form>

                            <form action="../../add_students/boardingfee2.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-1 w-100">মাসিক বোর্ডিং ফি দিন</button>
                            </form>


                            <form action="../../add_students/monthlyfee2.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-1 w-100">মাসিক বেতন দিন</button>
                            </form>

                            <form action="../../add_students/examfee.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-3 w-100">পরিক্ষার ফি দিন</button>
                            </form>

                            <form action="see_subjectlist.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary mb-3 w-100">ক্লাসের সাবজেক্ট লিস্ট</button>
                            </form>


                            <form action="../../rest-money/add_money.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-1 w-100">বাকি টাকার হিসাব রাখুন</button>
                            </form>
                            <form action="../../rest-money/get_money.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-dark mb-3 w-100">বাকি টাকার হিসাব দেখুন</button>
                            </form>



                            <form action="create_ads.php" method="POST">
                                <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                <button type="submit" class="btn btn-primary mb-3 w-100">বিজ্ঞাপন</button>
                            </form>

                            <!-- Delete Button Trigger -->
                            <button type="button" class="btn btn-danger w-100" data-bs-toggle="modal"
                                data-bs-target="#deleteModal" data-madrasha-email="<?php echo $row['email']; ?>"
                                data-madrasha-image="<?php echo $row['image']; ?>"
                                data-madrasha-name="<?php echo $row['name']; ?>">
                                এই মাদরাসা বন্ধ করে দিন
                            </button>




                            <!-- Add this modal HTML anywhere in your body (preferably at the bottom before scripts) -->
                            <div class="modal fade" id="hadiyaModal" tabindex="-1" aria-labelledby="hadiyaModalLabel"
                                aria-hidden="true">

                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header bg-success text-white">
                                            <h5 class="modal-title" id="hadiyaModalLabel">হাদিয়া প্রদান</h5>
                                            <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal"
                                                aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body text-center">
                                            <div class="mb-4">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="64" height="64" fill="#28a745"
                                                    class="bi bi-gift" viewBox="0 0 16 16">
                                                    <path
                                                        d="M3 2.5a2.5 2.5 0 0 1 5 0 2.5 2.5 0 0 1 5 0v.006c0 .07 0 .27-.038.494H15a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a1.5 1.5 0 0 1-1.5 1.5h-11A1.5 1.5 0 0 1 1 14.5V7a1 1 0 0 1-1-1V4a1 1 0 0 1 1-1h2.038A3 3 0 0 1 3 2.506zm1.068.5H7v-.5a1.5 1.5 0 1 0-3 0c0 .085.002.274.045.43zM9 3h2.932l.023-.07c.043-.156.045-.345.045-.43a1.5 1.5 0 0 0-3 0zM1 4v2h6V4zm8 0v2h6V4zm1 7.5a1.5 1.5 0 0 1-1.5 1.5h-6A1.5 1.5 0 0 1 1 11.5v-4h3v1.5a.5.5 0 0 0 1 0V7.5h3v4z" />
                                                    <path
                                                        d="M1 2.5A1.5 1.5 0 0 1 2.5 1h1A1.5 1.5 0 0 1 5 2.5h4.134a2 2 0 1 1 0 1H5v1h4.134a2 2 0 1 1 0 1H5v1h3a1 1 0 1 1 0 2H5v1h2.5a1.5 1.5 0 0 1 0 3h-1a1.5 1.5 0 0 1 0-3H5v-1h3a2 2 0 1 0 0-4H5V5h4.134a2 2 0 1 0 0-1H5V2.5z" />
                                                </svg>
                                            </div>
                                            <h4 class="mb-4">কে জন্য হাদিয়া প্রদান করতে চান?</h4>
                                            <div class="d-grid gap-3">
                                                <form action="../../hadiya/add_hadiya_one.php" method="POST" class="mb-2">
                                                    <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                                    <button type="submit"
                                                        class="btn btn-success w-100 py-3 animate__animated animate__pulse animate__infinite">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20"
                                                            fill="currentColor" class="bi bi-person-badge" viewBox="0 0 16 16">
                                                            <path
                                                                d="M6.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1zM11 8a3 3 0 1 1-6 0 3 3 0 0 1 6 0" />
                                                            <path
                                                                d="M4.5 0A2.5 2.5 0 0 0 2 2.5V14a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2.5A2.5 2.5 0 0 0 11.5 0zM3 2.5A1.5 1.5 0 0 1 4.5 1h7A1.5 1.5 0 0 1 13 2.5v10.795a4.2 4.2 0 0 0-.776-.492C11.392 12.387 10.063 12 8 12s-3.392.387-4.224.803a4.2 4.2 0 0 0-.776.492z" />
                                                        </svg>
                                                        একজন করে দিন
                                                    </button>
                                                </form>
                                                <form action="../../hadiya/add_hadiya_all.php" method="POST" class="mb-2">
                                                    <input type="hidden" name="email" value="<?php echo $row['email']; ?>">
                                                    <button type="submit"
                                                        class="btn btn-primary w-100 py-3 animate__animated animate__pulse animate__infinite">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20"
                                                            fill="currentColor" class="bi bi-people" viewBox="0 0 16 16">
                                                            <path
                                                                d="M15 14s1 0 1-1-1-4-5-4-5 3-5 4 1 1 1 1zm-7.978-1L7 12.996c.001-.264.167-1.03.76-1.72C8.312 10.629 9.282 10 11 10c1.717 0 2.687.63 3.24 1.276.593.69.758 1.457.76 1.72l-.008.002-.014.002zM11 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4m3-2a3 3 0 1 1-6 0 3 3 0 0 1 6 0M6.936 9.28a6 6 0 0 0-1.23-.247A7 7 0 0 0 5 9c-4 0-5 3-5 4q0 1 1 1h4.216A2.24 2.24 0 0 1 5 13c0-1.01.377-2.042 1.09-2.904.243-.294.526-.569.846-.816M4.92 10A5.5 5.5 0 0 0 4 13H1c0-.26.164-1.03.76-1.724.545-.636 1.492-1.256 3.16-1.275zM1.5 5.5a3 3 0 1 1 6 0 3 3 0 0 1-6 0m3-2a2 2 0 1 0 0 4 2 2 0 0 0 0-4" />
                                                        </svg>
                                                        সকলকে এক সাথে দিন
                                                    </button>
                                                </form>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">বাতিল
                                                করুন</button>
                                        </div>
                                    </div>
                                </div>
                            </div>




                        </div>
                    </div>
                <?php endwhile;
            else: ?>
                <p class="text-center">No data found</p>
            <?php endif; ?>
        </div>
    </div>











    <!-- Delete Confirmation Modal -->
    <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header bg-danger text-white">
                    <h5 class="modal-title" id="deleteModalLabel">মাদরাসা বন্ধ করুন</h5>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal"
                        aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="text-center mb-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="64" height="64" fill="#dc3545"
                            class="bi bi-exclamation-triangle" viewBox="0 0 16 16">
                            <path
                                d="M7.938 2.016A.13.13 0 0 1 8.002 2a.13.13 0 0 1 .063.016.15.15 0 0 1 .054.057l6.857 11.667c.036.06.035.124.002.183a.2.2 0 0 1-.054.06.1.1 0 0 1-.066.017H1.146a.1.1 0 0 1-.066-.017.2.2 0 0 1-.054-.06.18.18 0 0 1 .002-.183L7.884 2.073a.15.15 0 0 1 .054-.057m1.044-.45a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767z" />
                            <path
                                d="M7.002 12a1 1 0 1 1 2 0 1 1 0 0 1-2 0M7.1 5.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0z" />
                        </svg>
                        <h4 class="mt-3">আপনি কি নিশ্চিত?</h4>
                        <p id="confirmationText">আপনি "<strong id="madrashaName"></strong>" মাদরাসা বন্ধ করতে চলেছেন। এই
                            কাজটি বিপরীতযোগ্য নয়।</p>
                    </div>
                    <div class="alert alert-warning" role="alert">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                            class="bi bi-info-circle" viewBox="0 0 16 16">
                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16" />
                            <path
                                d="m8.93 6.588-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0" />
                        </svg>
                        এই মাদরাসার সকল ডাটা (ছাত্র, শিক্ষক, রেজাল্ট ইত্যাদি) স্থায়ীভাবে মুছে যাবে।
                    </div>
                    <div class="mb-3">
                        <label for="deleteConfirmation" class="form-label">নিশ্চিত করতে নিচে "<span
                                id="typeToConfirm"></span>" টাইপ করুন</label>
                        <input type="text" class="form-control" id="deleteConfirmation" placeholder="টাইপ করুন..."
                            required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">বাতিল করুন</button>
                    <button type="button" id="confirmDeleteBtn" class="btn btn-danger" disabled>
                        <span class="spinner-border spinner-border-sm d-none" id="deleteSpinner" role="status"
                            aria-hidden="true"></span>
                        স্থায়ীভাবে বন্ধ করুন
                    </button>
                </div>
            </div>
        </div>
    </div>







    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>


    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const sliderContainer = document.getElementById('sliderContainer');
            const loadingElement = document.getElementById('loading');
            const sliderWrapper = document.getElementById('slider-wrapper');

            // Initially hide the slider container
            sliderContainer.style.display = 'none';

            // Fetch advertisements from server
            function fetchAdvertisements() {
                // Show loading state
                sliderContainer.style.display = 'block';
                loadingElement.style.display = 'flex';
                sliderWrapper.style.display = 'none';

                axios.get('get_ads_api.php')
                    .then(function (response) {
                        if (response.data.success && response.data.advertisements.length > 0) {
                            // We have ads - show the slider
                            sliderContainer.style.display = 'block';
                            loadingElement.style.display = 'none';
                            sliderWrapper.style.display = 'block';

                            // Initialize slider with the ads
                            initSlider(response.data.advertisements);
                        } else {
                            // No ads - hide the entire slider container
                            sliderContainer.style.display = 'none';
                        }
                    })
                    .catch(function (error) {
                        console.error('Error:', error);
                        // On error, hide the slider container
                        sliderContainer.style.display = 'none';
                    });
            }

            function initSlider(ads) {
                let currentSlide = 0;
                let autoSlideInterval;
                const slider = document.getElementById('slider');
                const prevBtn = document.getElementById('prev-btn');
                const nextBtn = document.getElementById('next-btn');
                const dotContainer = document.getElementById('dot-container');

                // Create slider with fetched data
                function createSlider() {
                    slider.innerHTML = '';

                    ads.forEach((ad, index) => {
                        const slide = document.createElement('div');
                        slide.className = 'slide';

                        const img = document.createElement('img');
                        img.src = ad.image_path;
                        img.alt = `বিজ্ঞাপন ${index + 1}`;

                        const info = document.createElement('div');
                        info.className = 'slide-info';
                        info.innerHTML = `
                    <h3>${ad.madrasha_name || ad.email}</h3>
                    <p>${new Date(ad.created_at).toLocaleDateString('bn-BD')}</p>
                `;

                        slide.appendChild(img);
                        slide.appendChild(info);
                        slider.appendChild(slide);
                    });
                }

                // Create navigation dots
                function createDots() {
                    dotContainer.innerHTML = '';

                    ads.forEach((_, index) => {
                        const dot = document.createElement('span');
                        dot.className = 'dot';
                        if (index === currentSlide) dot.classList.add('active');
                        dot.addEventListener('click', () => {
                            currentSlide = index;
                            showSlide(currentSlide);
                            resetAutoSlide();
                        });
                        dotContainer.appendChild(dot);
                    });
                }

                // Show specific slide
                function showSlide(index) {
                    if (ads.length === 0) return;

                    // Handle wrap-around for infinite slider
                    if (index >= ads.length) {
                        currentSlide = 0;
                    } else if (index < 0) {
                        currentSlide = ads.length - 1;
                    } else {
                        currentSlide = index;
                    }

                    // Update slider position
                    slider.style.transform = `translateX(-${currentSlide * 100}%)`;

                    // Update dots
                    const dots = document.querySelectorAll('.dot');
                    dots.forEach((dot, i) => {
                        dot.classList.toggle('active', i === currentSlide);
                    });
                }

                // Auto slide functionality
                function startAutoSlide() {
                    if (ads.length > 1) {
                        autoSlideInterval = setInterval(() => {
                            showSlide(currentSlide + 1);
                        }, 5000); // Change slide every 5 seconds
                    }
                }

                function resetAutoSlide() {
                    clearInterval(autoSlideInterval);
                    startAutoSlide();
                }

                // Initialize slider
                createSlider();
                createDots();
                showSlide(currentSlide);
                startAutoSlide();

                // Event listeners
                prevBtn.addEventListener('click', () => {
                    showSlide(currentSlide - 1);
                    resetAutoSlide();
                });

                nextBtn.addEventListener('click', () => {
                    showSlide(currentSlide + 1);
                    resetAutoSlide();
                });
            }

            // Initialize the ad slider
            fetchAdvertisements();
        });



        document.addEventListener('DOMContentLoaded', function () {
            const deleteModal = document.getElementById('deleteModal');
            const confirmDeleteBtn = document.getElementById('confirmDeleteBtn');
            const deleteConfirmation = document.getElementById('deleteConfirmation');
            const madrashaName = document.getElementById('madrashaName');
            const typeToConfirm = document.getElementById('typeToConfirm');
            const deleteSpinner = document.getElementById('deleteSpinner');

            let currentMadrashaEmail = '';
            let currentMadrashaImage = '';
            let currentMadrashaName = '';

            // When modal opens
            deleteModal.addEventListener('show.bs.modal', function (event) {
                const button = event.relatedTarget;
                currentMadrashaEmail = button.getAttribute('data-madrasha-email');
                currentMadrashaImage = button.getAttribute('data-madrasha-image');
                currentMadrashaName = button.getAttribute('data-madrasha-name');

                // Update modal content
                madrashaName.textContent = currentMadrashaName;
                typeToConfirm.textContent = currentMadrashaName;

                // Reset confirmation input
                deleteConfirmation.value = '';
                confirmDeleteBtn.disabled = true;
            });

            // Check confirmation text
            deleteConfirmation.addEventListener('input', function () {
                confirmDeleteBtn.disabled = this.value !== currentMadrashaName;
            });

            // Handle delete confirmation
            confirmDeleteBtn.addEventListener('click', function () {
                deleteSpinner.classList.remove('d-none');
                confirmDeleteBtn.disabled = true;

                // Send data via Axios
                axios.post('delete.php', {
                    email: currentMadrashaEmail,
                    image: currentMadrashaImage
                })
                    .then(function (response) {
                        // Handle success
                        if (response.data.success) {
                            // Show success message
                            const modalBody = deleteModal.querySelector('.modal-body');
                            modalBody.innerHTML = `
                    <div class="text-center py-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="64" height="64" fill="#28a745" class="bi bi-check-circle" viewBox="0 0 16 16">
                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16"/>
                            <path d="M10.97 4.97a.235.235 0 0 0-.02.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-1.071-1.05"/>
                        </svg>
                        <h4 class="mt-3 text-success">সফলভাবে মুছে ফেলা হয়েছে!</h4>
                        <p>"${currentMadrashaName}" মাদরাসা সফলভাবে বন্ধ করা হয়েছে।</p>
                    </div>
                `;

                            const modalFooter = deleteModal.querySelector('.modal-footer');
                            modalFooter.innerHTML = `
                    <button type="button" class="btn btn-success w-100" data-bs-dismiss="modal" onclick="window.location.reload()">ঠিক আছে</button>
                `;
                        } else {
                            // Show error message
                            const modalBody = deleteModal.querySelector('.modal-body');
                            modalBody.innerHTML = `
                    <div class="text-center py-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="64" height="64" fill="#dc3545" class="bi bi-x-circle" viewBox="0 0 16 16">
                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16"/>
                            <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708"/>
                        </svg>
                        <h4 class="mt-3 text-danger">ত্রুটি!</h4>
                        <p>"${currentMadrashaName}" মাদরাসা মুছে ফেলার সময় একটি সমস্যা হয়েছে।</p>
                        <p class="text-muted">${response.data.message || 'অজানা ত্রুটি'}</p>
                    </div>
                `;

                            const modalFooter = deleteModal.querySelector('.modal-footer');
                            modalFooter.innerHTML = `
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">বাতিল করুন</button>
                    <button type="button" class="btn btn-warning" onclick="window.location.reload()">পুনরায় চেষ্টা করুন</button>
                `;
                        }
                    })
                    .catch(function (error) {
                        // Show error message
                        const modalBody = deleteModal.querySelector('.modal-body');
                        modalBody.innerHTML = `
                <div class="text-center py-4">
                    <svg xmlns="http://www.w3.org/2000/svg" width="64" height="64" fill="#dc3545" class="bi bi-x-circle" viewBox="0 0 16 16">
                        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16"/>
                        <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708"/>
                    </svg>
                    <h4 class="mt-3 text-danger">নেটওয়ার্ক ত্রুটি!</h4>
                    <p>সার্ভারের সাথে সংযোগ করতে সমস্যা হচ্ছে।</p>
                    <p class="text-muted">${error.message}</p>
                </div>
            `;

                        const modalFooter = deleteModal.querySelector('.modal-footer');
                        modalFooter.innerHTML = `
                <button type="button" class="btn btn-danger" data-bs-dismiss="modal">বাতিল করুন</button>
                <button type="button" class="btn btn-warning" onclick="window.location.reload()">পুনরায় চেষ্টা করুন</button>
            `;
                    })
                    .finally(function () {
                        deleteSpinner.classList.add('d-none');
                    });
            });
        });
    </script>




</body>

</html>