<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Class & Subjects | Dashboard</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap"
        rel="stylesheet">
    <style>
        :root {
            --primary: #4361ee;
            --secondary: #3f37c9;
            --accent: #4895ef;
            --danger: #f72585;
            --success: #4cc9f0;
            --light: #f8f9fa;
            --dark: #212529;
            --gray: #6c757d;
            --shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            --transition: all 0.3s ease;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Poppins', sans-serif;
            background: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
            min-height: 100vh;
            padding: 40px 20px;
            color: var(--dark);
        }

        .container {
            max-width: 1000px;
            margin: 0 auto;
            background: white;
            border-radius: 16px;
            box-shadow: var(--shadow);
            overflow: hidden;
            animation: fadeIn 0.5s ease-out;
        }

        @keyframes fadeIn {
            from {
                opacity: 0;
                transform: translateY(20px);
            }

            to {
                opacity: 1;
                transform: translateY(0);
            }
        }

        .header {
            background: linear-gradient(to right, var(--primary), var(--secondary));
            color: white;
            padding: 25px 30px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .header h1 {
            font-size: 24px;
            font-weight: 600;
        }

        .back-btn {
            background: rgba(255, 255, 255, 0.2);
            border: none;
            color: white;
            padding: 8px 15px;
            border-radius: 50px;
            cursor: pointer;
            display: flex;
            align-items: center;
            gap: 8px;
            transition: var(--transition);
        }

        .back-btn:hover {
            background: rgba(255, 255, 255, 0.3);
            transform: translateX(-5px);
        }

        .content {
            padding: 30px;
        }

        .no-data {
            text-align: center;
            padding: 50px 20px;
            color: var(--gray);
        }

        .no-data i {
            font-size: 50px;
            margin-bottom: 20px;
            color: #dee2e6;
        }

        .no-data h2 {
            font-weight: 500;
            margin-bottom: 10px;
        }

        .class-card {
            background: white;
            border-radius: 12px;
            box-shadow: 0 2px 15px rgba(0, 0, 0, 0.05);
            margin-bottom: 30px;
            overflow: hidden;
            transition: var(--transition);
        }

        .class-card:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
        }

        .class-header {
            background: linear-gradient(to right, var(--accent), var(--success));
            color: white;
            padding: 18px 25px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            cursor: pointer;
        }

        .class-title {
            font-size: 18px;
            font-weight: 600;
        }

        .subject-count {
            background: white;
            color: var(--primary);
            padding: 5px 12px;
            border-radius: 50px;
            font-size: 14px;
            font-weight: 600;
        }

        .class-content {
            max-height: 0;
            overflow: hidden;
            transition: max-height 0.5s ease-out;
        }

        .class-content.expanded {
            max-height: 1000px;
        }

        .subject-table {
            width: 100%;
            border-collapse: collapse;
        }

        .subject-table th {
            background-color: #f8f9fa;
            color: var(--gray);
            font-weight: 500;
            text-align: left;
            padding: 15px 25px;
            border-bottom: 1px solid #e9ecef;
        }

        .subject-table td {
            padding: 15px 25px;
            border-bottom: 1px solid #e9ecef;
            transition: var(--transition);
        }

        .subject-table tr:last-child td {
            border-bottom: none;
        }

        .subject-table tr:hover td {
            background-color: #f8f9fa;
        }

        .action-btns {
            padding: 20px 25px;
            display: flex;
            justify-content: flex-end;
            border-top: 1px solid #e9ecef;
        }

        .delete-btn {
            background: linear-gradient(to right, var(--danger), #ff4d6d);
            color: white;
            border: none;
            padding: 10px 20px;
            border-radius: 8px;
            cursor: pointer;
            display: flex;
            align-items: center;
            gap: 8px;
            font-weight: 500;
            transition: var(--transition);
            box-shadow: 0 2px 10px rgba(247, 37, 133, 0.3);
        }

        .delete-btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 5px 15px rgba(247, 37, 133, 0.4);
        }

        .toggle-icon {
            transition: transform 0.3s ease;
        }

        .expanded .toggle-icon {
            transform: rotate(180deg);
        }

        /* Custom Modal Styles */
        .modal-overlay {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: rgba(0, 0, 0, 0.6);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 1000;
            opacity: 0;
            visibility: hidden;
            transition: all 0.3s ease-out;
            backdrop-filter: blur(5px);
        }

        .modal-overlay.active {
            opacity: 1;
            visibility: visible;
        }

        .modal-container {
            background: white;
            border-radius: 16px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            width: 90%;
            max-width: 450px;
            transform: translateY(20px);
            transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
            opacity: 0;
        }

        .modal-overlay.active .modal-container {
            transform: translateY(0);
            opacity: 1;
        }

        .modal-header {
            padding: 20px 25px;
            border-bottom: 1px solid #e9ecef;
            display: flex;
            align-items: center;
            gap: 15px;
        }

        .modal-header i {
            font-size: 24px;
            color: var(--danger);
        }

        .modal-header h3 {
            font-size: 20px;
            font-weight: 600;
            margin: 0;
        }

        .modal-body {
            padding: 25px;
            line-height: 1.6;
        }

        .modal-footer {
            padding: 15px 25px;
            border-top: 1px solid #e9ecef;
            display: flex;
            justify-content: flex-end;
            gap: 15px;
        }

        .modal-btn {
            padding: 10px 20px;
            border-radius: 8px;
            font-weight: 500;
            cursor: pointer;
            transition: var(--transition);
            border: none;
        }

        .modal-btn-cancel {
            background: #f8f9fa;
            color: var(--gray);
        }

        .modal-btn-cancel:hover {
            background: #e9ecef;
        }

        .modal-btn-confirm {
            background: linear-gradient(to right, var(--danger), #ff4d6d);
            color: white;
            box-shadow: 0 2px 10px rgba(247, 37, 133, 0.3);
        }

        .modal-btn-confirm:hover {
            transform: translateY(-2px);
            box-shadow: 0 5px 15px rgba(247, 37, 133, 0.4);
        }

        /* Animation for modal content */
        @keyframes shake {

            0%,
            100% {
                transform: translateX(0);
            }

            10%,
            30%,
            50%,
            70%,
            90% {
                transform: translateX(-5px);
            }

            20%,
            40%,
            60%,
            80% {
                transform: translateX(5px);
            }
        }

        .shake {
            animation: shake 0.5s cubic-bezier(0.36, 0.07, 0.19, 0.97) both;
        }

        /* Responsive design */
        @media (max-width: 768px) {
            .header {
                flex-direction: column;
                align-items: flex-start;
                gap: 15px;
            }

            .subject-table th,
            .subject-table td {
                padding: 12px 15px;
            }

            .modal-container {
                width: 95%;
            }
        }

        /* Animation for table rows */
        @keyframes slideIn {
            from {
                opacity: 0;
                transform: translateX(-20px);
            }

            to {
                opacity: 1;
                transform: translateX(0);
            }
        }

        .subject-table tr {
            animation: slideIn 0.3s ease-out forwards;
            opacity: 0;
        }

        .subject-table tr:nth-child(1) {
            animation-delay: 0.1s;
        }

        .subject-table tr:nth-child(2) {
            animation-delay: 0.2s;
        }

        .subject-table tr:nth-child(3) {
            animation-delay: 0.3s;
        }

        .subject-table tr:nth-child(4) {
            animation-delay: 0.4s;
        }

        .subject-table tr:nth-child(5) {
            animation-delay: 0.5s;
        }

        .subject-table tr:nth-child(6) {
            animation-delay: 0.6s;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">
            <h1><i class="fas fa-book-open"></i> Class Subjects</h1>
            <button class="back-btn" onclick="window.history.back()">
                <i class="fas fa-arrow-left"></i> Back
            </button>
        </div>

        <div class="content">
            <?php
            include_once "../database/conn.php";
            $db = new DBConn();
            $mysqli = $db->getConnection();

            $madrasha_email = $_POST['email'];

            $query = "
                SELECT 
                    c.classes_id, 
                    c.name AS class_name, 
                    COUNT(b.id) AS subject_count, 
                    GROUP_CONCAT(b.subject_name SEPARATOR ', ') AS subjects
                FROM booklist b
                JOIN classes c ON b.class_id = c.classes_id
                WHERE b.madrasha_email = '$madrasha_email'
                GROUP BY c.classes_id, c.name
                ORDER BY c.name
            ";

            $result = $mysqli->query($query);

            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    echo '<div class="class-card">';
                    echo '<div class="class-header" onclick="toggleClass(this)">';
                    echo '<div class="class-title">' . $row["class_name"] . '</div>';
                    echo '<div class="subject-count">' . $row["subject_count"] . ' Subjects <i class="fas fa-chevron-down toggle-icon"></i></div>';
                    echo '</div>';

                    echo '<div class="class-content">';
                    echo '<table class="subject-table">';
                    echo '<thead><tr><th>Subject Name</th></tr></thead>';
                    echo '<tbody>';

                    $subjects = explode(", ", $row["subjects"]);
                    foreach ($subjects as $subject) {
                        echo '<tr><td><i class="fas fa-book" style="margin-right: 10px; color: var(--accent);"></i>' . $subject . '</td></tr>';
                    }

                    echo '</tbody>';
                    echo '</table>';

                    echo '<div class="action-btns">';
                    echo '<button type="button" class="delete-btn" onclick="showDeleteConfirmation(' . $row["classes_id"] . ', \'' . $madrasha_email . '\', \'' . $row["class_name"] . '\')">';
                    echo '<i class="fas fa-trash-alt"></i> Delete All Subjects';
                    echo '</button>';
                    echo '</div>';

                    echo '</div>'; // class-content
                    echo '</div>'; // class-card
                }
            } else {
                echo '<div class="no-data">';
                echo '<i class="far fa-folder-open"></i>';
                echo '<h2>No Subjects Found</h2>';
                echo '<p>There are no subjects assigned to any classes yet.</p>';
                echo '</div>';
            }

            $mysqli->close();
            ?>
        </div>
    </div>

    <!-- Custom Modal for Delete Confirmation -->
    <div class="modal-overlay" id="deleteModal">
        <div class="modal-container">
            <div class="modal-header">
                <i class="fas fa-exclamation-triangle"></i>
                <h3>Confirm Deletion</h3>
            </div>
            <div class="modal-body">
                <p>Are you sure you want to delete all subjects for <strong id="classNameDisplay"></strong>? This action
                    cannot be undone.</p>
            </div>
            <div class="modal-footer">
                <button class="modal-btn modal-btn-cancel" onclick="hideDeleteModal()">Cancel</button>
                <form id="deleteForm" method="POST" action="delete_class_subject.php">
                    <input type="hidden" name="class_id" id="modalClassId">
                    <input type="hidden" name="email" id="modalEmail">
                    <button type="submit" class="modal-btn modal-btn-confirm">Delete</button>
                </form>
            </div>
        </div>
    </div>

    <script>
        function toggleClass(element) {
            const card = element.parentElement;
            const content = card.querySelector('.class-content');
            content.classList.toggle('expanded');

            // Close other open cards
            if (content.classList.contains('expanded')) {
                document.querySelectorAll('.class-content').forEach(el => {
                    if (el !== content && el.classList.contains('expanded')) {
                        el.classList.remove('expanded');
                    }
                });
            }
        }

        // Auto-expand first card on page load
        document.addEventListener('DOMContentLoaded', function () {
            const firstCard = document.querySelector('.class-card');
            if (firstCard) {
                firstCard.querySelector('.class-header').click();
            }
        });

        // Custom Modal Functions
        function showDeleteConfirmation(classId, email, className) {
            const modal = document.getElementById('deleteModal');
            document.getElementById('modalClassId').value = classId;
            document.getElementById('modalEmail').value = email;
            document.getElementById('classNameDisplay').textContent = className;

            modal.classList.add('active');

            // Add shake animation to emphasize the warning
            setTimeout(() => {
                modal.querySelector('.modal-container').classList.add('shake');
            }, 100);

            // Remove shake class after animation completes
            setTimeout(() => {
                modal.querySelector('.modal-container').classList.remove('shake');
            }, 600);
        }

        function hideDeleteModal() {
            const modal = document.getElementById('deleteModal');
            modal.classList.remove('active');
        }

        // Close modal when clicking outside
        document.getElementById('deleteModal').addEventListener('click', function (e) {
            if (e.target === this) {
                hideDeleteModal();
            }
        });

        // Handle form submission with animation
        document.getElementById('deleteForm').addEventListener('submit', function (e) {
            e.preventDefault();

            const modalContainer = document.querySelector('.modal-container');
            modalContainer.style.transform = 'scale(0.9)';
            modalContainer.style.opacity = '0';

            setTimeout(() => {
                this.submit();
            }, 300);
        });
    </script>
</body>

</html>