<?php
require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = $_POST['id'];

    if ($id !== null && isset($id)) {
        $sql = "SELECT * FROM servants WHERE id = '$id' ";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            $row = $result->fetch_assoc();
            ?>

            <!DOCTYPE html>
            <html lang="en">

            <head>
                <meta charset="UTF-8">
                <meta name="viewport" content="width=device-width, initial-scale=1.0">
                <title>Teacher Details</title>
                <style>
                    @font-face {
                        font-family: 'myFont';
                        src: url('../../fonts/siliguri_semibold.ttf');
                    }

                    :root {
                        --primary-color: #4a6fa5;
                        --secondary-color: #166088;
                        --accent-color: #4fc3f7;
                        --background-color: #f5f7fa;
                        --card-bg: #ffffff;
                        --text-color: #333333;
                        --border-radius: 12px;
                        --box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
                    }

                    * {
                        margin: 0;
                        padding: 0;
                        box-sizing: border-box;
                    }

                    body {
                        font-family: 'myFont', sans-serif;
                        background-color: var(--background-color);
                        color: var(--text-color);
                        line-height: 1.6;
                        padding: 20px;
                        min-height: 100vh;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                    }

                    .teacher-card {
                        background: var(--card-bg);
                        border-radius: var(--border-radius);
                        box-shadow: var(--box-shadow);
                        width: 100%;
                        max-width: 800px;
                        overflow: hidden;
                        transition: transform 0.3s ease;
                    }

                    .teacher-card:hover {
                        transform: translateY(-5px);
                    }

                    .card-header {
                        background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
                        color: white;
                        padding: 25px;
                        text-align: center;
                        position: relative;
                    }

                    .card-header h2 {
                        font-size: 28px;
                        margin-bottom: 5px;
                    }

                    .card-header::after {
                        content: '';
                        position: absolute;
                        bottom: 0;
                        left: 0;
                        width: 100%;
                        height: 4px;
                        background: var(--accent-color);
                    }

                    .card-body {
                        padding: 30px;
                    }

                    .detail-row {
                        display: flex;
                        padding: 15px 0;
                        border-bottom: 1px solid rgba(0, 0, 0, 0.05);
                        align-items: center;
                    }

                    .detail-row:last-child {
                        border-bottom: none;
                    }

                    .detail-label {
                        flex: 0 0 40%;
                        font-weight: bold;
                        color: var(--secondary-color);
                        font-size: 18px;
                    }

                    .detail-value {
                        flex: 1;
                        font-size: 17px;
                        color: var(--text-color);
                        padding-left: 10px;
                    }

                    .highlight {
                        color: var(--primary-color);
                        font-weight: bold;
                    }

                    @media (max-width: 768px) {
                        .detail-row {
                            flex-direction: column;
                            align-items: flex-start;
                        }

                        .detail-label {
                            margin-bottom: 5px;
                        }

                        .detail-value {
                            padding-left: 0;
                        }

                        .card-body {
                            padding: 20px;
                        }
                    }

                    .approval-status {
                        display: inline-block;
                        padding: 4px 12px;
                        border-radius: 20px;
                        font-size: 14px;
                        font-weight: bold;
                        text-transform: capitalize;
                    }

                    .approved {
                        background-color: #e8f5e9;
                        color: #2e7d32;
                    }

                    .pending {
                        background-color: #fff8e1;
                        color: #ff8f00;
                    }
                </style>
            </head>

            <body>
                <div class="teacher-card">
                    <div class="card-header">
                        <h2>শিক্ষক বিবরণ</h2>
                        <p>বিস্তারিত তথ্য দেখুন</p>
                    </div>

                    <div class="card-body">
                        <div class="detail-row">
                            <div class="detail-label">আইডি নম্বর</div>
                            <div class="detail-value highlight"><?= $row['id']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">শিক্ষকের নাম</div>
                            <div class="detail-value"><?= $row['name']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">মোবাইল নম্বর</div>
                            <div class="detail-value"><?= $row['phone']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">অভিজ্ঞতা</div>
                            <div class="detail-value"><?= $row['experience']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">শিক্ষা বিভাগ প্রধানের নাম</div>
                            <div class="detail-value"><?= $row['head_name']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">শিক্ষা বিভাগের অনুমোদন</div>
                            <div class="detail-value">
                                <span
                                    class="approval-status <?= strtolower($row['head_approval']) === 'approved' ? 'approved' : 'pending' ?>">
                                    <?= $row['head_approval']; ?>
                                </span>
                            </div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">পরিচালকের নাম</div>
                            <div class="detail-value"><?= $row['director_name']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">পরিচালকের অনুমোদন</div>
                            <div class="detail-value">
                                <span
                                    class="approval-status <?= strtolower($row['director_approval']) === 'approved' ? 'approved' : 'pending' ?>">
                                    <?= $row['director_approval']; ?>
                                </span>
                            </div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">তারিখ</div>
                            <div class="detail-value"><?= $row['dates']; ?></div>
                        </div>

                        <div class="detail-row">
                            <div class="detail-label">মাদ্রাসার ইমেইল</div>
                            <div class="detail-value highlight"><?= $row['madrasha_email']; ?></div>
                        </div>
                    </div>
                </div>
            </body>

            </html>

            <?php
        } else {
            echo "<div style='text-align:center; padding:40px; background:#fff; border-radius:8px; box-shadow:0 5px 15px rgba(0,0,0,0.1); max-width:600px; margin:50px auto;'>No data found for this ID</div>";
        }

    } else {
        die("<div style='text-align:center; padding:40px; background:#fff; border-radius:8px; box-shadow:0 5px 15px rgba(0,0,0,0.1); max-width:600px; margin:50px auto; color:#d32f2f;'>No ID found to read data</div>");
    }
} else {
    die("<div style='text-align:center; padding:40px; background:#fff; border-radius:8px; box-shadow:0 5px 15px rgba(0,0,0,0.1); max-width:600px; margin:50px auto; color:#d32f2f;'>Invalid Request</div>");
}
?>