<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>খাদেম তথ্য</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">

    <link href="https://fonts.googleapis.com/css2?family=Hind+Siliguri:wght@400;600;700&display=swap" rel="stylesheet">


    <style>
        :root {
            --primary-color: #3498db;
            --secondary-color: #2980b9;
            --danger-color: #e74c3c;
            --warning-color: #f39c12;
            --light-color: #ecf0f1;
            --dark-color: #2c3e50;
            --success-color: #2ecc71;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Hind Siliguri', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background-color: #f5f7fa;
            color: #333;
            line-height: 1.6;
        }

        .container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 20px;
        }

        .header {
            text-align: center;
            margin-bottom: 30px;
            padding: 20px 0;
            background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
            color: white;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        }

        .header h1 {
            font-size: 2.5rem;
            margin-bottom: 10px;
        }

        .header p {
            font-size: 1.1rem;
            opacity: 0.9;
        }

        .search-container {
            display: flex;
            justify-content: center;
            margin-bottom: 30px;
            position: relative;
            max-width: 600px;
            margin-left: auto;
            margin-right: auto;
        }

        .search-input {
            width: 100%;
            padding: 12px 20px;
            padding-right: 45px;
            border: 2px solid #ddd;
            border-radius: 30px;
            font-size: 16px;
            outline: none;
            transition: all 0.3s;
        }

        .search-input:focus {
            border-color: var(--primary-color);
            box-shadow: 0 0 0 3px rgba(52, 152, 219, 0.2);
        }

        .search-clear {
            position: absolute;
            right: 15px;
            top: 50%;
            transform: translateY(-50%);
            background: none;
            border: none;
            color: #aaa;
            cursor: pointer;
            font-size: 18px;
            transition: color 0.3s;
        }

        .search-clear:hover {
            color: var(--danger-color);
        }

        .servants-grid {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 20px;
        }

        .servant-card {
            background: white;
            border-radius: 10px;
            padding: 20px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
            transition: transform 0.3s, box-shadow 0.3s;
            border-left: 4px solid var(--primary-color);
        }

        .servant-card:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
        }

        .servant-card h2 {
            color: var(--dark-color);
            margin-bottom: 10px;
            font-size: 1.5rem;
            display: flex;
            align-items: center;
        }

        .servant-card h2 i {
            margin-right: 10px;
            color: var(--primary-color);
        }

        .servant-card p {
            margin-bottom: 8px;
            display: flex;
            align-items: center;
        }

        .servant-card p i {
            width: 20px;
            margin-right: 10px;
            color: var(--secondary-color);
        }

        .btn-group {
            display: flex;
            flex-direction: row;
            /* column থেকে row তে পরিবর্তন */
            gap: 10px;
            margin-top: 20px;
        }


        .btn {
            padding: 10px 15px;
            border: none;
            border-radius: 5px;
            font-size: 16px;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: all 0.3s;
            flex: 1;
            /* সমান প্রস্থের জন্য */
            min-width: 0;
            /* টেক্সট ওভারফ্লো ঠিক করার জন্য */
        }

        .btn i {
            margin-right: 8px;
            flex-shrink: 0;
            /* আইকন যেন সঙ্কুচিত না হয় */
        }

        .btn span {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .btn-details {
            background-color: var(--warning-color);
            color: white;
        }

        .btn-details:hover {
            background-color: #e67e22;
        }

        .btn-delete {
            background-color: var(--danger-color);
            color: white;
        }

        .btn-delete:hover {
            background-color: #c0392b;
        }

        .no-results {
            text-align: center;
            padding: 40px;
            background: white;
            border-radius: 10px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
            grid-column: 1 / -1;
        }

        .no-results i {
            font-size: 50px;
            color: var(--danger-color);
            margin-bottom: 20px;
        }

        .no-results h3 {
            color: var(--dark-color);
            margin-bottom: 10px;
        }

        .modal-overlay {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 1000;
            opacity: 0;
            visibility: hidden;
            transition: all 0.3s ease;
        }

        .modal-overlay.active {
            opacity: 1;
            visibility: visible;
        }

        .modal {
            background-color: white;
            border-radius: 10px;
            width: 90%;
            max-width: 500px;
            padding: 30px;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
            transform: translateY(-20px);
            transition: transform 0.3s ease;
        }

        .modal-overlay.active .modal {
            transform: translateY(0);
        }

        .modal-header {
            display: flex;
            align-items: center;
            margin-bottom: 20px;
        }

        .modal-icon {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            background-color: #fee2e2;
            color: var(--danger-color);
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 24px;
            margin-right: 15px;
        }

        .modal-title {
            font-size: 1.5rem;
            color: var(--dark-color);
        }

        .modal-body {
            margin-bottom: 25px;
            line-height: 1.7;
        }

        .modal-footer {
            display: flex;
            justify-content: flex-end;
            gap: 15px;
        }

        .btn-cancel {
            background-color: #e2e8f0;
            color: var(--dark-color);
        }

        .btn-cancel:hover {
            background-color: #cbd5e1;
        }

        .btn-confirm {
            background-color: var(--danger-color);
            color: white;
        }

        .btn-confirm:hover {
            background-color: #c53030;
        }

        @media (max-width: 768px) {
            .servants-grid {
                grid-template-columns: 1fr;
            }

            .header h1 {
                font-size: 2rem;
            }
        }


        /* মোবাইল ডিভাইসের জন্য রেসপন্সিভ স্টাইল */
        @media (max-width: 480px) {
            .btn-group {
                flex-direction: column;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">
            <h1><i class="fas fa-users-cog"></i> খাদেম তথ্য</h1>
            <p>মাদরাসার খাদেমদের তথ্য দেখুন এবং ব্যবস্থাপনা করুন</p>
        </div>

        <div class="search-container">
            <input type="text" id="searchInput" class="search-input"
                placeholder="খাদেমের নাম, আইডি বা মোবাইল নম্বর দিয়ে খুঁজুন...">
            <button id="clearSearch" class="search-clear" style="display: none;">
                <i class="fas fa-times"></i>
            </button>
        </div>

        <div class="servants-grid" id="servantsContainer">
            <?php
            require_once '../database/conn.php';

            $email = $_POST['email'];

            $db = new DBConn();
            $conn = $db->getConnection();

            $sql = "SELECT * FROM servants WHERE madrasha_email = '$email'";
            $result = $conn->query($sql);

            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    ?>
                    <div class="servant-card" data-id="<?php echo $row['id']; ?>" data-name="<?php echo $row['name']; ?>"
                        data-phone="<?php echo $row['phone']; ?>">
                        <h2><i class="fas fa-user-tie"></i> <?php echo $row['name']; ?></h2>
                        <p><i class="fas fa-id-card"></i> আইডি: <?php echo $row['id']; ?></p>
                        <p><i class="fas fa-phone"></i> মোবাইল: <?php echo $row['phone']; ?></p>
                        <p><i class="fas fa-calendar-day"></i> তারিখ: <?php echo $row['dates']; ?></p>

                        <div class="btn-group">
                            <form action="details.php" method="POST" style="flex: 1;">
                                <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
                                <button type="submit" class="btn btn-details">
                                    <i class="fas fa-info-circle"></i>
                                    <span>সকল তথ্য দেখুন</span>
                                </button>
                            </form>
                            <button class="btn btn-delete delete-btn" data-id="<?php echo $row['id']; ?>"
                                data-name="<?php echo $row['name']; ?>" style="flex: 1;">
                                <i class="fas fa-user-minus"></i>
                                <span>এই খাদেম চলে গেছেন</span>
                            </button>
                        </div>
                    </div>
                    <?php
                }
            } else {
                echo '<div class="no-results">
                        <i class="fas fa-user-slash"></i>
                        <h3>এই মাদরাসায় এখনও কোন খাদেম নিয়োগ দেয়া হয়নি!</h3>
                        <p>অনুগ্রহ করে নতুন খাদেম যোগ করুন</p>
                      </div>';
            }
            ?>
        </div>
    </div>

    <!-- Delete Confirmation Modal -->
    <div class="modal-overlay" id="deleteModal">
        <div class="modal">
            <div class="modal-header">
                <div class="modal-icon">
                    <i class="fas fa-exclamation"></i>
                </div>
                <h3 class="modal-title">খাদেম মুছে ফেলুন</h3>
            </div>
            <div class="modal-body">
                <p>আপনি কি নিশ্চিত যে আপনি <strong id="servantName"></strong> কে খাদেম তালিকা থেকে মুছে ফেলতে চান?</p>
                <p>এই কাজটি পূর্বাবস্থায় ফেরানো যাবে না।</p>
            </div>
            <div class="modal-footer">
                <button class="btn btn-cancel" id="cancelDelete">
                    <i class="fas fa-times"></i> বাতিল করুন
                </button>
                <form id="deleteForm" action="delete.php" method="POST">
                    <input type="hidden" name="id" id="deleteId" value="">
                    <button type="submit" class="btn btn-confirm">
                        <i class="fas fa-trash"></i> মুছে ফেলুন
                    </button>
                </form>
            </div>
        </div>
    </div>

    <script>
        // সার্চ ফাংশনালিটি (script অংশে)
        document.addEventListener('DOMContentLoaded', function () {
            const searchInput = document.getElementById('searchInput');
            const clearSearch = document.getElementById('clearSearch');
            const servantsContainer = document.getElementById('servantsContainer');
            const originalContent = servantsContainer.innerHTML; // মূল কন্টেন্ট সংরক্ষণ

            // Search functionality
            searchInput.addEventListener('input', function () {
                const searchTerm = this.value.toLowerCase();

                // Clear button visibility
                if (searchTerm.length > 0) {
                    clearSearch.style.display = 'block';
                } else {
                    clearSearch.style.display = 'none';
                    // সার্চ টার্ম খালি হলে মূল কন্টেন্ট ফিরিয়ে আনুন
                    servantsContainer.innerHTML = originalContent;
                    // নতুন লোড করা বাটনগুলোর জন্য ইভেন্ট লিসেনার যোগ করুন
                    attachDeleteListeners();
                    return;
                }

                let hasResults = false;
                const servantCards = document.querySelectorAll('.servant-card');

                servantCards.forEach(card => {
                    const id = card.getAttribute('data-id').toString();
                    const name = card.getAttribute('data-name').toLowerCase();
                    const phone = card.getAttribute('data-phone').toString();

                    if (id.includes(searchTerm) || name.includes(searchTerm) || phone.includes(searchTerm)) {
                        card.style.display = 'block';
                        hasResults = true;
                    } else {
                        card.style.display = 'none';
                    }
                });

                // Show no results message if needed
                if (!hasResults) {
                    servantsContainer.innerHTML = `
                <div class="no-results">
                    <i class="fas fa-search"></i>
                    <h3>কোন ফলাফল পাওয়া যায়নি</h3>
                    <p>আপনার অনুসন্ধানের সাথে মিলে যাওয়া কোন খাদেম পাওয়া যায়নি</p>
                </div>
            `;
                }
            });

            // Clear search functionality
            clearSearch.addEventListener('click', function () {
                searchInput.value = '';
                this.style.display = 'none';
                // মূল কন্টেন্ট ফিরিয়ে আনুন
                servantsContainer.innerHTML = originalContent;
                // নতুন লোড করা বাটনগুলোর জন্য ইভেন্ট লিসেনার যোগ করুন
                attachDeleteListeners();
            });

            // Delete modal functionality (এটাকে একটি ফাংশনে রূপান্তরিত করা হয়েছে)
            function attachDeleteListeners() {
                const deleteButtons = document.querySelectorAll('.delete-btn');
                const deleteModal = document.getElementById('deleteModal');
                const cancelDelete = document.getElementById('cancelDelete');
                const servantName = document.getElementById('servantName');
                const deleteId = document.getElementById('deleteId');

                deleteButtons.forEach(button => {
                    button.addEventListener('click', function () {
                        const id = this.getAttribute('data-id');
                        const name = this.getAttribute('data-name');

                        servantName.textContent = name;
                        deleteId.value = id;

                        deleteModal.classList.add('active');
                    });
                });

                cancelDelete.addEventListener('click', function () {
                    deleteModal.classList.remove('active');
                });

                // Close modal when clicking outside
                deleteModal.addEventListener('click', function (e) {
                    if (e.target === deleteModal) {
                        deleteModal.classList.remove('active');
                    }
                });
            }

            // প্রথমবার পেজ লোড হওয়ার সময় ইভেন্ট লিসেনার যোগ করুন
            attachDeleteListeners();
        });
    </script>
</body>

</html>