<?php

// ডাটাবেজ কানেকশন ফাইল ইনক্লুড করছি
require_once '../database/conn.php';

// ডাটাবেজ কানেকশন তৈরি করছি
$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getStudentTable1();

// সেশন শুরু করছি
session_start();

// চেক করছি রিকুয়েস্ট মেথড POST কি না
if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    // প্রিপেয়ার্ড স্টেটমেন্ট তৈরি করছি
    $stmt = $conn->prepare("INSERT INTO $table (academic_year, class_name, admission_date, hijri_admission_date, hijri_joined_year, hijri_joined_month, joined_year_english, joined_month_english, student_name, age, birth_date, father_name, father_profession, permanent_address, post, upazila, district, current_address, guardian_name, guardian_relation, form_no, class_id, madrasha_email) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");

    // প্যারামিটার বাইন্ড করছি
    $stmt->bind_param("ssssiiiisissssssssssiis", $academic_year, $class, $admission_date, $hijri_admission_date, $hijri_joined_year, $hijri_joined_month, $joined_year_english, $joined_month_english, $student_name, $age, $birth_date, $father_name, $father_profession, $permanent_address, $post, $upazila, $district, $current_address, $guardian_name, $guardian_relation, $form_no, $class_id, $madrasha_email);

    // ফর্ম থেকে ডাটা নিচ্ছি
    $academic_year = $_POST['academic_year'];
    $class = $_POST['class'];
    $admission_date = $_POST['admission_date'];

    // হিজরি এডমিশন ডেট কনভার্ট করছি
    $hijri_admission_date = $_POST['hijri_admission_date'];
    // রেগুলার এক্সপ্রেশন দিয়ে ফরম্যাট চেক করছি (MM/DD/YYYY)
    if (preg_match('/^\d{1,2}\/\d{1,2}\/\d{4}$/', $hijri_admission_date)) {
        // স্ল্যাশ (/) দিয়ে ডেট স্প্লিট করছি
        $hijri_parts = explode('/', $hijri_admission_date);
        // YYYY-MM-DD ফরম্যাটে কনভার্ট করছি
        $hijri_admission_date = sprintf('%04d-%02d-%02d', 
            $hijri_parts[2],  // বছর (YYYY)
            $hijri_parts[0],  // মাস (MM)
            $hijri_parts[1]   // দিন (DD)
        );
    } else {
        // যদি ফরম্যাট ভুল হয় তবে এরর মেসেজ রিটার্ন করছি
        echo json_encode(['error' => 'হিজরি তারিখের ফরম্যাট সঠিক নয় (প্রয়োজনীয় ফরম্যাট: MM/DD/YYYY)']);
        exit;
    }

    // অন্যান্য হিজরি ডেটা নিচ্ছি
    $hijri_joined_year = $_POST['hijri_joined_year'];
    $hijri_joined_month = $_POST['hijri_joined_month'];
    $joined_year_english = $_POST['joined_year_english'];
    $joined_month_english = $_POST['joined_month_english'];

    // শিক্ষার্থীর তথ্য নিচ্ছি
    $student_name = $_POST['student_name'];
    $age = $_POST['age'];
    $birth_date = $_POST['birth_date'];
    $father_name = $_POST['father_name'];
    $father_profession = $_POST['father_profession'];
    $permanent_address = $_POST['permanent_address'];
    $post = $_POST['post'];
    $upazila = $_POST['upazila'];
    $district = $_POST['district'];
    $current_address = $_POST['current_address'];
    $guardian_name = $_POST['guardian_name'];
    $guardian_relation = $_POST['guardian_relation'];

    // ফরেন কী হিসেবে ব্যবহারের ডাটা নিচ্ছি
    $class_id = $_POST['id'];
    $madrasha_email = $_POST['email'];

    // ১০ ডিজিটের র‍্যান্ডম ফর্ম নম্বর জেনারেট করছি
    $form_no = random_int(1000000000, 9999999999);

    // সেশনে স্টোর করছি পরবর্তী ব্যবহারের জন্য
    $_SESSION['form_no'] = $form_no;
    $_SESSION['email'] = $madrasha_email;

    // কোয়েরি এক্সিকিউট করছি
    if ($stmt->execute()) {
        // সফল হলে রিডাইরেক্ট করছি
        header("Location: ../../add_students/previous.php");
    } else {
        // এরর হলে মেসেজ দেখাচ্ছি
        echo json_encode(['error' => $stmt->error]);
    }

    // রিসোর্স ক্লোজ করছি
    $stmt->close();
    $conn->close();

} else {
    // যদি POST রিকুয়েস্ট না হয়
    echo json_encode(['error' => 'অবৈধ রিকুয়েস্ট']);
}
?>