<?php
require_once '../database/conn.php';

// ডিবাগিং মোড
ini_set('display_errors', 1);
error_reporting(E_ALL);

header('Content-Type: application/json');

try {
    $db = new DBConn();
    $conn = $db->getConnection();

    // লগ যোগ করুন
    error_log("Received POST data: " . print_r($_POST, true));

    $form_no = isset($_POST['form_no']) ? intval($_POST['form_no']) : null;

    if (!$form_no) {
        error_log("Invalid form_no received");
        throw new Exception('অবৈধ ছাত্র আইডি প্রাপ্ত হয়েছে');
    }

    error_log("Attempting to delete student with form_no: $form_no");

    $stmt = $conn->prepare("DELETE FROM selfstudents WHERE form_no = ?");
    if (!$stmt) {
        error_log("Prepare failed: " . $conn->error);
        throw new Exception('ডাটাবেস প্রস্তুত করতে ব্যর্থ');
    }

    $stmt->bind_param("i", $form_no);
    $executed = $stmt->execute();

    if (!$executed) {
        error_log("Execute failed: " . $stmt->error);
        throw new Exception('কোয়েটি এক্সিকিউট করতে ব্যর্থ');
    }

    if ($stmt->affected_rows > 0) {
        error_log("Successfully deleted student $form_no");
        echo json_encode([
            'success' => true,
            'message' => 'ছাত্রের তথ্য সফলভাবে মুছে ফেলা হয়েছে'
        ]);
    } else {
        error_log("No rows affected - student not found");
        echo json_encode([
            'success' => false,
            'message' => 'কোন ছাত্র পাওয়া যায়নি'
        ]);
    }
} catch (Exception $e) {
    error_log("Exception: " . $e->getMessage());
    http_response_code(500);
    echo json_encode([
        'success' => false,
        'message' => 'একটি সমস্যা হয়েছে: ' . $e->getMessage(),
        'error_details' => $conn->error ?? null
    ]);
}

exit();
