<?php
include_once("../database/conn.php");

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $form_no = $_POST['form_no'];
    $table = $_POST['table'];
    $column = $_POST['column'];
    
    $db = new DBConn();
    $conn = $db->getConnection();
    
    // Validate table name to prevent SQL injection
    $validTables = ['admissionfee', 'boardingfee', 'monthlyfee', 'examfee'];
    if (!in_array($table, $validTables)) {
        echo json_encode(['error' => 'Invalid table name']);
        exit;
    }
    
    // Validate column name
    $validColumns = ['admission_fee', 'boarding_fee', 'monthly_fee', 'exam_fee'];
    if (!in_array($column, $validColumns)) {
        echo json_encode(['error' => 'Invalid column name']);
        exit;
    }
    
    $sql = "SELECT id, $column, collected FROM $table WHERE form_no = ? ORDER BY collected DESC";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $form_no);
    $stmt->execute();
    $result = $stmt->get_result();
    
    $data = [];
    while ($row = $result->fetch_assoc()) {
        $data[] = [
            'id' => $row['id'],
            $column => $row[$column],
            'collected' => $row['collected']
        ];
    }
    
    $stmt->close();
    $conn->close();
    
    echo json_encode($data);
} else {
    echo json_encode(['error' => 'Invalid request method']);
}
?>