<?php

include_once("../database/conn.php");

$db = new DBConn();
$conn = $db->getConnection();


if($_SERVER['REQUEST_METHOD'] === 'POST'){
$email = $_POST['email'];


// Fetch total boarding fee
$boardingfeeTable = $db->getStudentTable5();
$total_boarding = 0;
$boarding = $conn->query("SELECT SUM(boarding_fee) AS total FROM $boardingfeeTable WHERE email = '$email' ");
if ($boarding->num_rows > 0) {
    while ($row = $boarding->fetch_assoc()) {
        $total_boarding = $row['total'];
    }
}

// Fetch total admission fee
$admissionfeeTable = $db->getStudentTable4();
$total_admission = 0;
$admission = $conn->query("SELECT SUM(admission_fee) AS total FROM $admissionfeeTable WHERE email = '$email' ");
if ($admission->num_rows > 0) {
    while ($row = $admission->fetch_assoc()) {
        $total_admission = $row['total'];
    }
}

// Fetch total monthly fee
$monthlyfeeTable = $db->getStudentTable6();
$total_monthly = 0;
$monthly = $conn->query("SELECT SUM(monthly_fee) AS total FROM $monthlyfeeTable WHERE email = '$email' ");
if ($monthly->num_rows > 0) {
    while ($row = $monthly->fetch_assoc()) {
        $total_monthly = $row['total'];
    }
}

// Fetch total exam fee
$total_examfee = 0;
$examfee = $conn->query("SELECT SUM(exam_fee) AS total FROM examfee WHERE email = '$email' ");
if ($examfee->num_rows > 0) {
    while ($row = $examfee->fetch_assoc()) {
        $total_examfee = $row['total'];
    }
}

// Handle search functionality
$search_performed = false;
$search_conditions = [];

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (!empty($_POST['student_name'])) {
        $student_name = $conn->real_escape_string($_POST['student_name']);
        $search_conditions[] = "selfstudents.student_name LIKE '%$student_name%'";
    }
    
    if (!empty($_POST['form_no'])) {
        $form_no = $conn->real_escape_string($_POST['form_no']);
        $search_conditions[] = "selfstudents.form_no = '$form_no'";
    }
    
    $search_performed = !empty($search_conditions);
}

// Prepare query based on search
$query = "SELECT selfstudents.class_name, selfstudents.form_no, selfstudents.student_name, madrashas.name 
          FROM selfstudents
          JOIN madrashas ON madrashas.email = selfstudents.madrasha_email
           WHERE madrasha_email = '$email' ";

if ($search_performed) {
    $query .= " WHERE " . implode(" OR ", $search_conditions);
}

$query .= " ORDER BY selfstudents.student_name";

$result = $conn->query($query);
$total_students = $result->num_rows;


}


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Management System</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Hind+Siliguri:wght@300;400;500;600;700&display=swap" rel="stylesheet">


    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">

    <style>
        :root {
            --primary-color: #4361ee;
            --secondary-color: #3f37c9;
            --accent-color: #4895ef;
            --dark-color: #1b263b;
            --light-color: #f8f9fa;
            --success-color: #4cc9f0;
            --danger-color: #f72585;
            --warning-color: #f8961e;
            --info-color: #560bad;
            --border-radius: 8px;
            --box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            --transition: all 0.3s ease;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Hind Siliguri', sans-serif;
        }

        body {
            background-color: #f5f7fa;
            color: #333;
            line-height: 1.6;
        }

        .container {
            width: 100%;
            max-width: 1400px;
            margin: 0 auto;
            padding: 0 20px;
        }

        /* Header Styles */
        .header {
            background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
            color: white;
            padding: 1rem 0;
            position: sticky;
            top: 0;
            z-index: 100;
            box-shadow: var(--box-shadow);
        }

        .header-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-wrap: wrap;
            gap: 1rem;
        }

        .logo {
            font-size: 1.8rem;
            font-weight: 700;
            display: flex;
            align-items: center;
            gap: 0.5rem;
        }

        /* Stats Bar */
        .stats-bar {
            display: flex;
            gap: 1.5rem;
            flex-wrap: wrap;
            margin: 1rem 0;
            justify-content: space-around;
            padding: 0.5rem 0;
            border-bottom: 1px solid #e1e5eb;
        }

        .stat-item {
            display: flex;
            align-items: center;
            gap: 0.5rem;
            font-size: 0.95rem;
            color: var(--dark-color);
            background-color: white;
            padding: 0.5rem 1rem;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
        }

        .stat-item i {
            font-size: 1.2rem;
        }

        .stat-item.boarding { color: var(--primary-color); }
        .stat-item.monthly { color: var(--accent-color); }
        .stat-item.admission { color: var(--info-color); }
        .stat-item.exam { color: var(--secondary-color); }
        .stat-item.students { color: var(--success-color); }

        /* Search Section */
        .search-section {
            background-color: white;
            padding: 1.5rem;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
            margin: 1.5rem 0;
        }

        .search-title {
            font-size: 1.3rem;
            margin-bottom: 1rem;
            color: var(--dark-color);
            display: flex;
            align-items: center;
            gap: 0.5rem;
        }

        .search-form {
            display: flex;
            gap: 1rem;
            flex-wrap: wrap;
        }

        .search-group {
            flex: 1;
            min-width: 250px;
            position: relative;
        }

        .search-input {
            width: 100%;
            padding: 0.8rem 1rem 0.8rem 2.5rem;
            border: 1px solid #ddd;
            border-radius: var(--border-radius);
            font-size: 1rem;
            transition: var(--transition);
        }

        .search-input:focus {
            outline: none;
            border-color: var(--accent-color);
            box-shadow: 0 0 0 3px rgba(67, 97, 238, 0.2);
        }

        .search-icon {
            position: absolute;
            left: 1rem;
            top: 50%;
            transform: translateY(-50%);
            color: #777;
        }

        .search-buttons {
            display: flex;
            gap: 1rem;
            width: 100%;
        }

        .search-btn, .reset-btn {
            flex: 1;
            padding: 0.8rem 1.5rem;
            border-radius: var(--border-radius);
            cursor: pointer;
            font-size: 1rem;
            font-weight: 500;
            transition: var(--transition);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 0.5rem;
            min-width: 120px;
        }

        .search-btn {
            background-color: var(--primary-color);
            color: white;
            border: none;
        }

        .search-btn:hover {
            background-color: var(--secondary-color);
        }

        .reset-btn {
            background-color: #6c757d;
            color: white;
            border: none;
        }

        .reset-btn:hover {
            background-color: #5a6268;
        }

        /* Students Grid */
        .students-grid {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 1.5rem;
            margin: 2rem 0;
        }

        .student-card {
            background-color: white;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
            overflow: hidden;
            transition: var(--transition);
        }

        .student-card:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
        }

        .student-header {
            background-color: var(--primary-color);
            color: white;
            padding: 1rem;
        }

        .student-class {
            font-size: 1.1rem;
            font-weight: 600;
            margin-bottom: 0.3rem;
        }

        .student-form-no {
            font-size: 0.85rem;
            opacity: 0.9;
        }

        .student-body {
            padding: 1.5rem;
        }

        .student-name {
            font-size: 1.3rem;
            font-weight: 600;
            margin-bottom: 0.5rem;
            color: var(--dark-color);
        }

        .student-madrasha {
            font-size: 0.95rem;
            color: #555;
            margin-bottom: 1.5rem;
            display: flex;
            align-items: center;
            gap: 0.5rem;
        }

        .student-madrasha i {
            color: #f8961e;
        }

        .student-actions {
            display: flex;
            gap: 0.8rem;
        }

        .action-btn {
            padding: 0.7rem;
            border-radius: var(--border-radius);
            font-size: 0.95rem;
            font-weight: 500;
            text-align: center;
            cursor: pointer;
            transition: var(--transition);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 0.5rem;
            flex: 1;
        }

        .action-btn.details {
            background-color: var(--primary-color);
            color: white;
            border: 1px solid var(--primary-color);
        }

        .action-btn.details:hover {
            background-color: var(--secondary-color);
        }

        .action-btn.delete {
            background-color: white;
            color: var(--danger-color);
            border: 1px solid var(--danger-color);
        }

        .action-btn.delete:hover {
            background-color: var(--danger-color);
            color: white;
        }

        /* No Results */
        .no-results {
            text-align: center;
            padding: 3rem;
            background-color: white;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
            grid-column: 1 / -1;
        }

        .no-results i {
            font-size: 3rem;
            color: #ccc;
            margin-bottom: 1rem;
        }

        /* Modal Styles */
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.7);
            z-index: 1000;
            opacity: 0;
            transition: opacity 0.3s ease;
            align-items: center;
            justify-content: center;
        }

        .modal.active {
            display: flex;
            opacity: 1;
        }

        .modal-content {
            background-color: white;
            border-radius: var(--border-radius);
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            width: 90%;
            max-width: 450px;
            transform: translateY(-20px);
            transition: transform 0.3s ease;
            overflow: hidden;
        }

        .modal.active .modal-content {
            transform: translateY(0);
        }

        .modal-header {
            padding: 1.5rem;
            background-color: var(--danger-color);
            color: white;
            display: flex;
            align-items: center;
            gap: 1rem;
        }

        .modal-body {
            padding: 1.5rem;
            border-bottom: 1px solid #eee;
        }

        .modal-footer {
            padding: 1rem 1.5rem;
            display: flex;
            justify-content: flex-end;
            gap: 1rem;
        }

        .modal-btn {
            padding: 0.7rem 1.5rem;
            border-radius: var(--border-radius);
            font-size: 1rem;
            font-weight: 500;
            cursor: pointer;
            transition: var(--transition);
            border: none;
        }

        .modal-btn.cancel {
            background-color: #f1f1f1;
            color: #333;
        }

        .modal-btn.delete {
            background-color: var(--danger-color);
            color: white;
        }

        @keyframes shake {
            0%, 100% { transform: translateX(0); }
            10%, 30%, 50%, 70%, 90% { transform: translateX(-5px); }
            20%, 40%, 60%, 80% { transform: translateX(5px); }
        }

        .shake {
            animation: shake 0.5s cubic-bezier(.36,.07,.19,.97) both;
        }

        @media (max-width: 768px) {
            .header-container {
                flex-direction: column;
            }
            
            .search-form {
                flex-direction: column;
            }
            
            .search-buttons {
                flex-direction: column;
            }
            
            .student-actions {
                flex-direction: column;
            }
        }
    </style>

</head>
<body>
    <header class="header">
        <div class="container header-container">
            <div class="logo">
                <i class="fas fa-graduation-cap"></i>
                <span>ছাত্র ম্যানেজমেন্ট সিস্টেম</span>
            </div>
        </div>
    </header>

    <main class="container">
        <div class="stats-bar">
            <div class="stat-item boarding">
                <i class="fas fa-home"></i>
                <span>মোট বোর্ডিং ফি: <strong id="total_boarding_fee"><?php echo $total_boarding; ?></strong> ৳</span>
            </div>
            <div class="stat-item monthly">
                <i class="fas fa-calendar-alt"></i>
                <span>মোট মাসিক ফি: <strong id="total_month_fee"><?php echo $total_monthly; ?></strong> ৳</span>
            </div>
            <div class="stat-item admission">
                <i class="fas fa-sign-in-alt"></i>
                <span>মোট ভর্তি ফি: <strong id="total_addmission_fee"><?php echo $total_admission; ?></strong> ৳</span>
            </div>
            <div class="stat-item exam">
                <i class="fas fa-clipboard-list"></i>
                <span>মোট পরীক্ষার ফি: <strong id="total_examfee"><?php echo $total_examfee; ?></strong> ৳</span>
            </div>
            <div class="stat-item students">
                <i class="fas fa-users"></i>
                <span>মোট ছাত্র: <strong id="total_students"><?php echo $total_students; ?></strong> জন</span>
            </div>
        </div>

        <section class="search-section">
            <h2 class="search-title">
                <i class="fas fa-search"></i>
                নাম অথবা ফরম নং দিয়ে ছাত্র খুঁজুন
            </h2>
            <form class="search-form" method="POST" action="" id="searchForm">
                <div class="search-group">
                    <i class="fas fa-user search-icon"></i>
                    <input type="text" class="search-input" name="student_name" placeholder="ছাত্রের নাম লিখুন" id="studentNameInput" value="<?php echo isset($_POST['student_name']) ? htmlspecialchars($_POST['student_name']) : ''; ?>">
                </div>
                <div class="search-group">
                    <i class="fas fa-id-card search-icon"></i>
                    <input type="text" class="search-input" name="form_no" placeholder="ফরম নং লিখুন" id="formNoInput" value="<?php echo isset($_POST['form_no']) ? htmlspecialchars($_POST['form_no']) : ''; ?>">
                </div>
                <div class="search-buttons">
                    <button type="button" class="search-btn" id="searchBtn">
                        <i class="fas fa-search"></i>
                        খুঁজুন
                    </button>
                    <button type="button" class="reset-btn" id="resetBtn">
                        <i class="fas fa-undo"></i>
                        রিসেট
                    </button>
                </div>
            </form>
        </section>

        <div class="students-grid">
            <?php if ($result->num_rows > 0): ?>
                <?php while ($row = $result->fetch_assoc()): ?>
                    <article class="student-card">
                        <div class="student-header">
                            <h3 class="student-class">ক্লাস: <?php echo htmlspecialchars($row["class_name"]); ?></h3>
                            <p class="student-form-no">ফরম নং: <?php echo htmlspecialchars($row["form_no"]); ?></p>
                        </div>
                        <div class="student-body">
                            <h2 class="student-name"><?php echo htmlspecialchars($row["student_name"]); ?></h2>
                            <p class="student-madrasha">
                                <i class="fas fa-school"></i>
                                <?php echo htmlspecialchars($row["name"]); ?>
                            </p>
                            <div class="student-actions">
                                <form action="details.php" method="POST">
                                    <input type="hidden" name="form_no" value="<?php echo $row['form_no']; ?>">
                                    <button type="submit" class="action-btn details">
                                        <i class="fas fa-info-circle"></i>
                                        বিস্তারিত দেখুন
                                    </button>
                                </form>
                                <button type="button" class="action-btn delete" onclick="showDeleteModal('<?php echo $row['form_no']; ?>', '<?php echo htmlspecialchars(addslashes($row['student_name'])); ?>')">
                                    <i class="fas fa-trash-alt"></i>
                                    ডিলিট করুন
                                </button>
                            </div>
                        </div>
                    </article>
                <?php endwhile; ?>
            <?php else: ?>
                <div class="no-results">
                    <i class="fas fa-user-slash"></i>
                    <p>কোন ছাত্র পাওয়া যায়নি</p>
                </div>
            <?php endif; ?>
        </div>
    </main>

    <div class="modal" id="deleteModal">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fas fa-exclamation-triangle"></i>
                <h3>ছাত্র ডিলিট করুন</h3>
            </div>
            <div class="modal-body">
                <p class="modal-message" id="deleteModalMessage"></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="modal-btn cancel" onclick="hideDeleteModal()">বাতিল করুন</button>
                <form id="deleteForm" method="POST" action="delete.php">
                    <input type="hidden" name="form_no" id="deleteFormNo">
                    <button type="submit" class="modal-btn delete">ডিলিট করুন</button>
                </form>
            </div>
        </div>
    </div>

    <script>
        // সংখ্যা কমা দিয়ে ফরম্যাট করুন
        function formatNumber(num) {
            return num.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }
        
        // সমস্ত পরিসংখ্যান সংখ্যায় ফরম্যাটিং প্রয়োগ করুন
        document.getElementById('total_boarding_fee').innerText = formatNumber(<?php echo $total_boarding; ?>);
        document.getElementById('total_addmission_fee').innerText = formatNumber(<?php echo $total_admission; ?>);
        document.getElementById('total_month_fee').innerText = formatNumber(<?php echo $total_monthly; ?>);
        document.getElementById('total_examfee').innerText = formatNumber(<?php echo $total_examfee; ?>);

        // সার্চ ফাংশনালিটি (ফর্ম সাবমিট ছাড়াই)
        document.getElementById('searchBtn').addEventListener('click', function(e) {
            e.preventDefault(); // ফর্ম সাবমিট হওয়া প্রতিরোধ করে
            performSearch();
        });

        function performSearch() {
            const studentName = document.getElementById('studentNameInput').value;
            const formNo = document.getElementById('formNoInput').value;

            // PHP তে সার্চ কোয়েরি চালানোর জন্য AJAX ব্যবহার করুন অথবা লোকাল ফিল্টারিং করুন
            // এখানে লোকাল ফিল্টারিং দেখানো হলো (যদি ডেটা জাভাস্ক্রিপ্টে থাকে)
            // যদি ডেটা PHP থেকে লোড করা হয়, তাহলে AJAX ব্যবহার করুন
            
            // নিচের কোডটি PHP থেকে ডেটা লোড না করে ক্লায়েন্ট সাইডে ফিল্টারিং করার জন্য।
            // যদি ডেটা PHP থেকে লোড করা হয়, তাহলে AJAX ব্যবহার করে সার্ভার-সাইড ফিল্টারিং করতে হবে।

            const studentCards = document.querySelectorAll('.student-card');
            let found = false;

            studentCards.forEach(card => {
                const name = card.querySelector('.student-name').textContent.toLowerCase();
                const form = card.querySelector('.student-form-no').textContent.toLowerCase();
                const nameMatch = studentName.toLowerCase() === '' || name.includes(studentName.toLowerCase());
                const formMatch = formNo.toLowerCase() === '' || form.includes(formNo.toLowerCase());

                if (nameMatch && formMatch) {
                    card.style.display = 'block';
                    found = true;
                } else {
                    card.style.display = 'none';
                }
            });

            // যদি কোন ছাত্র না পাওয়া যায়, তাহলে নো-রেজাল্ট মেসেজ দেখান
            const noResults = document.querySelector('.no-results');
            if (found) {
                noResults.style.display = 'none';
            } else {
                noResults.style.display = 'block';
            }
        }

        // রিসেট ফাংশনালিটি (ফর্ম সাবমিট ছাড়াই)
        document.getElementById('resetBtn').addEventListener('click', function(e) {
            e.preventDefault(); // ফর্ম সাবমিট হওয়া প্রতিরোধ করে
            document.getElementById('studentNameInput').value = '';
            document.getElementById('formNoInput').value = '';
            performSearch();
        });

        // ডিলিট মোডাল ফাংশন
        function showDeleteModal(formNo, studentName) {
            const modal = document.getElementById('deleteModal');
            const message = document.getElementById('deleteModalMessage');
            const formNoInput = document.getElementById('deleteFormNo');
            
            message.textContent = `আপনি কি নিশ্চিত যে আপনি "${studentName}" (ফরম নং: ${formNo}) কে ডিলিট করতে চান? এই কাজটি পূর্বাবস্থায় ফেরানো যাবে না।`;
            formNoInput.value = formNo;
            
            modal.classList.add('active');
            
            setTimeout(() => {
                modal.querySelector('.modal-content').classList.add('shake');
            }, 100);
        }

        function hideDeleteModal() {
            const modal = document.getElementById('deleteModal');
            modal.classList.remove('active');
            modal.querySelector('.modal-content').classList.remove('shake');
        }

        // বাইরে ক্লিক করলে মোডাল বন্ধ করুন
        document.getElementById('deleteModal').addEventListener('click', function(e) {
            if (e.target === this) {
                hideDeleteModal();
            }
        });

        // এসকেপ কী দিয়ে মোডাল বন্ধ করুন
        document.addEventListener('keydown', function(e) {
            if (e.key === 'Escape') {
                hideDeleteModal();
            }
        });
    </script>
</body>
</html>