<?php
require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = $_POST['id'];

    if ($id !== null && isset($id)) {
        $sql = "SELECT * FROM teacher WHERE id = '$id' ";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            $row = $result->fetch_assoc();
            ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>শিক্ষক বিবরণ</title>
    <style>
        @font-face {
            font-family: 'myFont';
            src: url('../../fonts/siliguri_semibold.ttf');
        }
        * {
            box-sizing: border-box;
        }
        body {
            font-family: 'myFont';
            background: #f0f4f8;
            margin: 0;
            padding: 20px;
            display: flex;
            justify-content: center;
        }
        main {
            width: 100%;
            max-width: 800px;
            background: white;
            border-radius: 12px;
            box-shadow: 0 5px 15px rgba(0,0,0,0.08);
            overflow: hidden;
            margin: 20px 0;
        }
        header {
            background: #2563eb;
            color: white;
            padding: 1rem;
            text-align: center;
        }
        h1 {
            margin: 0;
            font-size: clamp(1.2rem, 4vw, 1.8rem);
        }
        section {
            display: grid;
            grid-template-columns: 1fr;
            gap: 0.5rem;
            padding: 1rem;
        }
        .detail-item {
            display: flex;
            flex-direction: column;
            margin-bottom: 0.5rem;
            padding: 0.5rem;
            border-bottom: 1px solid #e2e8f0;
        }
        .label {
            font-weight: bold;
            color: #2563eb;
            margin-bottom: 0.3rem;
            font-size: clamp(0.9rem, 3vw, 1rem);
        }
        .value {
            color: #334155;
            font-size: clamp(0.9rem, 3vw, 1rem);
            word-break: break-word;
        }
        footer {
            text-align: center;
            padding: 1rem;
            background: #f8fafc;
            color: #64748b;
            font-size: clamp(0.8rem, 3vw, 0.9rem);
        }

        /* For tablets and larger devices */
        @media (min-width: 600px) {
            section {
                grid-template-columns: repeat(2, 1fr);
                gap: 1rem;
                padding: 1.5rem;
            }
            .detail-item {
                flex-direction: row;
                margin-bottom: 0.8rem;
                padding: 0;
                border-bottom: none;
            }
            .label {
                min-width: 180px;
                margin-bottom: 0;
            }
        }

        /* For very small devices */
        @media (max-width: 360px) {
            body {
                padding: 10px;
            }
            main {
                border-radius: 8px;
            }
            header {
                padding: 0.8rem;
            }
        }
    </style>
</head>
<body>

<main>
    <header>
        <h1>শিক্ষক বিবরণ</h1>
    </header>
    
    <section>
        <article class="detail-item">
            <span class="label">আইডি:</span>
            <span class="value"><?= htmlspecialchars($row['id']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">নাম:</span>
            <span class="value"><?= htmlspecialchars($row['name']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">নাম্বার:</span>
            <span class="value"><?= htmlspecialchars($row['phone']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">অভিজ্ঞতা:</span>
            <span class="value"><?= htmlspecialchars($row['experience']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">শিক্ষাগত যোগ্যতা:</span>
            <span class="value"><?= htmlspecialchars($row['qualification']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">ক্লাসের নাম:</span>
            <span class="value"><?= htmlspecialchars($row['class_names']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">শিক্ষা বিভাগ প্রধানের নাম:</span>
            <span class="value"><?= htmlspecialchars($row['head_name']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">অনুমোদন:</span>
            <span class="value"><?= htmlspecialchars($row['head_approval']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">পরিচালকের নাম:</span>
            <span class="value"><?= htmlspecialchars($row['director_name']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">পরিচালকের অনুমোদন:</span>
            <span class="value"><?= htmlspecialchars($row['director_approval']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">তারিখ:</span>
            <span class="value"><?= htmlspecialchars($row['dates']); ?></span>
        </article>
        
        <article class="detail-item">
            <span class="label">মাদ্রাসার ইমেইল:</span>
            <span class="value"><?= htmlspecialchars($row['madrasha_email']); ?></span>
        </article>
    </section>
    
    <footer>
        © <?= date('Y'); ?> - সকল অধিকার সংরক্ষিত
    </footer>
</main>

</body>
</html>

            <?php
        } else {
            echo "No data found";
        }
    } else {
        die("No ID found to read data");
    }
} else {
    die("Invalid Request");
}
?>