<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>শিক্ষক তালিকা</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">

    <link href="https://fonts.googleapis.com/css2?family=Hind+Siliguri:wght@400;600;700&display=swap" rel="stylesheet">

    <style>
        :root {
            --primary-color: #3498db;
            --danger-color: #e74c3c;
            --warning-color: #f39c12;
            --success-color: #2ecc71;
            --light-color: #ecf0f1;
            --dark-color: #2c3e50;
            --shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            --card-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Hind Siliguri', sans-serif;
        }

        body {
            background-color: #f5f7fa;
            color: #333;
            line-height: 1.6;
            padding: 20px;
        }

        .header {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 30px;
            gap: 20px;
        }

        h1 {
            color: var(--dark-color);
            font-size: 2.2rem;
            border-bottom: 2px solid var(--primary-color);
            padding-bottom: 10px;
            display: inline-block;
        }

        .search-container {
            width: 100%;
            max-width: 600px;
            position: relative;
        }

        .search-input {
            width: 100%;
            padding: 12px 40px 12px 15px;
            border: 2px solid #ddd;
            border-radius: 30px;
            font-size: 1rem;
            font-family: 'Hind Siliguri', sans-serif;
            transition: all 0.3s ease;
            box-shadow: var(--shadow);
        }

        .search-input:focus {
            outline: none;
            border-color: var(--primary-color);
            box-shadow: 0 0 0 3px rgba(52, 152, 219, 0.2);
        }

        .search-btn {
            position: absolute;
            right: 5px;
            top: 50%;
            transform: translateY(-50%);
            background-color: var(--primary-color);
            color: white;
            border: none;
            width: 30px;
            height: 30px;
            border-radius: 50%;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: all 0.3s ease;
        }

        .search-btn:hover {
            background-color: #2980b9;
        }

        .clear-search {
            position: absolute;
            right: 40px;
            top: 50%;
            transform: translateY(-50%);
            color: #aaa;
            cursor: pointer;
            display: none;
        }

        .clear-search:hover {
            color: #777;
        }

        .teachers-container {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 25px;
            max-width: 1200px;
            margin: 0 auto;
        }

        .teacher-card {
            background: white;
            border-radius: 10px;
            overflow: hidden;
            box-shadow: var(--card-shadow);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }

        .teacher-card:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
        }

        .card-header {
            background-color: var(--primary-color);
            color: white;
            padding: 15px;
            text-align: center;
            position: relative;
        }

        .card-header h3 {
            margin: 0;
            font-size: 1.3rem;
        }

        .card-body {
            padding: 20px;
        }

        .teacher-info {
            margin-bottom: 15px;
        }

        .teacher-info p {
            display: flex;
            align-items: center;
            margin-bottom: 10px;
            color: #555;
            font-size: 0.95rem;
        }

        .teacher-info i {
            margin-right: 10px;
            color: var(--primary-color);
            width: 20px;
            text-align: center;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            margin-top: 20px;
        }

        .btn {
            border: none;
            padding: 10px 15px;
            border-radius: 5px;
            cursor: pointer;
            font-weight: 600;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: all 0.3s ease;
            text-decoration: none;
            font-size: 0.9rem;
            flex: 1;
        }

        .btn i {
            margin-right: 8px;
        }

        .btn-warning {
            background-color: var(--warning-color);
            color: white;
        }

        .btn-warning:hover {
            background-color: #e67e22;
        }

        .btn-danger {
            background-color: var(--danger-color);
            color: white;
        }

        .btn-danger:hover {
            background-color: #c0392b;
        }

        .no-teachers {
            text-align: center;
            color: var(--danger-color);
            margin-top: 50px;
            font-size: 1.5rem;
            grid-column: 1 / -1;
        }

        /* Modern Modal styles */
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            backdrop-filter: blur(5px);
            z-index: 1000;
            justify-content: center;
            align-items: center;
            opacity: 0;
            transition: opacity 0.3s ease;
        }

        .modal.show {
            display: flex;
            opacity: 1;
        }

        .modal-content {
            background-color: white;
            padding: 30px;
            border-radius: 12px;
            max-width: 450px;
            width: 90%;
            text-align: center;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            transform: translateY(-20px);
            transition: transform 0.3s ease;
        }

        .modal.show .modal-content {
            transform: translateY(0);
        }

        .modal-icon {
            font-size: 3rem;
            color: var(--danger-color);
            margin-bottom: 15px;
        }

        .modal h2 {
            margin-bottom: 15px;
            color: var(--dark-color);
            font-size: 1.5rem;
        }

        .modal p {
            margin-bottom: 25px;
            font-size: 1.1rem;
            color: #555;
        }

        .modal-buttons {
            display: flex;
            justify-content: center;
            gap: 15px;
        }

        .btn-cancel {
            background-color: #95a5a6;
            color: white;
        }

        .btn-cancel:hover {
            background-color: #7f8c8d;
        }

        .btn-confirm {
            background-color: var(--danger-color);
            color: white;
        }

        .btn-confirm:hover {
            background-color: #c0392b;
        }

        @media (max-width: 768px) {
            .teachers-container {
                grid-template-columns: 1fr;
            }
            
            .action-buttons {
                flex-direction: column;
            }

            .header {
                text-align: center;
            }
        }
    </style>
</head>

<body>
    <div class="header">
        <h1><i class="fas fa-chalkboard-teacher"></i> শিক্ষকদের তালিকা</h1>
        
        <div class="search-container">
            <input type="text" class="search-input" placeholder="শিক্ষকের নাম, আইডি বা ফোন নাম্বার দিয়ে খুঁজুন..." id="searchInput">
            <span class="clear-search" id="clearSearch"><i class="fas fa-times"></i></span>
            <button class="search-btn" id="searchBtn">
                <i class="fas fa-search"></i>
            </button>
        </div>
    </div>

    <div class="teachers-container" id="teachersContainer">
        <?php
        require_once '../database/conn.php';

        $email = $_POST['email'];

        $db = new DBConn();
        $conn = $db->getConnection();

        $sql = "SELECT * FROM teacher WHERE madrasha_email = '$email' ";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
        ?>
                <div class="teacher-card" data-name="<?php echo strtolower($row['name']); ?>" data-id="<?php echo $row['id']; ?>" data-phone="<?php echo $row['phone']; ?>">
                    <div class="card-header">
                        <h3><?php echo $row['name']; ?></h3>
                    </div>
                    <div class="card-body">
                        <div class="teacher-info">
                            <p><i class="fas fa-id-card"></i> ID: <?php echo $row['id']; ?></p>
                            <p><i class="fas fa-phone"></i> নাম্বার: <?php echo $row['phone']; ?></p>
                            <p><i class="fas fa-book-open"></i> ক্লাস: <?php echo $row['class_names']; ?></p>
                            <p><i class="fas fa-calendar-alt"></i> তারিখ: <?php echo $row['dates']; ?></p>
                        </div>

                        <div class="action-buttons">
                            <form action="details.php" method="POST" style="flex: 1;">
                                <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
                                <button type="submit" class="btn btn-warning">
                                    <i class="fas fa-info-circle"></i> বিস্তারিত
                                </button>
                            </form>
                            <button class="btn btn-danger delete-btn" data-id="<?php echo $row['id']; ?>" data-name="<?php echo $row['name']; ?>" style="flex: 1;">
                                <i class="fas fa-trash-alt"></i> মুছুন
                            </button>
                        </div>
                    </div>
                </div>
        <?php }
        } else {
            echo '<div class="no-teachers"><i class="fas fa-exclamation-triangle"></i> এই মাদরাসায় এখনও কোন শিক্ষক নিয়োগ দেয়া হয়নি!</div>';
        } ?>
    </div>

    <!-- Modern Delete Confirmation Modal -->
    <div class="modal" id="deleteModal">
        <div class="modal-content">
            <div class="modal-icon">
                <i class="fas fa-exclamation-circle"></i>
            </div>
            <h2>আপনি কি নিশ্চিত?</h2>
            <p id="modalMessage">আপনি <strong id="teacherName"></strong> শিক্ষককে মুছে ফেলতে চান? এই কাজটি অপরিবর্তনীয়।</p>
            <div class="modal-buttons">
                <button class="btn btn-cancel" id="cancelDelete">
                    <i class="fas fa-times"></i> বাতিল করুন
                </button>
                <form id="deleteForm" action="delete.php" method="POST" style="display: inline;">
                    <input type="hidden" name="id" id="teacherIdToDelete">
                    <button type="submit" class="btn btn-confirm">
                        <i class="fas fa-trash-alt"></i> মুছে ফেলুন
                    </button>
                </form>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Search elements
            const searchInput = document.getElementById('searchInput');
            const clearSearch = document.getElementById('clearSearch');
            const teacherCards = document.querySelectorAll('.teacher-card');

            // Show/hide clear button based on input
            searchInput.addEventListener('input', function() {
                if (this.value.length > 0) {
                    clearSearch.style.display = 'block';
                } else {
                    clearSearch.style.display = 'none';
                    showAllTeachers();
                }
            });

            // Clear search functionality
            clearSearch.addEventListener('click', function() {
                searchInput.value = '';
                clearSearch.style.display = 'none';
                showAllTeachers();
            });

            // Search functionality
            function filterTeachers() {
                const searchTerm = searchInput.value.toLowerCase().trim();
                
                if (searchTerm === '') {
                    showAllTeachers();
                    return;
                }
                
                teacherCards.forEach(card => {
                    const name = card.getAttribute('data-name');
                    const id = card.getAttribute('data-id');
                    const phone = card.getAttribute('data-phone');
                    
                    if (name.includes(searchTerm) || 
                        id.includes(searchTerm) || 
                        phone.includes(searchTerm)) {
                        card.style.display = 'block';
                    } else {
                        card.style.display = 'none';
                    }
                });
            }

            function showAllTeachers() {
                teacherCards.forEach(card => {
                    card.style.display = 'block';
                });
            }

            // Search on button click or enter key
            document.getElementById('searchBtn').addEventListener('click', filterTeachers);
            searchInput.addEventListener('keyup', function(e) {
                if (e.key === 'Enter') {
                    filterTeachers();
                }
            });

            // Modern Delete Modal
            const deleteButtons = document.querySelectorAll('.delete-btn');
            const modal = document.getElementById('deleteModal');
            const cancelButton = document.getElementById('cancelDelete');
            const deleteForm = document.getElementById('deleteForm');
            const teacherIdInput = document.getElementById('teacherIdToDelete');
            const teacherNameElement = document.getElementById('teacherName');

            deleteButtons.forEach(button => {
                button.addEventListener('click', function() {
                    const teacherId = this.getAttribute('data-id');
                    const teacherName = this.getAttribute('data-name');
                    
                    teacherIdInput.value = teacherId;
                    teacherNameElement.textContent = teacherName;
                    
                    // Show modal with animation
                    modal.classList.add('show');
                    document.body.style.overflow = 'hidden';
                });
            });

            cancelButton.addEventListener('click', function() {
                modal.classList.remove('show');
                document.body.style.overflow = 'auto';
            });

            // Close modal when clicking outside
            window.addEventListener('click', function(event) {
                if (event.target === modal) {
                    modal.classList.remove('show');
                    document.body.style.overflow = 'auto';
                }
            });
        });
    </script>
</body>

</html>