<?php
include_once("../db/database/conn.php");

$db = new DBConn();
$conn = $db->getConnection();

$email = $_POST["email"] ?? '';

// ইংরেজি থেকে বাংলা অনুবাদ ম্যাপিং
$expense_head_translation = [
    "current_bill" => "কারেন্ট বিল",
    "building_market_cost" => "বোর্ডিং বাজার খরচ",
    "cylinder_gas" => "সিলিন্ডার গ্যাস",
    "waz_materials" => "ওয়াজের কোপন, পোষ্টার, হেমবিল, পেন্ডেল, মাইক",
    "official_expense" => "আনুষ্ঠানিক খরচ",
    "electronics_expenses" => "ইলেক্ট্রনিক্স খরচ",
    "guests_treatment" => "মেহমানদের আপ্যায়ন খরচ",
    "tabligh_jamat_treatment" => "তাবলীগ জামাতের আপ্যায়ন খরচ",
    "helth" => "ছাত্র চিকিৎসা ফি",
    "library" => "মাদ্রাসার লাইব্রেরী ম্যানেজিং খরচ"
];

// নির্দিষ্ট ইমেইল অনুযায়ী খরচের ডাটা লোড করা
$stmt = $conn->prepare("SELECT id, expense_head, expense_details, expense_ammount, created_at FROM expense WHERE madrasha_email = ?");
$stmt->bind_param("s", $email);
$stmt->execute();
$result = $stmt->get_result();

// প্রতিটি expense_head ভিত্তিক মোট খরচ বের করা
$total_stmt = $conn->prepare("SELECT expense_head, SUM(expense_ammount) as total_expense FROM expense WHERE madrasha_email = ? GROUP BY expense_head");
$total_stmt->bind_param("s", $email);
$total_stmt->execute();
$total_result = $total_stmt->get_result();

// টোটাল হাদিয়া হিসাব
$hadiya_sql = "SELECT SUM(salary) as total_salary FROM hadiya WHERE email = '$email'";
$hadiya_result = $conn->query($hadiya_sql);
$hadiya_total = ($hadiya_result && $row = $hadiya_result->fetch_assoc()) ? ($row['total_salary'] ?? 0) : 0;
?>
<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>খরচের তথ্য দেখুন</title>
    <style>
        :root {
            --primary-color: #4361ee;
            --danger-color: #f72585;
            --warning-color: #f8961e;
            --success-color: #4cc9f0;
            --light-color: #f8f9fa;
            --dark-color: #212529;
            --text-color: #495057;
            --card-shadow: 0 4px 20px rgba(0, 0, 0, 0.08);
            --transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', 'Nirmala UI', 'Kalpurush', sans-serif;
        }

        body {
            background-color: #f5f7fa;
            color: var(--text-color);
            line-height: 1.6;
            min-height: 100vh;
        }

        .container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 2rem;
        }

        .header {
            text-align: center;
            margin-bottom: 2.5rem;
        }

        .header h1 {
            color: var(--dark-color);
            font-size: 2.2rem;
            margin-bottom: 0.5rem;
            font-weight: 700;
            background: linear-gradient(135deg, #4361ee, #3a0ca3);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
        }

        .search-form {
            display: flex;
            justify-content: center;
            margin-bottom: 2.5rem;
        }

        .search-btn {
            background: linear-gradient(135deg, var(--primary-color), #3a0ca3);
            color: white;
            border: none;
            padding: 0.8rem 2rem;
            border-radius: 50px;
            cursor: pointer;
            font-size: 1rem;
            font-weight: 600;
            transition: var(--transition);
            box-shadow: 0 4px 15px rgba(67, 97, 238, 0.3);
            display: flex;
            align-items: center;
            gap: 0.5rem;
        }

        .search-btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 6px 20px rgba(67, 97, 238, 0.4);
        }

        .dashboard {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 2rem;
        }

        @media (max-width: 768px) {
            .dashboard {
                grid-template-columns: 1fr;
            }
        }

        .card {
            background: white;
            border-radius: 12px;
            box-shadow: var(--card-shadow);
            overflow: hidden;
            transition: var(--transition);
        }

        .card:hover {
            transform: translateY(-5px);
            box-shadow: 0 15px 30px rgba(0, 0, 0, 0.12);
        }

        .card-header {
            background: linear-gradient(135deg, var(--danger-color), #b5179e);
            color: white;
            padding: 1.2rem 1.5rem;
            font-size: 1.2rem;
            font-weight: 600;
            position: relative;
            overflow: hidden;
        }

        .card-header::after {
            content: '';
            position: absolute;
            top: 0;
            right: 0;
            width: 100%;
            height: 100%;
            background: linear-gradient(90deg, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0.3) 100%);
            transform: translateX(100%);
            transition: var(--transition);
        }

        .card-header:hover::after {
            transform: translateX(0);
        }

        .card-header.warning {
            background: linear-gradient(135deg, var(--warning-color), #f3722c);
        }

        .card-body {
            padding: 1.5rem;
            max-height: 500px;
            overflow-y: auto;
        }

        .scroll-container {
            scrollbar-width: thin;
            scrollbar-color: #d6d6d6 transparent;
        }

        .scroll-container::-webkit-scrollbar {
            width: 6px;
        }

        .scroll-container::-webkit-scrollbar-track {
            background: transparent;
        }

        .scroll-container::-webkit-scrollbar-thumb {
            background-color: #d6d6d6;
            border-radius: 6px;
        }

        .expense-item {
            background: white;
            border-radius: 12px;
            padding: 1.5rem;
            margin-bottom: 1rem;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
            border-left: 4px solid var(--danger-color);
            transition: var(--transition);
        }

        .expense-item:hover {
            transform: translateY(-3px);
            box-shadow: 0 6px 16px rgba(0, 0, 0, 0.12);
        }

        .expense-actions {
            display: flex;
            gap: 0.75rem;
        }

        .action-btn {
            padding: 0.6rem 1rem;
            border-radius: 8px;
            font-size: 0.9rem;
            font-weight: 500;
            display: flex;
            align-items: center;
            gap: 0.5rem;
            transition: var(--transition);
            border: none;
            cursor: pointer;
        }

        .details-btn {
            background: linear-gradient(135deg, var(--primary-color), #4895ef);
            color: white;
        }

        .details-btn:hover {
            background: linear-gradient(135deg, #3a56e0, #4361ee);
            transform: translateY(-2px);
        }

        .delete-btn {
            background: linear-gradient(135deg, var(--danger-color), #ef233c);
            color: white;
        }

        .action-btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .action-icon {
            font-size: 0.9rem;
        }

        .expense-title {
            color: var(--danger-color);
            font-size: 1.2rem;
            font-weight: 600;
            margin-bottom: 1rem;
            padding-bottom: 0.5rem;
            border-bottom: 1px solid #f0f0f0;
        }

        .expense-content {
            display: flex;
            justify-content: space-between;
            align-items: flex-end;
            gap: 1rem;
        }

        .expense-info {
            flex: 1;
        }

        .expense-details {
            display: flex;
            flex-wrap: wrap;
            gap: 1rem;
            margin-bottom: 0.5rem;
        }

        .expense-amount {
            font-size: 1.1rem;
            font-weight: 600;
            color: var(--dark-color);
            margin-bottom: 0.5rem;
        }

        .expense-date {
            font-size: 0.85rem;
            color: #888;
        }

        .total-hadia {
            background: linear-gradient(135deg, var(--success-color), #4895ef);
            padding: 1.2rem;
            border-radius: 8px;
            margin-bottom: 1.5rem;
            color: white;
            box-shadow: 0 4px 15px rgba(76, 201, 240, 0.3);
        }

        .total-hadia h4 {
            margin-bottom: 0.5rem;
            font-size: 1.2rem;
        }

        .total-hadia p {
            font-size: 1.1rem;
            font-weight: 600;
        }

        .category-item {
            background: white;
            padding: 1rem;
            margin-bottom: 1rem;
            border-radius: 8px;
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
            border-left: 4px solid var(--warning-color);
            transition: var(--transition);
        }

        .category-item:hover {
            transform: translateX(5px);
        }

        .category-title {
            color: var(--warning-color);
            font-weight: 600;
            margin-bottom: 0.5rem;
            font-size: 1.1rem;
        }

        .category-amount {
            font-weight: 600;
            color: var(--dark-color);
            font-size: 1.1rem;
        }

        .no-data {
            text-align: center;
            padding: 2rem;
            color: #adb5bd;
            font-size: 1.1rem;
        }

        /* Modal Styles */
        .modal-overlay {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: rgba(0, 0, 0, 0.7);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 1000;
            opacity: 0;
            visibility: hidden;
            transition: all 0.3s ease;
            backdrop-filter: blur(5px);
        }

        .modal-overlay.active {
            opacity: 1;
            visibility: visible;
        }

        .modal-container {
            background: white;
            border-radius: 12px;
            width: 90%;
            max-width: 500px;
            padding: 2rem;
            box-shadow: 0 20px 40px rgba(0, 0, 0, 0.2);
            transform: translateY(-20px) scale(0.95);
            transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
        }

        .modal-overlay.active .modal-container {
            transform: translateY(0) scale(1);
        }

        .modal-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 1.5rem;
            padding-bottom: 1rem;
            border-bottom: 1px solid #eee;
        }

        .modal-title {
            color: var(--dark-color);
            font-size: 1.5rem;
            margin: 0;
            font-weight: 600;
        }

        .close-btn {
            background: none;
            border: none;
            font-size: 1.8rem;
            cursor: pointer;
            color: #adb5bd;
            transition: var(--transition);
            line-height: 1;
        }

        .close-btn:hover {
            color: var(--danger-color);
            transform: rotate(90deg);
        }

        .modal-body {
            margin-bottom: 2rem;
        }

        .detail-row {
            display: flex;
            margin-bottom: 1rem;
            padding-bottom: 1rem;
            border-bottom: 1px dashed #eee;
        }

        .detail-row:last-child {
            border-bottom: none;
            margin-bottom: 0;
            padding-bottom: 0;
        }

        .detail-label {
            font-weight: 600;
            color: var(--dark-color);
            width: 120px;
            flex-shrink: 0;
            font-size: 0.95rem;
        }

        .detail-value {
            color: var(--text-color);
            flex-grow: 1;
            font-size: 0.95rem;
            white-space: pre-wrap;
            word-break: break-word;
        }

        .modal-footer {
            display: flex;
            justify-content: flex-end;
            gap: 1rem;
            padding-top: 1.5rem;
            margin-top: 1.5rem;
            border-top: 1px solid #eee;
        }

        .modal-btn {
            padding: 0.7rem 1.5rem;
            border-radius: 8px;
            font-weight: 600;
            cursor: pointer;
            transition: var(--transition);
            border: none;
            font-size: 0.95rem;
        }

        .modal-btn-cancel {
            background-color: #e9ecef;
            color: var(--text-color);
        }

        .modal-btn-cancel:hover {
            background-color: #dee2e6;
            transform: translateY(-2px);
        }

        .modal-btn-delete {
            background: linear-gradient(135deg, var(--danger-color), #ef233c);
            color: white;
            box-shadow: 0 4px 10px rgba(247, 37, 133, 0.3);
        }

        .modal-btn-delete:hover {
            background: linear-gradient(135deg, #d90429, #ef233c);
            transform: translateY(-2px);
            box-shadow: 0 6px 15px rgba(247, 37, 133, 0.4);
        }

        /* Delete Confirmation Modal Specific */
        .delete-modal .modal-icon {
            text-align: center;
            font-size: 4rem;
            color: var(--danger-color);
            margin-bottom: 1.5rem;
            line-height: 1;
        }

        .delete-modal .modal-text {
            text-align: center;
            margin-bottom: 2rem;
            line-height: 1.6;
            color: var(--text-color);
        }

        /* Details Modal Specific */
        .details-modal .modal-icon {
            text-align: center;
            font-size: 3.5rem;
            color: var(--primary-color);
            margin-bottom: 1.5rem;
            line-height: 1;
        }

        /* Animation for cards */
        @keyframes fadeInUp {
            from {
                opacity: 0;
                transform: translateY(20px);
            }

            to {
                opacity: 1;
                transform: translateY(0);
            }
        }

        .card {
            animation: fadeInUp 0.6s ease-out forwards;
            opacity: 0;
        }

        .card:nth-child(1) {
            animation-delay: 0.1s;
        }

        .card:nth-child(2) {
            animation-delay: 0.2s;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">
            <h1>খরচের তথ্য দেখুন</h1>
        </div>

        <form action="search.php" method="POST" class="search-form">
            <input type="email" name="email" value="<?php echo htmlspecialchars($email); ?>" hidden>
            <button type="submit" class="search-btn">
                <span>🔍</span> খরচ সার্চ করুন
            </button>
        </form>

        <div class="dashboard">
            <div class="card">
                <div class="card-header">খরচের তথ্য</div>
                <div class="card-body scroll-container">
                    <?php if ($result->num_rows > 0): ?>
                        <?php while ($row = $result->fetch_assoc()): ?>
                            <?php $expense_head_bn = $expense_head_translation[$row['expense_head']] ?? $row['expense_head']; ?>


                            <div class="expense-item">
                                <h3 class="expense-title"><?php echo htmlspecialchars($expense_head_bn); ?></h3>

                                <div class="expense-content">
                                    <div class="expense-info">
                                        <p class="expense-amount"><?php echo htmlspecialchars($row['expense_ammount']); ?> টাকা
                                        </p>
                                        <p class="expense-date"><?php echo htmlspecialchars($row['created_at']); ?></p>
                                    </div>

                                    <div class="expense-actions">
                                        <button class="action-btn details-btn" data-id="<?php echo $row['id']; ?>"
                                            data-head="<?php echo htmlspecialchars($expense_head_bn); ?>"
                                            data-amount="<?php echo htmlspecialchars($row['expense_ammount']); ?>"
                                            data-details="<?php echo htmlspecialchars($row['expense_details']); ?>"
                                            data-date="<?php echo htmlspecialchars($row['created_at']); ?>">
                                            <span class="action-icon">🔍</span> বিস্তারিত
                                        </button>
                                        <button class="action-btn delete-btn" data-id="<?php echo $row['id']; ?>">
                                            <span class="action-icon">🗑️</span> ডিলিট
                                        </button>
                                    </div>
                                </div>
                            </div>


                        <?php endwhile; ?>
                    <?php else: ?>
                        <div class="no-data">কোনো ডাটা পাওয়া যায়নি</div>
                    <?php endif; ?>
                </div>
            </div>

            <div class="card">
                <div class="card-header warning">মোট খরচ (প্রতি ক্যাটাগরি)</div>
                <div class="card-body scroll-container">

                <form action="details.php" method="POST">
								<input type="hidden" name="email" value="<?php echo $_POST["email"] ?? ''; ?>">
								<button type="submit" class="btn btn-primary mb-1 w-100">আরো বিস্তারিত দেখুন</button>
							</form>

                    <div class="total-hadia">
                        <h4>টোটাল হাদিয়া</h4>
                        <p>TK: <strong><?php echo htmlspecialchars($hadiya_total); ?></strong></p>
                    </div>

                    <?php if ($total_result->num_rows > 0): ?>
                        <?php while ($row = $total_result->fetch_assoc()): ?>
                            <?php $expense_head_bn = $expense_head_translation[$row['expense_head']] ?? $row['expense_head']; ?>
                            <div class="category-item">
                                <h3 class="category-title"><?php echo htmlspecialchars($expense_head_bn); ?></h3>
                                <p class="category-amount">মোট পরিমাণ: <?php echo htmlspecialchars($row['total_expense']); ?>
                                    টাকা</p>
                            </div>
                        <?php endwhile; ?>
                    <?php else: ?>
                        <div class="no-data">কোনো মোট খরচ পাওয়া যায়নি</div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

    <!-- Delete Confirmation Modal -->
    <div class="modal-overlay delete-modal" id="deleteModal">
        <div class="modal-container">
            <div class="modal-icon">❌</div>
            <h3 class="modal-title">আপনি কি নিশ্চিত?</h3>
            <p class="modal-text">এই খরচের তথ্য ডিলিট করা হলে তা পুনরুদ্ধার করা যাবে না।<br>আপনি কি নিশ্চিতভাবে ডিলিট
                করতে চান?</p>
            <form id="deleteForm" method="POST" action="delete_expense.php">
                <input type="hidden" name="id" id="deleteId">
                <input type="hidden" name="email" value="<?php echo htmlspecialchars($email); ?>">
                <div class="modal-footer">
                    <button type="button" class="modal-btn modal-btn-cancel" id="cancelDelete">বাতিল</button>
                    <button type="submit" class="modal-btn modal-btn-delete">ডিলিট করুন</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Expense Details Modal -->
    <div class="modal-overlay details-modal" id="detailsModal">
        <div class="modal-container">
            <div class="modal-header">
                <h3 class="modal-title">খরচের বিস্তারিত</h3>
                <button class="close-btn" id="closeDetails">&times;</button>
            </div>
            <div class="modal-body">
                <div class="detail-row">
                    <span class="detail-label">খরচের হেড:</span>
                    <span class="detail-value" id="detail-head">-</span>
                </div>
                <div class="detail-row">
                    <span class="detail-label">পরিমাণ:</span>
                    <span class="detail-value" id="detail-amount">-</span>
                </div>
                <div class="detail-row">
                    <span class="detail-label">বিস্তারিত:</span>
                    <span class="detail-value" id="detail-details">-</span>
                </div>
                <div class="detail-row">
                    <span class="detail-label">তারিখ:</span>
                    <span class="detail-value" id="detail-date">-</span>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="modal-btn modal-btn-cancel" id="closeDetailsBtn">বন্ধ করুন</button>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            // Modal functionality
            const deleteButtons = document.querySelectorAll('.delete-btn');
            const detailsButtons = document.querySelectorAll('.details-btn');
            const deleteModal = document.getElementById('deleteModal');
            const detailsModal = document.getElementById('detailsModal');
            const deleteForm = document.getElementById('deleteForm');
            const deleteIdInput = document.getElementById('deleteId');
            const cancelButton = document.getElementById('cancelDelete');
            const closeDetailsBtn = document.getElementById('closeDetailsBtn');
            const closeDetails = document.getElementById('closeDetails');

            // Delete button functionality
            deleteButtons.forEach(button => {
                button.addEventListener('click', function () {
                    const expenseId = this.getAttribute('data-id');
                    deleteIdInput.value = expenseId;
                    deleteModal.classList.add('active');
                    document.body.style.overflow = 'hidden';
                });
            });

            // Details button functionality
            detailsButtons.forEach(button => {
                button.addEventListener('click', function () {
                    // Get all data attributes
                    const head = this.getAttribute('data-head');
                    const amount = this.getAttribute('data-amount');
                    const details = this.getAttribute('data-details');
                    const date = this.getAttribute('data-date');

                    // Populate the modal with actual data
                    document.getElementById('detail-head').textContent = head;
                    document.getElementById('detail-amount').textContent = amount + ' টাকা';
                    document.getElementById('detail-details').textContent = details;
                    document.getElementById('detail-date').textContent = date;

                    detailsModal.classList.add('active');
                    document.body.style.overflow = 'hidden';
                });
            });

            // Close modals
            function closeAllModals() {
                deleteModal.classList.remove('active');
                detailsModal.classList.remove('active');
                document.body.style.overflow = 'auto';
            }

            cancelButton.addEventListener('click', closeAllModals);
            closeDetailsBtn.addEventListener('click', closeAllModals);
            closeDetails.addEventListener('click', closeAllModals);

            [deleteModal, detailsModal].forEach(modal => {
                modal.addEventListener('click', function (e) {
                    if (e.target === modal) {
                        closeAllModals();
                    }
                });
            });

            // Keyboard escape to close modals
            document.addEventListener('keydown', function (e) {
                if (e.key === 'Escape') {
                    closeAllModals();
                }
            });
        });
    </script>
</body>

</html>
<?php
$stmt->close();
$total_stmt->close();
$conn->close();
?>