<?php
include_once("../db/database/conn.php");
$db = new DBConn();
$conn = $db->getConnection();

$email = $_POST["email"];

$income_head_translation = [
    "current_bill" => "কারেন্ট বিল",
    "building_market_cost" => "বোর্ডিং বাজার খরচ",
    "cylinder_gas" => "সিলিন্ডার গ্যাস",
    "waz_materials" => "ওয়াজের কোপন, পোষ্টার, হেমবিল, পেন্ডেল, মাইক",
    "official_expense" => "আনুষ্ঠানিক খরচ",
    "electronics_expenses" => "ইলেক্ট্রনিক্স খরচ",
    "guests_treatment" => "মেহমানদের আপ্যায়ন খরচ",
    "tabligh_jamat_treatment" => "তাবলীগ জামাতের আপ্যায়ন খরচ",
    "helth" => "ছাত্র চিকিৎসা ফি",
    "library" => "মাদ্রাসার লাইব্রেরী ম্যানেজিং খরচ"
];

// Handle AJAX requests
if (isset($_POST['ajax_request'])) {
    header('Content-Type: application/json');
    
    $response = ['status' => 'error', 'message' => 'Invalid request'];
    
    if (isset($_POST['action'])) {
        switch ($_POST['action']) {
            case 'search_by_date':
                if (isset($_POST['date'])) {
                    $selectedDate = $_POST['date'];
                    $stmt = $conn->prepare("SELECT id, expense_head, expense_details, expense_ammount, created_at FROM expense WHERE madrasha_email = ? AND DATE(created_at) = ?");
                    $stmt->bind_param("ss", $email, $selectedDate);
                    $stmt->execute();
                    $result = $stmt->get_result();
                    
                    $html = '';
                    if ($result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {
                            $expense_head_bn = $income_head_translation[$row['expense_head']] ?? $row['expense_head'];
                            $time = date("h:i A", strtotime($row['created_at']));
                            $date = date("d/m/Y", strtotime($row['created_at']));
                            
                            $html .= '<div class="border rounded p-3 mb-3 bg-white">';
                            $html .= '<div class="d-flex justify-content-between align-items-center">';
                            $html .= '<h6 class="text-primary mb-0">' . htmlspecialchars($expense_head_bn) . '</h6>';
                            $html .= '<div class="btn-group">';
                            $html .= '<button class="btn btn-sm btn-outline-primary details-btn" data-id="' . $row['id'] . '">বিস্তারিত</button>';
                            $html .= '<button class="btn btn-sm btn-outline-danger delete-btn" data-id="' . $row['id'] . '">ডিলিট</button>';
                            $html .= '</div>';
                            $html .= '</div>';
                            $html .= '<p class="mb-1 mt-2">পরিমাণ: <strong>' . htmlspecialchars($row['expense_ammount']) . '</strong></p>';
                            $html .= '<p class="mb-1">আইডি: <strong>' . htmlspecialchars($row['id']) . '</strong></p>';
                            $html .= '<p class="text-muted mb-0">সময়: ' . $time . ', তারিখ: ' . $date . '</p>';
                            $html .= '</div>';
                        }
                    } else {
                        $html = '<div class="alert alert-info">কোনো ডাটা পাওয়া যায়নি</div>';
                    }
                    $response = ['status' => 'success', 'html' => $html];
                }
                break;
                
            case 'search_by_category':
                if (isset($_POST['category'])) {
                    $category = $_POST['category'];
                    $stmt = $conn->prepare("SELECT id, expense_head, expense_details, expense_ammount, created_at FROM expense WHERE madrasha_email = ? AND expense_head = ?");
                    $stmt->bind_param("ss", $email, $category);
                    $stmt->execute();
                    $result = $stmt->get_result();
                    
                    $html = '';
                    if ($result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {
                            $expense_head_bn = $income_head_translation[$row['expense_head']] ?? $row['expense_head'];
                            $time = date("h:i A", strtotime($row['created_at']));
                            $date = date("d/m/Y", strtotime($row['created_at']));
                            
                            $html .= '<div class="border rounded p-3 mb-3 bg-white">';
                            $html .= '<div class="d-flex justify-content-between align-items-center">';
                            $html .= '<h6 class="text-primary mb-0">' . htmlspecialchars($expense_head_bn) . '</h6>';
                            $html .= '<div class="btn-group">';
                            $html .= '<button class="btn btn-sm btn-outline-primary details-btn" data-id="' . $row['id'] . '">বিস্তারিত</button>';
                            $html .= '<button class="btn btn-sm btn-outline-danger delete-btn" data-id="' . $row['id'] . '">ডিলিট</button>';
                            $html .= '</div>';
                            $html .= '</div>';
                            $html .= '<p class="mb-1 mt-2">পরিমাণ: <strong>' . htmlspecialchars($row['expense_ammount']) . '</strong></p>';
                            $html .= '<p class="mb-1">আইডি: <strong>' . htmlspecialchars($row['id']) . '</strong></p>';
                            $html .= '<p class="text-muted mb-0">সময়: ' . $time . ', তারিখ: ' . $date . '</p>';
                            $html .= '</div>';
                        }
                    } else {
                        $html = '<div class="alert alert-info">কোনো ডাটা পাওয়া যায়নি</div>';
                    }
                    $response = ['status' => 'success', 'html' => $html];
                }
                break;
                
            case 'get_details':
                if (isset($_POST['id'])) {
                    $expenseId = $_POST['id'];
                    $stmt = $conn->prepare("SELECT * FROM expense WHERE id = ? AND madrasha_email = ?");
                    $stmt->bind_param("is", $expenseId, $email);
                    $stmt->execute();
                    $result = $stmt->get_result();
                    
                    $html = '';
                    if ($result->num_rows > 0) {
                        $row = $result->fetch_assoc();
                        $expense_head_bn = $income_head_translation[$row['expense_head']] ?? $row['expense_head'];
                        $time = date("h:i A", strtotime($row['created_at']));
                        $date = date("d/m/Y", strtotime($row['created_at']));
                        
                        $html .= '<div class="row">';
                        $html .= '<div class="col-md-6">';
                        $html .= '<p><strong>খাত:</strong> ' . htmlspecialchars($expense_head_bn) . '</p>';
                        $html .= '<p><strong>পরিমাণ:</strong> ' . htmlspecialchars($row['expense_ammount']) . '</p>';
                        $html .= '<p><strong>আইডি:</strong> ' . htmlspecialchars($row['id']) . '</p>';
                        $html .= '</div>';
                        $html .= '<div class="col-md-6">';
                        $html .= '<p><strong>সময়:</strong> ' . $time . '</p>';
                        $html .= '<p><strong>তারিখ:</strong> ' . $date . '</p>';
                        $html .= '</div>';
                        $html .= '</div>';
                        
                        $html .= '<div class="mt-3">';
                        $html .= '<h5>বিস্তারিত বিবরণ:</h5>';
                        $html .= '<div class="border p-3 bg-light rounded">' . nl2br(htmlspecialchars($row['expense_details'])) . '</div>';
                        $html .= '</div>';
                    } else {
                        $html = '<div class="alert alert-danger">ডাটা পাওয়া যায়নি!</div>';
                    }
                    $response = ['status' => 'success', 'html' => $html];
                }
                break;
                
            case 'delete_expense':
                if (isset($_POST['id'])) {
                    $expenseId = $_POST['id'];
                    $stmt = $conn->prepare("DELETE FROM expense WHERE id = ? AND madrasha_email = ?");
                    $stmt->bind_param("is", $expenseId, $email);
                    
                    if ($stmt->execute()) {
                        $response = ['status' => 'success', 'message' => 'ডাটা সফলভাবে ডিলিট হয়েছে'];
                    } else {
                        $response = ['status' => 'error', 'message' => 'ডিলিট করতে সমস্যা হয়েছে'];
                    }
                }
                break;
        }
    }
    
    echo json_encode($response);
    exit;
}
?>

<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <title>ইনকাম ডাটা দেখুন</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.0/font/bootstrap-icons.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    
    <style>
        @font-face {
            font-family: 'bengali';
            src: url('../fonts/siliguri_semibold.ttf');
        }
        body {
            overflow: hidden;
            font-family: bengali;
        }

        .myclass {
            height: 450px;
            overflow-y: auto;
            scrollbar-width: none;
            -ms-overflow-style: none;
        }

        .myclass::-webkit-scrollbar {
            display: none;
        }
        
        .search-container {
            display: flex;
            gap: 10px;
            margin-bottom: 15px;
        }
        .search-container input, .search-container select {
            flex: 1;
        }
        .search-container button {
            width: auto;
            white-space: nowrap;
        }
        
        .btn-group .btn {
            padding: 0.25rem 0.5rem;
            font-size: 0.875rem;
        }
        
        /* Modal Styles */
        .modal-header {
            border-bottom: 2px solid #dee2e6;
        }
        .modal-footer {
            border-top: 2px solid #dee2e6;
        }
        
        /* Delete Confirm Modal */
        .delete-confirm-modal .modal-content {
            border: none;
            border-radius: 10px;
            box-shadow: 0 5px 20px rgba(0,0,0,0.2);
        }
        .delete-confirm-modal .modal-header {
            background-color: #dc3545;
            color: white;
            border-radius: 10px 10px 0 0;
        }
        .delete-confirm-modal .modal-body {
            padding: 2rem;
            text-align: center;
        }
        .delete-confirm-modal .modal-footer {
            justify-content: center;
            padding-bottom: 2rem;
        }
        .delete-icon {
            font-size: 4rem;
            color: #dc3545;
            margin-bottom: 1rem;
        }
        
        /* Success Modal */
        .success-modal .modal-content {
            border: none;
            border-radius: 10px;
            box-shadow: 0 5px 20px rgba(0,0,0,0.2);
        }
        .success-modal .modal-header {
            background-color: #28a745;
            color: white;
            border-radius: 10px 10px 0 0;
        }
        .success-modal .modal-body {
            padding: 2rem;
            text-align: center;
        }
        .success-modal .modal-footer {
            justify-content: center;
            padding-bottom: 2rem;
        }
        .success-icon {
            font-size: 4rem;
            color: #28a745;
            margin-bottom: 1rem;
        }
    </style>
</head>

<body>
    <!-- Details Modal -->
    <div class="modal fade" id="detailsModal" tabindex="-1" aria-labelledby="detailsModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title" id="detailsModalLabel">বিস্তারিত তথ্য</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="modalBodyContent">
                    <!-- Content will be loaded here via AJAX -->
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">বন্ধ করুন</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Delete Confirmation Modal -->
    <div class="modal fade delete-confirm-modal" id="deleteConfirmModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">ডিলিট কনফার্মেশন</h5>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="delete-icon">
                        <i class="bi bi-exclamation-triangle-fill"></i>
                    </div>
                    <h4>আপনি কি নিশ্চিত?</h4>
                    <p>এই ডাটা ডিলিট করা হলে এটি পুনরুদ্ধার করা সম্ভব হবে না।</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">বাতিল করুন</button>
                    <button type="button" class="btn btn-danger" id="confirmDeleteBtn">ডিলিট করুন</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Success Modal -->
    <div class="modal fade success-modal" id="successModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">সফল!</h5>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="success-icon">
                        <i class="bi bi-check-circle-fill"></i>
                    </div>
                    <h4 id="successMessage"></h4>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" data-bs-dismiss="modal">ঠিক আছে</button>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-center">
            <!-- তারিখ দিয়ে সার্চ করুন -->
            <div class="col-md-5 mt-3">
                <div class="card shadow">
                    <div class="card-header bg-primary text-white">
                        <h5 class="mb-0">তারিখ দিয়ে সার্চ করুন</h5>
                    </div>
                    <div class="card-body">
                        <div class="search-container">
                            <input type="date" id="searchDate" class="form-control" placeholder="তারিখ নির্বাচন করুন">
                            <button id="searchDateBtn" class="btn btn-primary">সার্চ করুন</button>
                        </div>
                        <div id="incomeResults" class="fixed-box myclass">
                            <!-- Results will appear here -->
                        </div>
                    </div>
                </div>
            </div>

            <!-- খাত দিয়ে সার্চ করুন -->
            <div class="col-md-5 mt-3">
                <div class="card shadow">
                    <div class="card-header bg-success text-white">
                        <h5 class="mb-0">খাত দিয়ে সার্চ করুন</h5>
                    </div>
                    <div class="card-body">
                        <div class="search-container">
                            <select id="searchCategory" class="form-control">
                                <option value="">খাত নির্বাচন করুন</option>
                                <option value="current_bill">কারেন্ট বিল</option>
                                <option value="building_market_cost">বুর্ডিং বাজার খরচ</option>
                                <option value="cylinder_gas">সিলিন্ডার গ্যাস ক্রয়</option>
                                <option value="waz_materials">ওয়াজের কোপন, পোষ্টার, হেমবিল, পেন্ডেল, মাইক</option>
                                <option value="official_expense">আনুষ্ঠানিক খরচ</option>
                                <option value="electronics_expenses">ইলেক্ট্রনিক্স খরচ</option>
                                <option value="guests_treatment">মেহমানদের আপ্যায়ন খরচ</option>
                                <option value="tabligh_jamat_treatment">তাবলীগ জামাতের আপ্যায়ন খরচ</option>
                                <option value="helth">ছাত্র চিকিৎসা ফি</option>
                                <option value="library">মাদ্রাসার লাইব্রেরী ম্যানেজিং খরচ</option>
                            </select>
                            <button id="searchCategoryBtn" class="btn btn-success">সার্চ করুন</button>
                        </div>
                        <div id="categoryResults" class="fixed-box myclass">
                            <!-- Results will appear here -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    
    <script>
        $(document).ready(function() {
            // Initialize modals
            var detailsModal = new bootstrap.Modal(document.getElementById('detailsModal'));
            var deleteConfirmModal = new bootstrap.Modal(document.getElementById('deleteConfirmModal'));
            var successModal = new bootstrap.Modal(document.getElementById('successModal'));
            var expenseIdToDelete = null;
            
            // Search by Date
            $('#searchDateBtn').click(function() {
                var selectedDate = $('#searchDate').val();
                if (selectedDate) {
                    $.ajax({
                        url: window.location.href,
                        method: 'POST',
                        data: {
                            ajax_request: true,
                            action: 'search_by_date',
                            date: selectedDate,
                            email: "<?= $email; ?>"
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response.status === 'success') {
                                $('#incomeResults').html(response.html);
                            }
                        }
                    });
                }
            });
            
            // Search by Category
            $('#searchCategoryBtn').click(function() {
                var selectedCategory = $('#searchCategory').val();
                if (selectedCategory) {
                    $.ajax({
                        url: window.location.href,
                        method: 'POST',
                        data: {
                            ajax_request: true,
                            action: 'search_by_category',
                            category: selectedCategory,
                            email: "<?= $email; ?>"
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response.status === 'success') {
                                $('#categoryResults').html(response.html);
                            }
                        }
                    });
                }
            });
            
            // Handle click on details button
            $(document).on('click', '.details-btn', function() {
                var expenseId = $(this).data('id');
                
                $.ajax({
                    url: window.location.href,
                    method: 'POST',
                    data: {
                        ajax_request: true,
                        action: 'get_details',
                        id: expenseId,
                        email: "<?= $email; ?>"
                    },
                    dataType: 'json',
                    success: function(response) {
                        if (response.status === 'success') {
                            $('#modalBodyContent').html(response.html);
                            detailsModal.show();
                        }
                    }
                });
            });
            
            // Handle click on delete button
            $(document).on('click', '.delete-btn', function(e) {
                e.stopPropagation();
                expenseIdToDelete = $(this).data('id');
                deleteConfirmModal.show();
            });
            
            // Confirm delete
            $('#confirmDeleteBtn').click(function() {
                if (expenseIdToDelete) {
                    $.ajax({
                        url: window.location.href,
                        method: 'POST',
                        data: {
                            ajax_request: true,
                            action: 'delete_expense',
                            id: expenseIdToDelete,
                            email: "<?= $email; ?>"
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response.status === 'success') {
                                // Show success message
                                $('#successMessage').text(response.message);
                                successModal.show();
                                
                                // Refresh both search results
                                $('#searchDateBtn').click();
                                $('#searchCategoryBtn').click();
                            } else {
                                $('#successMessage').text(response.message);
                                successModal.show();
                            }
                            deleteConfirmModal.hide();
                            expenseIdToDelete = null;
                        }
                    });
                }
            });
        });
    </script>
</body>
</html>