<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>শিক্ষক/খাদেম সম্মানি ব্যবস্থাপনা</title>
    <link href="https://fonts.googleapis.com/css2?family=Hind+Siliguri:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        :root {
            --primary-color: #4361ee;
            --primary-light: #3f37c9;
            --secondary-color: #3a0ca3;
            --success-color: #4cc9f0;
            --danger-color: #f72585;
            --warning-color: #f8961e;
            --info-color: #4895ef;
            --light-color: #f8f9fa;
            --dark-color: #212529;
            --gray-color: #6c757d;
            --border-radius: 8px;
            --box-shadow: 0 4px 20px rgba(0, 0, 0, 0.08);
            --transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
        }

        * {
            box-sizing: border-box;
            margin: 0;
            padding: 0;
            font-family: 'Hind Siliguri', sans-serif;
        }

        body {
            background-color: #f5f7ff;
            color: var(--dark-color);
            line-height: 1.6;
            padding: 0;
            min-height: 100vh;
        }

        .container {
            max-width: 100%;
            margin: 0 auto;
            background-color: white;
            box-shadow: var(--box-shadow);
            overflow: hidden;
            position: relative;
        }

        .header {
            background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
            color: white;
            padding: 1.5rem;
            text-align: center;
            position: relative;
            overflow: hidden;
        }

        .header::before {
            content: "";
            position: absolute;
            top: -50%;
            left: -50%;
            width: 200%;
            height: 200%;
            background: radial-gradient(circle, rgba(255,255,255,0.1) 0%, rgba(255,255,255,0) 70%);
            transform: rotate(30deg);
        }

        .header h2 {
            font-size: 1.8rem;
            font-weight: 700;
            margin-bottom: 0.5rem;
            position: relative;
            z-index: 1;
        }

        .header p {
            font-size: 0.9rem;
            opacity: 0.9;
            position: relative;
            z-index: 1;
        }

        .content {
            padding: 1.5rem;
        }

        #attendanceList {
            margin-bottom: 1.5rem;
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 1rem;
        }

        .employee-card {
            background-color: white;
            border-radius: var(--border-radius);
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
            padding: 1.2rem;
            transition: var(--transition);
            border: 1px solid #e9ecef;
            position: relative;
            overflow: hidden;
        }

        .employee-card:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
            border-color: var(--primary-color);
        }

        .employee-card::after {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 4px;
            height: 100%;
            background: var(--primary-color);
            transition: var(--transition);
        }

        .employee-card:hover::after {
            width: 6px;
            background: linear-gradient(to bottom, var(--primary-color), var(--success-color));
        }

        .employee-header {
            display: flex;
            align-items: center;
            margin-bottom: 1rem;
        }

        .employee-avatar {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            background-color: var(--primary-color);
            color: white;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            font-size: 1.2rem;
            margin-right: 1rem;
            flex-shrink: 0;
        }

        .employee-details {
            flex-grow: 1;
            overflow: hidden;
        }

        .employee-name {
            font-size: 1.1rem;
            font-weight: 600;
            margin-bottom: 0.2rem;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            color: var(--dark-color);
        }

        .employee-type {
            display: inline-block;
            font-size: 0.7rem;
            padding: 0.2rem 0.5rem;
            border-radius: 20px;
            background-color: var(--light-color);
            color: var(--gray-color);
            margin-bottom: 0.3rem;
        }

        .employee-phone {
            font-size: 0.85rem;
            color: var(--gray-color);
            display: flex;
            align-items: center;
        }

        .employee-phone i {
            margin-right: 0.3rem;
            font-size: 0.9rem;
        }

        .payment-section {
            margin-top: 1rem;
            border-top: 1px dashed #e9ecef;
            padding-top: 1rem;
        }

        .form-group {
            margin-bottom: 0.8rem;
        }

        .form-label {
            display: block;
            margin-bottom: 0.4rem;
            font-size: 0.85rem;
            color: var(--gray-color);
            font-weight: 500;
        }

        .form-control {
            width: 100%;
            padding: 0.6rem 0.8rem;
            border: 1px solid #ced4da;
            border-radius: var(--border-radius);
            font-size: 0.9rem;
            transition: var(--transition);
        }

        .form-control:focus {
            border-color: var(--primary-color);
            box-shadow: 0 0 0 0.2rem rgba(67, 97, 238, 0.25);
            outline: none;
        }

        .select-wrapper {
            position: relative;
        }

        .select-wrapper::after {
            content: "▼";
            position: absolute;
            top: 50%;
            right: 0.8rem;
            transform: translateY(-50%);
            color: var(--gray-color);
            font-size: 0.7rem;
            pointer-events: none;
        }

        .status-select {
            appearance: none;
            background-color: white;
            padding-right: 1.5rem;
        }

        .amount-input {
            text-align: center;
            font-weight: 600;
            color: var(--dark-color);
        }

        .datetime-container {
            background-color: var(--light-color);
            padding: 1rem;
            border-radius: var(--border-radius);
            margin-bottom: 1.5rem;
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            gap: 1rem;
        }

        .datetime-label {
            font-weight: 600;
            color: var(--dark-color);
            display: flex;
            align-items: center;
        }

        .datetime-label i {
            margin-right: 0.5rem;
            color: var(--primary-color);
        }

        .datetime-input {
            flex-grow: 1;
            min-width: 200px;
        }

        .btn {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            padding: 0.8rem 1.5rem;
            border: none;
            border-radius: var(--border-radius);
            font-size: 1rem;
            font-weight: 500;
            cursor: pointer;
            transition: var(--transition);
            text-transform: uppercase;
            letter-spacing: 0.5px;
        }

        .btn i {
            margin-right: 0.5rem;
        }

        .btn-primary {
            background-color: var(--primary-color);
            color: white;
            box-shadow: 0 4px 10px rgba(67, 97, 238, 0.3);
        }

        .btn-primary:hover {
            background-color: var(--primary-light);
            transform: translateY(-2px);
            box-shadow: 0 6px 15px rgba(67, 97, 238, 0.4);
        }

        .btn-block {
            display: flex;
            width: 100%;
        }

        #response {
            margin-top: 1.5rem;
            padding: 1rem;
            border-radius: var(--border-radius);
            text-align: center;
            font-size: 0.9rem;
            display: none;
        }

        .alert {
            padding: 1rem;
            border-radius: var(--border-radius);
            margin-bottom: 1rem;
            display: flex;
            align-items: center;
        }

        .alert-success {
            background-color: rgba(76, 201, 240, 0.1);
            border-left: 4px solid var(--success-color);
            color: var(--dark-color);
        }

        .alert-danger {
            background-color: rgba(247, 37, 133, 0.1);
            border-left: 4px solid var(--danger-color);
            color: var(--dark-color);
        }

        .alert i {
            margin-right: 0.8rem;
            font-size: 1.2rem;
        }

        /* Modal Styles */
        .modal {
            display: none;
            position: fixed;
            z-index: 1000;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0, 0, 0, 0.5);
            animation: fadeIn 0.3s;
        }

        .modal-content {
            background-color: white;
            margin: 10% auto;
            padding: 1.5rem;
            border-radius: var(--border-radius);
            width: 90%;
            max-width: 500px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            animation: slideIn 0.3s;
            transform: translateY(-20px);
            position: relative;
            overflow: hidden;
        }

        .modal-content::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 5px;
            background: linear-gradient(to right, var(--primary-color), var(--success-color));
        }

        .modal-header {
            display: flex;
            align-items: center;
            margin-bottom: 1rem;
        }

        .modal-icon {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: 1rem;
            flex-shrink: 0;
            font-size: 1.2rem;
        }

        .warning-icon {
            background-color: rgba(248, 150, 30, 0.1);
            color: var(--warning-color);
        }

        .info-icon {
            background-color: rgba(72, 149, 239, 0.1);
            color: var(--info-color);
        }

        .modal-title {
            font-size: 1.3rem;
            font-weight: 600;
            color: var(--dark-color);
            margin: 0;
        }

        .modal-body {
            margin-bottom: 1.5rem;
            color: var(--gray-color);
            line-height: 1.7;
        }

        .notice-board {
            background-color: rgba(248, 249, 250, 0.5);
            border-radius: var(--border-radius);
            padding: 1rem;
            margin-bottom: 1rem;
            border: 1px dashed #dee2e6;
        }

        .notice-title {
            font-weight: 600;
            color: var(--dark-color);
            margin-bottom: 0.8rem;
            display: flex;
            align-items: center;
        }

        .notice-title i {
            margin-right: 0.5rem;
            color: var(--info-color);
        }

        .notice-content {
            font-size: 0.9rem;
        }

        .notice-content p {
            margin-bottom: 0.6rem;
            position: relative;
            padding-left: 1.2rem;
        }

        .notice-content p::before {
            content: "•";
            position: absolute;
            left: 0;
            color: var(--info-color);
            font-weight: bold;
        }

        .modal-footer {
            display: flex;
            justify-content: flex-end;
            gap: 0.8rem;
        }

        .btn-outline {
            background-color: transparent;
            border: 1px solid #ced4da;
            color: var(--gray-color);
        }

        .btn-outline:hover {
            background-color: #f8f9fa;
        }

        .btn-danger {
            background-color: var(--danger-color);
            color: white;
        }

        .btn-danger:hover {
            background-color: #e3176a;
        }

        .btn-warning {
            background-color: var(--warning-color);
            color: white;
        }

        .btn-info {
            background-color: var(--info-color);
            color: white;
        }

        /* Animation */
        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }

        @keyframes slideIn {
            from { transform: translateY(-50px); opacity: 0; }
            to { transform: translateY(0); opacity: 1; }
        }

        /* Responsive */
        @media (max-width: 768px) {
            #attendanceList {
                grid-template-columns: 1fr;
            }
            
            .header h2 {
                font-size: 1.5rem;
            }
            
            .modal-content {
                margin: 20% auto;
                width: 95%;
            }
        }

        @media (max-width: 480px) {
            .content {
                padding: 1rem;
            }
            
            .employee-header {
                flex-direction: column;
                align-items: flex-start;
            }
            
            .employee-avatar {
                margin-bottom: 0.8rem;
                margin-right: 0;
            }
            
            .modal-footer {
                flex-direction: column;
            }
            
            .modal-footer .btn {
                width: 100%;
            }
        }

        /* Utility Classes */
        .text-center {
            text-align: center;
        }
        
        .mb-3 {
            margin-bottom: 1rem;
        }
        
        .mt-3 {
            margin-top: 1rem;
        }
        
        .d-none {
            display: none;
        }
    </style>
</head>

<body>
    <div class="container">
        <?php if ($_SERVER['REQUEST_METHOD'] === 'POST'): ?>
            <?php
            $email = $_POST['email'];
            include_once '../db/database/conn.php';
            $db = new DBConn();
            $conn = $db->getConnection();

            $employees = [];
            $query = "SELECT name, phone, 'teacher' as type FROM teacher WHERE madrasha_email = ?
                      UNION ALL
                      SELECT name, phone, 'servant' as type FROM servants WHERE madrasha_email = ?";

            $stmt = $conn->prepare($query);
            $stmt->bind_param("ss", $email, $email);
            $stmt->execute();
            $result = $stmt->get_result();

            while ($row = $result->fetch_assoc()) {
                $employees[] = [
                    'name' => $row['name'],
                    'phone' => $row['phone'],
                    'type' => $row['type']
                ];
            }

            $stmt->close();
            $conn->close();
            ?>

            <!-- Notice Board Modal -->
            <div id="noticeModal" class="modal" style="display: block;">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="modal-icon info-icon">
                            <i class="fas fa-bullhorn"></i>
                        </div>
                        <h3 class="modal-title">সম্মানি প্রদান নির্দেশিকা</h3>
                    </div>
                    <div class="modal-body">
                        <div class="notice-board">
                            <div class="notice-title">
                                <i class="fas fa-info-circle"></i> গুরুত্বপূর্ণ নির্দেশনা
                            </div>
                            <div class="notice-content">
                                <p>সম্মানি প্রদানের পূর্বে নিচের নির্দেশনাগুলো অনুসরণ করুন</p>
                                <p>প্রতিটি শিক্ষক/কর্মচারীর জন্য সঠিক পরিমাণ টাকা ইনপুট করুন</p>
                                <p>সম্মানির ধরন সঠিকভাবে নির্বাচন করুন (বেতন/পরীক্ষার ফি/বোনাস)</p>
                                <p>সম্মানি জমা দেওয়ার পর তা সম্পাদনা করা সম্ভব হবে না</p>
                                <p>সব তথ্য সঠিকভাবে যাচাই করে তারপর জমা দিন</p>
                            </div>
                        </div>
                        <div class="alert alert-info mt-3">
                            <i class="fas fa-calendar-day"></i>
                            <div>
                                <strong>আজকের তারিখ:</strong> <?php echo date('d F Y'); ?>
                                <div class="text-muted" style="font-size: 0.8rem;">সময়: <?php echo date('h:i A'); ?></div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="closeNotice" class="btn btn-primary">
                            <i class="fas fa-check"></i> বুঝেছি
                        </button>
                    </div>
                </div>
            </div>

            <div class="header">
                <h2><i class="fas fa-hand-holding-usd"></i> শিক্ষক/কর্মচারী সম্মানি</h2>
                <p>আপনার প্রতিষ্ঠানের শিক্ষক ও কর্মচারীদের সম্মানি প্রদান করুন</p>
            </div>
            
            <div class="content">
                <div class="datetime-container">
                    <label class="datetime-label">
                        <i class="far fa-calendar-alt"></i> তারিখ ও সময়:
                    </label>
                    <input type="datetime-local" id="attendanceDateTime" class="form-control datetime-input" required>
                </div>
                
                <div id="attendanceList"></div>
                
                <button id="submitAttendance" class="btn btn-primary btn-block">
                    <i class="fas fa-paper-plane"></i> সম্মানি জমা দিন
                </button>
                
                <div id="response"></div>
            </div>

            <!-- Confirmation Modal -->
            <div id="emptyCheckModal" class="modal">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="modal-icon warning-icon">
                            <i class="fas fa-exclamation-triangle"></i>
                        </div>
                        <h3 class="modal-title">নিশ্চিতকরণ</h3>
                    </div>
                    <div class="modal-body">
                        <p>আপনি কি নিশ্চিত যে সম্মানি তথ্য জমা দিতে চান? জমা দেওয়ার পর এই তথ্য সম্পাদনা করা সম্ভব হবে না।</p>
                    </div>
                    <div class="modal-footer">
                        <button id="confirmSubmit" class="btn btn-primary">
                            <i class="fas fa-check"></i> নিশ্চিত করুন
                        </button>
                        <button id="cancelSubmit" class="btn btn-outline">
                            <i class="fas fa-times"></i> বাতিল করুন
                        </button>
                    </div>
                </div>
            </div>

            <!-- Date Time Warning Modal -->
            <div id="dateTimeWarningModal" class="modal">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="modal-icon warning-icon">
                            <i class="fas fa-exclamation-circle"></i>
                        </div>
                        <h3 class="modal-title">সতর্কতা</h3>
                    </div>
                    <div class="modal-body">
                        <p>দয়া করে সম্মানি প্রদানের তারিখ ও সময় সঠিকভাবে নির্বাচন করুন।</p>
                    </div>
                    <div class="modal-footer">
                        <button id="okDateTimeWarning" class="btn btn-warning">
                            <i class="fas fa-check"></i> ঠিক আছে
                        </button>
                    </div>
                </div>
            </div>

            <script>
                const employees = <?= json_encode($employees); ?>;
                const attendanceList = document.getElementById("attendanceList");
                const submitButton = document.getElementById("submitAttendance");
                const modal = document.getElementById("emptyCheckModal");
                const confirmSubmit = document.getElementById("confirmSubmit");
                const cancelSubmit = document.getElementById("cancelSubmit");
                const dateTimeInput = document.getElementById("attendanceDateTime");
                const email = "<?= $email ?>";
                const dateTimeWarningModal = document.getElementById("dateTimeWarningModal");
                const okDateTimeWarning = document.getElementById("okDateTimeWarning");
                const noticeModal = document.getElementById("noticeModal");
                const closeNotice = document.getElementById("closeNotice");
                const responseDiv = document.getElementById("response");

                // Set default datetime to current time
                window.onload = function() {
                    const now = new Date();
                    const timezoneOffset = now.getTimezoneOffset() * 60000;
                    const localISOTime = (new Date(now - timezoneOffset)).toISOString().slice(0, 16);
                    dateTimeInput.value = localISOTime;
                    
                    // Set focus on datetime input when notice modal closes
                    closeNotice.addEventListener("click", function() {
                        dateTimeInput.focus();
                    });
                };

                function sendDataToPHP(employee, status, amount, dateTime) {
                    fetch('all_api.php', {
                        method: 'POST',
                        headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
                        body: `name=${encodeURIComponent(employee.name)}&phone=${encodeURIComponent(employee.phone)}&type=${encodeURIComponent(employee.type)}&status=${encodeURIComponent(status)}&amount=${encodeURIComponent(amount)}&time=${encodeURIComponent(dateTime)}&email=${encodeURIComponent(email)}`
                    })
                    .then(response => response.json())
                    .then(data => {
                        responseDiv.style.display = "block";
                        
                        if (data.success) {
                            responseDiv.innerHTML = `
                                <div class="alert alert-success">
                                    <i class="fas fa-check-circle"></i>
                                    <div>${data.success}</div>
                                </div>
                            `;
                        } else if (data.error) {
                            responseDiv.innerHTML = `
                                <div class="alert alert-danger">
                                    <i class="fas fa-exclamation-circle"></i>
                                    <div>${data.error}</div>
                                </div>
                            `;
                        }
                        
                        submitButton.disabled = true;
                        submitButton.innerHTML = '<i class="fas fa-check-circle"></i> সম্মানি জমা দেওয়া হয়েছে';
                        submitButton.style.backgroundColor = "#6c757d";
                        
                        // Scroll to response message
                        responseDiv.scrollIntoView({ behavior: 'smooth' });
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        responseDiv.innerHTML = `
                            <div class="alert alert-danger">
                                <i class="fas fa-exclamation-triangle"></i>
                                <div>ত্রুটি: ${error.message}</div>
                            </div>
                        `;
                        responseDiv.style.display = "block";
                    });
                }

                function setupAttendanceInputs() {
                    if (employees.length === 0) {
                        attendanceList.innerHTML = `
                            <div class="alert alert-danger">
                                <i class="fas fa-user-slash"></i>
                                <div>কোন শিক্ষক/কর্মচারী পাওয়া যায়নি!</div>
                            </div>
                        `;
                        submitButton.style.display = "none";
                        return;
                    }

                    employees.forEach((employee, index) => {
                        const card = document.createElement("div");
                        card.classList.add("employee-card");
                        
                        // Create avatar from first letter of name
                        const firstLetter = employee.name.charAt(0).toUpperCase();
                        const avatarColor = getColorFromName(employee.name);
                        
                        // Employee header with avatar and details
                        const headerDiv = document.createElement("div");
                        headerDiv.classList.add("employee-header");
                        
                        const avatarDiv = document.createElement("div");
                        avatarDiv.classList.add("employee-avatar");
                        avatarDiv.style.backgroundColor = avatarColor;
                        avatarDiv.textContent = firstLetter;
                        
                        const detailsDiv = document.createElement("div");
                        detailsDiv.classList.add("employee-details");
                        
                        const nameDiv = document.createElement("div");
                        nameDiv.classList.add("employee-name");
                        nameDiv.textContent = employee.name;
                        
                        const typeDiv = document.createElement("div");
                        typeDiv.classList.add("employee-type");
                        typeDiv.textContent = employee.type === 'teacher' ? 'শিক্ষক' : 'কর্মচারী';
                        
                        const phoneDiv = document.createElement("div");
                        phoneDiv.classList.add("employee-phone");
                        phoneDiv.innerHTML = `<i class="fas fa-phone"></i> ${employee.phone || 'ফোন নম্বর নেই'}`;
                        
                        detailsDiv.appendChild(nameDiv);
                        detailsDiv.appendChild(typeDiv);
                        detailsDiv.appendChild(phoneDiv);
                        
                        headerDiv.appendChild(avatarDiv);
                        headerDiv.appendChild(detailsDiv);
                        
                        // Payment section
                        const paymentDiv = document.createElement("div");
                        paymentDiv.classList.add("payment-section");
                        
                        // Amount input
                        const amountGroup = document.createElement("div");
                        amountGroup.classList.add("form-group");
                        
                        const amountLabel = document.createElement("label");
                        amountLabel.classList.add("form-label");
                        amountLabel.textContent = "পরিমাণ (টাকা)";
                        amountLabel.htmlFor = `amount${index}`;
                        
                        const amountInput = document.createElement("input");
                        amountInput.type = "number";
                        amountInput.id = `amount${index}`;
                        amountInput.classList.add("form-control", "amount-input");
                        amountInput.min = "0";
                        amountInput.value = "0";
                        amountInput.step = "1";
                        amountInput.placeholder = "টাকার পরিমাণ লিখুন";
                        
                        amountGroup.appendChild(amountLabel);
                        amountGroup.appendChild(amountInput);
                        
                        // Status select
                        const statusGroup = document.createElement("div");
                        statusGroup.classList.add("form-group");
                        
                        const statusLabel = document.createElement("label");
                        statusLabel.classList.add("form-label");
                        statusLabel.textContent = "সম্মানির ধরন";
                        statusLabel.htmlFor = `status${index}`;
                        
                        const selectWrapper = document.createElement("div");
                        selectWrapper.classList.add("select-wrapper");
                        
                        const statusSelect = document.createElement("select");
                        statusSelect.id = `status${index}`;
                        statusSelect.classList.add("form-control", "status-select");
                        
                        const defaultOption = document.createElement("option");
                        defaultOption.value = "";
                        defaultOption.textContent = "সম্মানির ধরন নির্বাচন করুন";
                        defaultOption.disabled = true;
                        defaultOption.selected = true;
                        
                        const betonOption = document.createElement("option");
                        betonOption.value = "beton";
                        betonOption.textContent = "বেতন";
                        
                        const exumfeeOption = document.createElement("option");
                        exumfeeOption.value = "exumfee";
                        exumfeeOption.textContent = "পরীক্ষার ফি";
                        
                        const bonasOption = document.createElement("option");
                        bonasOption.value = "bonas";
                        bonasOption.textContent = "বোনাস";
                        
                        statusSelect.appendChild(defaultOption);
                        statusSelect.appendChild(betonOption);
                        statusSelect.appendChild(exumfeeOption);
                        statusSelect.appendChild(bonasOption);
                        
                        selectWrapper.appendChild(statusSelect);
                        statusGroup.appendChild(statusLabel);
                        statusGroup.appendChild(selectWrapper);
                        
                        paymentDiv.appendChild(amountGroup);
                        paymentDiv.appendChild(statusGroup);
                        
                        card.appendChild(headerDiv);
                        card.appendChild(paymentDiv);
                        
                        attendanceList.appendChild(card);
                    });
                }

                function getColorFromName(name) {
                    // Simple hash function to generate consistent color from name
                    let hash = 0;
                    for (let i = 0; i < name.length; i++) {
                        hash = name.charCodeAt(i) + ((hash << 5) - hash);
                    }
                    
                    const colors = [
                        '#4361ee', '#3f37c9', '#4895ef', '#4cc9f0', 
                        '#3a0ca3', '#7209b7', '#f72585', '#b5179e',
                        '#560bad', '#480ca8', '#3a0ca3', '#3f37c9'
                    ];
                    
                    return colors[Math.abs(hash) % colors.length];
                }

                function submitAttendance() {
                    const selectedDateTime = dateTimeInput.value;

                    if (!selectedDateTime) {
                        dateTimeWarningModal.style.display = "block";
                        return;
                    }

                    // Show confirmation modal
                    modal.style.display = "block";
                }

                function proceedWithSubmission() {
                    const amountInputs = document.querySelectorAll(".amount-input");
                    const statusSelects = document.querySelectorAll(".status-select");
                    const selectedDateTime = dateTimeInput.value;

                    // Show loading state
                    submitButton.innerHTML = '<i class="fas fa-spinner fa-spin"></i> জমা দেওয়া হচ্ছে...';
                    submitButton.disabled = true;

                    let allEmpty = true;
                    
                    employees.forEach((employee, index) => {
                        const amount = document.getElementById(`amount${index}`).value;
                        const statusSelect = document.getElementById(`status${index}`);
                        
                        if (amount > 0 || statusSelect.value !== "") {
                            allEmpty = false;
                        }
                    });

                    if (allEmpty) {
                        responseDiv.innerHTML = `
                            <div class="alert alert-warning">
                                <i class="fas fa-exclamation-triangle"></i>
                                <div>কোন সম্মানি তথ্য পাওয়া যায়নি। দয়া করে কিছু তথ্য যোগ করুন।</div>
                            </div>
                        `;
                        responseDiv.style.display = "block";
                        submitButton.innerHTML = '<i class="fas fa-paper-plane"></i> সম্মানি জমা দিন';
                        submitButton.disabled = false;
                        modal.style.display = "none";
                        return;
                    }

                    employees.forEach((employee, index) => {
                        const amount = document.getElementById(`amount${index}`).value;
                        const statusSelect = document.getElementById(`status${index}`);
                        let status;
                        
                        if (statusSelect.value !== "") {
                            status = statusSelect.value;
                        } else {
                            status = amount > 0 ? "checked" : "unchecked";
                        }
                        
                        if (amount > 0 || status !== "unchecked") {
                            sendDataToPHP(employee, status, amount, selectedDateTime);
                        }
                    });
                }

                // Event listeners
                submitButton.addEventListener("click", submitAttendance);
                confirmSubmit.addEventListener("click", function() {
                    modal.style.display = "none";
                    proceedWithSubmission();
                });
                cancelSubmit.addEventListener("click", function() {
                    modal.style.display = "none";
                });
                okDateTimeWarning.addEventListener("click", function() {
                    dateTimeWarningModal.style.display = "none";
                    dateTimeInput.focus();
                });
                closeNotice.addEventListener("click", function() {
                    noticeModal.style.display = "none";
                });
                
                // Close modals when clicking outside
                window.addEventListener("click", function(event) {
                    if (event.target == modal) {
                        modal.style.display = "none";
                    }
                    if (event.target == dateTimeWarningModal) {
                        dateTimeWarningModal.style.display = "none";
                    }
                    if (event.target == noticeModal) {
                        noticeModal.style.display = "none";
                    }
                });

                // Initialize the attendance inputs
                setupAttendanceInputs();
            </script>
        <?php endif; ?>
    </div>
</body>
</html>