<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>বেতন ফর্ম</title>
    <!-- intl-tel-input CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css"/>
    
    <style>
        :root {
            --primary-color: #4361ee;
            --secondary-color: #3a0ca3;
            --accent-color: #7209b7;
            --light-color: #f8f9fa;
            --dark-color: #212529;
            --success-color: #4bb543;
            --error-color: #ff3333;
            --border-radius: 8px;
            --box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            --transition: all 0.3s ease;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background-color: #f5f7ff;
            color: var(--dark-color);
            line-height: 1.6;
            padding: 20px;
            min-height: 100vh;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        .container {
            width: 100%;
            max-width: 1000px;
            margin: 0 auto;
        }

        h2 {
            color: var(--secondary-color);
            text-align: center;
            margin-bottom: 2rem;
            font-size: 2rem;
            font-weight: 700;
            position: relative;
            padding-bottom: 10px;
        }

        h2::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            width: 100px;
            height: 4px;
            background: linear-gradient(to right, var(--primary-color), var(--accent-color));
            border-radius: 2px;
        }

        .form-container {
            background-color: white;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
            padding: 2.5rem;
            transition: var(--transition);
        }

        .form-container:hover {
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
        }

        .form-row {
            display: flex;
            flex-wrap: wrap;
            gap: 1.5rem;
            margin-bottom: 1.5rem;
        }

        .form-group {
            flex: 1 1 200px;
            min-width: 0;
        }

        label {
            display: block;
            margin-bottom: 0.5rem;
            font-weight: 600;
            color: var(--secondary-color);
        }

        input, select, datalist {
            width: 100%;
            padding: 12px 15px;
            border: 1px solid #ddd;
            border-radius: var(--border-radius);
            font-size: 1rem;
            transition: var(--transition);
            background-color: #f9f9f9;
        }

        input:focus, select:focus {
            outline: none;
            border-color: var(--primary-color);
            box-shadow: 0 0 0 3px rgba(67, 97, 238, 0.2);
            background-color: white;
        }

        input::placeholder {
            color: #999;
        }

        .btn {
            display: inline-block;
            background: linear-gradient(to right, var(--primary-color), var(--accent-color));
            color: white;
            border: none;
            padding: 14px 28px;
            font-size: 1rem;
            font-weight: 600;
            border-radius: var(--border-radius);
            cursor: pointer;
            transition: var(--transition);
            width: 100%;
            text-align: center;
            margin-top: 1rem;
        }

        .btn:hover {
            background: linear-gradient(to right, var(--secondary-color), var(--primary-color));
            transform: translateY(-2px);
            box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
        }

        .btn:active {
            transform: translateY(0);
        }

        /* Responsive adjustments */
        @media (max-width: 768px) {
            .form-container {
                padding: 1.5rem;
            }
            
            h2 {
                font-size: 1.5rem;
            }
            
            .form-row {
                gap: 1rem;
            }
        }

        /* Custom styling for phone input */
        .iti {
            width: 100%;
        }

        .iti__selected-flag {
            padding: 0 10px;
        }

        /* Custom datalist styling */
        datalist {
            position: absolute;
            background-color: white;
            border: 1px solid #ddd;
            border-radius: var(--border-radius);
            padding: 0;
            margin-top: 5px;
            max-height: 200px;
            overflow-y: auto;
            z-index: 100;
        }

        datalist option {
            padding: 8px 15px;
            cursor: pointer;
        }

        datalist option:hover {
            background-color: #f0f0f0;
        }
    </style>

</head>

<body>

    <?php
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $email = $_POST['email'];
    }
    ?>

    <div class="container">
        <h2>একজন উস্তাদ/খাদেম এর বেতন ফর্ম</h2>
        <div class="form-container">
            <form action="one_api.php" method="POST">

                <input type="hidden" name="email" value="<?php echo $email; ?>">

                <div class="form-row">
                    <div class="form-group">
                        <label for="name">পূর্ণ নাম</label>
                        <input type="text" id="name" name="name" required placeholder="পূর্ণ নাম লিখুন">
                    </div>
                    
                    <div class="form-group">
                        <label for="phone">মোবাইল নাম্বার</label>
                        <input type="tel" id="phone" name="phone" required placeholder="মোবাইল নাম্বার লিখুন">
                    </div>
                    
                    <div class="form-group">
                        <label for="dates">তারিখ</label>
                        <input type="datetime-local" id="dates" name="dates" required>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group">
                        <label for="salary">পরিমাণ</label>
                        <input type="number" id="salary" name="salary" required placeholder="টাকার পরিমাণ লিখুন">
                    </div>
                    
                    <div class="form-group">
                        <label for="categories">ক্যাটাগরি</label>
                        <input list="category-options" id="categories" name="categories" required placeholder="ক্যাটাগরি নির্বাচন করুন">
                        <datalist id="category-options">
                            <option value="বেতন">
                            <option value="পরীক্ষার ফি">
                            <option value="বোনাস">
                        </datalist>
                    </div>
                    
                    <div class="form-group">
                        <div class="form-group">
    <label for="type">ধরণ</label>
    <select id="type" name="type" required class="custom-select">
        <option value="" disabled selected>ধরণ নির্বাচন করুন</option>
        <option value="teacher">উস্তাদ</option>
        <option value="servant">খাদেম</option>
    </select>
</div>
                    </div>
                </div>

                <button type="submit" class="btn">জমা দিন</button>
            </form>
        </div>
    </div>

    <!-- intl-tel-input JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>

    <script>
        // Initialize the plugin
        const phoneInputField = document.querySelector("#phone");
        const phoneInput = window.intlTelInput(phoneInputField, {
            utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js",
            preferredCountries: ['bd', 'us', 'gb', 'in'],
            initialCountry: "auto",
            geoIpLookup: function(callback) {
                fetch("https://ipapi.co/json")
                    .then(function(res) { return res.json(); })
                    .then(function(data) { callback(data.country_code); })
                    .catch(function() { callback("bd"); });
            },
            separateDialCode: true
        });

        // ফর্ম সাবমিট করার সময় ফুল ফোন নাম্বার যাতে সঠিকভাবে যায়
        document.querySelector("form").addEventListener("submit", function() {
            const fullNumber = phoneInput.getNumber();
            phoneInputField.value = fullNumber;
        });
    </script>
</body>

</html>