<?php

header('Content-Type: application/json');

include_once ('../db/database/conn.php'); // ধরে নিচ্ছি এখানে mysqli connection আছে

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['email'])) {
        $email = $data['email'];

        // Assuming $conn is a MySQLi connection
        $db = new DBConn();
        $conn = $db->getConnection();

        // Prepare the SQL query securely
        $stmt = $conn->prepare("SELECT * FROM hadiya WHERE email = ? ORDER BY id DESC");
        $stmt->bind_param("s", $email); // s = string type

        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $data = [];

            while ($row = $result->fetch_assoc()) {
                $data[] = $row;
            }

            echo json_encode([
                'status' => 'success',
                'email' => $email,
                'data' => $data
            ]);
        } else {
            echo json_encode([
                'status' => 'success',
                'email' => $email,
                'message' => 'No records found.',
                'data' => []
            ]);
        }

        $stmt->close();
        $conn->close();

    } else {
        echo json_encode([
            'status' => 'error',
            'message' => 'Email not provided.'
        ]);
    }

} else {
    echo json_encode([
        'status' => 'error',
        'message' => 'Invalid request method.'
    ]);
}
?>
