<?php
include_once("../db/database/conn.php");
$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $email = $_POST["email"];

    $result = $conn->query("SELECT * FROM returnmony WHERE madrasha_email = '$email' ORDER BY id DESC");

    // মোট টাকার হিসাব
    $totalAmount = 0;

    while ($row = $result->fetch_assoc()) {
        $totalAmount += (float) $row["return_ammount"];
    }

    // পুনরায় রেজাল্ট সেট রিসেট করা
    $result->data_seek(0);
}
?>

<!-- উপরে আমরা মোট ফেরত টাকা বের করেছি -->

<?php
include_once("../db/database/conn.php");

$db = new DBConn();
$conn = $db->getConnection();

$email = $_POST["email"];

// ইংরেজি থেকে বাংলা অনুবাদ ম্যাপিং
$income_head_translation = [
    "waz_collection" => "ওয়াজের কালেকশন",
    "donation1" => "অনোদান",
    "donation2" => "দান",
    "zakat" => "যাকাত",
    "fitra" => "ফিতরা"
];

// নির্দিষ্ট ইমেইল অনুযায়ী ইনকাম ডাটা লোড করা
$stmt = $conn->prepare("SELECT income_head, income_ammount, collected FROM incomes WHERE email = ?");
$stmt->bind_param("s", $email);
$stmt->execute();
$result = $stmt->get_result();

// প্রতিটি income_head ভিত্তিক মোট ইনকাম বের করা
$total_stmt = $conn->prepare("SELECT income_head, SUM(income_ammount) as total_income FROM incomes WHERE email = ? GROUP BY income_head");
$total_stmt->bind_param("s", $email);
$total_stmt->execute();
$total_result = $total_stmt->get_result();

// সর্বমোট ইনকাম বের করা
$grand_total_stmt = $conn->prepare("SELECT SUM(income_ammount) as grand_total FROM incomes WHERE email = ?");
$grand_total_stmt->bind_param("s", $email);
$grand_total_stmt->execute();
$grand_total_result = $grand_total_stmt->get_result();
$grand_total_row = $grand_total_result->fetch_assoc();
$grand_total_income = $grand_total_row['grand_total'] ?? 0;

// Calculate total admission fee
$admission_fee_stmt = $conn->prepare("SELECT SUM(admission_fee) as total_admission_fee FROM admissionfee WHERE form_no IN (SELECT form_no FROM selfstudents WHERE madrasha_email = ?)");
$admission_fee_stmt->bind_param("s", $email);
$admission_fee_stmt->execute();
$admission_fee_result = $admission_fee_stmt->get_result();
$admission_fee_row = $admission_fee_result->fetch_assoc();
$total_admission_fee = $admission_fee_row['total_admission_fee'] ?? 0;

// Calculate total boarding fee
$boarding_fee_stmt = $conn->prepare("SELECT SUM(boarding_fee) as total_boarding_fee FROM boardingfee WHERE form_no IN (SELECT form_no FROM selfstudents WHERE madrasha_email = ?)");
$boarding_fee_stmt->bind_param("s", $email);
$boarding_fee_stmt->execute();
$boarding_fee_result = $boarding_fee_stmt->get_result();
$boarding_fee_row = $boarding_fee_result->fetch_assoc();
$total_boarding_fee = $boarding_fee_row['total_boarding_fee'] ?? 0;

// Calculate total monthly fee
$monthly_fee_stmt = $conn->prepare("SELECT SUM(monthly_fee) as total_monthly_fee FROM monthlyfee WHERE form_no IN (SELECT form_no FROM selfstudents WHERE madrasha_email = ?)");
$monthly_fee_stmt->bind_param("s", $email);
$monthly_fee_stmt->execute();
$monthly_fee_result = $monthly_fee_stmt->get_result();
$monthly_fee_row = $monthly_fee_result->fetch_assoc();
$total_monthly_fee = $monthly_fee_row['total_monthly_fee'] ?? 0;

// Calculate total examination fee
$exam_fee_stmt = $conn->prepare("SELECT SUM(exam_fee) as total_exam_fee FROM examfee WHERE form_no IN (SELECT form_no FROM selfstudents WHERE madrasha_email = ?)");
$exam_fee_stmt->bind_param("s", $email);
$exam_fee_stmt->execute();
$exam_fee_result = $exam_fee_stmt->get_result();
$exam_fee_row = $exam_fee_result->fetch_assoc();
$total_exam_fee = $exam_fee_row['total_exam_fee'] ?? 0;

$total = $total_admission_fee + $total_boarding_fee + $total_monthly_fee + $total_exam_fee + $grand_total_income;
?>

<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <title>ইনকাম ডাটা দেখুন</title>
    <style>
        :root {
            --primary-color: #2c3e50;
            --secondary-color: #3498db;
            --accent-color: #e74c3c;
            --light-bg: #f5f7fa;
            --dark-text: #2c3e50;
            --light-text: #ecf0f1;
            --success-color: #27ae60;
            --warning-color: #f39c12;
            --border-radius: 8px;
            --box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background-color: var(--light-bg);
            color: var(--dark-text);
            line-height: 1.6;
            padding: 20px;
        }

        .container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 20px;
        }

        .dashboard-title {
            text-align: center;
            margin-bottom: 30px;
            color: var(--primary-color);
            font-size: 2.2rem;
            position: relative;
            padding-bottom: 10px;
        }

        .dashboard-title::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            width: 100px;
            height: 3px;
            background: var(--secondary-color);
        }

        .row {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
            justify-content: center;
        }

        .card {
            flex: 1;
            min-width: 200px;
            background: white;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
            overflow: hidden;
            transition: transform 0.3s ease;
        }

        .card:hover {
            transform: translateY(-5px);
        }

        .card-header {
            background: var(--secondary-color);
            color: white;
            padding: 15px 20px;
            font-size: 1.2rem;
            font-weight: 600;
            border-bottom: 2px solid rgba(255, 255, 255, 0.1);
        }

        .card-body {
            padding: 20px;
            height: 500px;
            overflow-y: auto;
        }

        /* Custom scrollbar */
        .card-body::-webkit-scrollbar {
            width: 6px;
        }

        .card-body::-webkit-scrollbar-track {
            background: #f1f1f1;
            border-radius: 10px;
        }

        .card-body::-webkit-scrollbar-thumb {
            background: var(--secondary-color);
            border-radius: 10px;
        }

        .card-body::-webkit-scrollbar-thumb:hover {
            background: var(--primary-color);
        }

        .data-item {
            background: white;
            border-radius: var(--border-radius);
            padding: 15px;
            margin-bottom: 15px;
            border-left: 4px solid var(--secondary-color);
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
            transition: all 0.3s ease;
        }

        .data-item:hover {
            transform: translateX(5px);
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
        }

        .data-title {
            color: var(--secondary-color);
            font-weight: 600;
            margin-bottom: 5px;
            font-size: 1.1rem;
        }

        .data-amount {
            font-weight: 700;
            color: var(--primary-color);
            font-size: 1.2rem;
        }

        .data-meta {
            color: #7f8c8d;
            font-size: 0.9rem;
            margin-top: 5px;
        }

        .summary-item {
            background: white;
            border-radius: var(--border-radius);
            padding: 15px;
            margin-bottom: 15px;
            border-left: 4px solid var(--success-color);
        }

        .summary-title {
            font-weight: 600;
            margin-bottom: 5px;
            color: var(--dark-text);
        }

        .summary-amount {
            font-weight: 700;
            color: var(--accent-color);
            font-size: 1.3rem;
        }

        .total-box {
            background: var(--primary-color);
            color: white;
            border-radius: var(--border-radius);
            padding: 20px;
            text-align: center;
            margin-top: 20px;
        }

        .total-title {
            font-size: 1.2rem;
            margin-bottom: 10px;
        }

        .total-amount {
            font-size: 1.8rem;
            font-weight: 700;
            color: white;
        }

        .btn {
            display: inline-block;
            background: var(--secondary-color);
            color: white;
            padding: 10px 20px;
            border-radius: var(--border-radius);
            text-decoration: none;
            border: none;
            cursor: pointer;
            font-weight: 600;
            transition: all 0.3s ease;
            width: 100%;
            text-align: center;
            margin-bottom: 15px;
        }

        .btn:hover {
            background: var(--primary-color);
            color: white;
            transform: translateY(-2px);
        }

        .btn-warning {
            background: var(--warning-color);
        }

        .btn-warning:hover {
            background: #e67e22;
        }

        .divider {
            height: 1px;
            background: #ddd;
            margin: 15px 0;
        }

        .highlight {
            background: #fff9e6;
            border-left: 4px solid var(--warning-color);
        }

        @media (max-width: 768px) {
            .card {
                min-width: 100%;
            }

            .row {
                flex-direction: column;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <h1 class="dashboard-title">মাদ্রাসা আর্থিক রিপোর্ট</h1>


        <div class="row">


            <!-- ইনকাম ডাটা দেখানোর সেকশন -->
            <div class="card">
                <div class="card-header">ইনকাম ডাটাসমূহ</div>
                <div class="card-body">
                    <div class="summary-item">
                        <div class="summary-title">সর্বমোট ইনকাম</div>
                        <div class="summary-amount"><?= number_format($grand_total_income, 2); ?> টাকা</div>
                    </div>

                    

                    <div class="divider"></div>

                    <?php if ($result->num_rows > 0): ?>
                        <?php while ($row = $result->fetch_assoc()): ?>
                            <?php $income_head_bn = $income_head_translation[$row['income_head']] ?? $row['income_head']; ?>
                            <div class="data-item">
                                <div class="data-title"><?= htmlspecialchars($income_head_bn) ?></div>
                                <div class="data-amount"><?= htmlspecialchars($row['income_ammount']) ?> টাকা</div>
                                <div class="data-meta">তারিখ: <?= htmlspecialchars($row['collected']) ?></div>
                            </div>
                        <?php endwhile; ?>
                    <?php else: ?>
                        <div class="data-item">
                            <div class="data-title">কোনো ডাটা পাওয়া যায়নি</div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>

            <!-- প্রতিটি income_head এর মোট ইনকাম -->
            <div class="card">
                <div class="card-header">মোট ইনকাম (প্রতি ক্যাটাগরি)</div>
                <div class="card-body">
                    <div class="summary-item highlight">
                        <div class="summary-title">মোট ভর্তির ফি</div>
                        <div class="summary-amount"><?= number_format($total_admission_fee, 2); ?> টাকা</div>
                    </div>

                    <div class="summary-item highlight">
                        <div class="summary-title">মোট বোর্ডিং ফি</div>
                        <div class="summary-amount"><?= number_format($total_boarding_fee, 2); ?> টাকা</div>
                    </div>

                    <div class="summary-item highlight">
                        <div class="summary-title">সর্বমোট পরিক্ষার ফি</div>
                        <div class="summary-amount"><?= number_format($total_exam_fee, 2); ?> টাকা</div>
                    </div>

                    <div class="summary-item highlight">
                        <div class="summary-title">সর্বমোট মাসিক বেতন</div>
                        <div class="summary-amount"><?= number_format($total_monthly_fee, 2); ?> টাকা</div>
                    </div>

                    <?php if ($total_result->num_rows > 0): ?>
                        <?php while ($row = $total_result->fetch_assoc()): ?>
                            <?php $income_head_bn = $income_head_translation[$row['income_head']] ?? $row['income_head']; ?>
                            <div class="summary-item">
                                <div class="summary-title"><?= htmlspecialchars($income_head_bn) ?></div>
                                <div class="summary-amount"><?= htmlspecialchars($row['total_income']) ?> টাকা</div>
                            </div>
                        <?php endwhile; ?>
                    <?php else: ?>
                        <div class="summary-item">
                            <div class="summary-title">কোনো মোট ইনকাম পাওয়া যায়নি</div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>

            <!-- ছাত্রদেরকে ফেরত দেয়ার পর মোট ইনকাম -->
            <div class="card">
                <div class="card-header">ফেরতের পর মোট ইনকাম</div>
                <div class="card-body">
                    <div class="summary-item">
                        <div class="summary-title">মোট ইনকাম</div>
                        <div class="summary-amount"><?= number_format($total, 2); ?> টাকা</div>
                    </div>

                    <div class="divider"></div>

                    <div class="summary-item">
                        <div class="summary-title">মোট ফেরত টাকা</div>
                        <div class="summary-amount"><?= number_format($totalAmount, 2) ?> টাকা</div>
                    </div>

                    <div class="divider"></div>

                    <div class="total-box">
                        <div class="total-title">ফেরতের পর মোট ইনকাম</div>
                        <div class="total-amount"><?= number_format($total - $totalAmount, 2); ?> টাকা</div>
                    </div>
                </div>
            </div>


            <!-- বিস্তারিত -->
            <div class="card">
                <div class="card-header">আরো বিস্তারিত</div>
                <div class="card-body">


                    <form action="details.php" method="POST">


                        <input type="hidden" name="email" value="<?= $email; ?>">

                        <input type="hidden" name="table" value="admissionfee">


                        <input type="hidden" name="column" value="admission_fee">

                        <button type="submit" class="btn btn-dark mb-3 w-100">ভর্তির ফি দেখুন
                        </button>
                    </form>


                    <form action="details.php" method="POST">


                        <input type="hidden" name="email" value="<?= $email; ?>">

                        <input type="hidden" name="table" value="boardingfee">


                        <input type="hidden" name="column" value="boarding_fee">

                        <button type="submit" class="btn btn-dark mb-3 w-100">বোর্ডিং ফি দেখুন
                        </button>
                    </form>


                    <form action="details.php" method="POST">


                        <input type="hidden" name="email" value="<?= $email; ?>">

                        <input type="hidden" name="table" value="monthlyfee">


                        <input type="hidden" name="column" value="monthly_fee">

                        <button type="submit" class="btn btn-dark mb-3 w-100">মাসিক বেতন দেখুন
                        </button>
                    </form>


                    <form action="details.php" method="POST">


                        <input type="hidden" name="email" value="<?= $email; ?>">

                        <input type="hidden" name="table" value="examfee">


                        <input type="hidden" name="column" value="exam_fee">

                        <button type="submit" class="btn btn-dark mb-3 w-100">পরিক্ষার ফি দেখুন
                        </button>
                    </form>


                    <form action="details.php" method="POST">


                        <input type="hidden" name="email" value="<?= $email; ?>">

                        <input type="hidden" name="table" value="incomes">


                        <input type="hidden" name="column" value="income_ammount">


                        <input type="hidden" name="income_head" value="income_head">

                        <button type="submit" class="btn btn-dark mb-3 w-100">অন্যান্য খাত দেখুন
                        </button>
                    </form>




                    <form action="search.php" method="POST" class="mb-3">
                        <input type="email" name="email" value="<?= $email; ?>" hidden>
                        <button type="submit" class="btn btn-warning">ইনকাম সার্চ ( মাস-বছর / খাত )</button>
                    </form>


                </div>



            </div>
        </div>


    </div>
    </div>
</body>

</html>

<?php
$stmt->close();
$total_stmt->close();
$grand_total_stmt->close();
$conn->close();
?>