<?php
include_once "../db/database/conn.php";
$db = new DBConn();
$conn = $db->getConnection();

$email = $_POST["email"];

$income_head_translation = [
    "waz_collection"         => "ওয়াজের কালেকশন",
    "student_monthly_salary" => "ছাত্রদের মাসিক বেতন",
    "boarding_fee"           => "বোর্ডিং ফি",
    "exam_fee"               => "পরীক্ষা ফি",
    "admission_fee"          => "ভর্তি ফি",
    "donation1"              => "অনোদান",
    "donation2"              => "দান",
    "zakat"                  => "যাকাত",
    "fitra"                  => "ফিতরা",
];
?>

<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <title>আয় তথ্য বিশ্লেষণ</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    
    <style>
        @font-face {
            font-family: 'bengali';
            src: url('../fonts/siliguri_semibold.ttf');
        }
        
        :root {
            --primary-color: #2c3e50;
            --secondary-color: #3498db;
            --accent-color: #e74c3c;
            --light-bg: #f9f9f9;
            --card-shadow: 0 10px 20px rgba(0,0,0,0.1);
            --transition: all 0.3s ease;
        }
        
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        
        body {
            font-family: 'bengali', sans-serif;
            background: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
            min-height: 100vh;
            padding: 20px;
            color: #333;
        }
        
        .container {
            max-width: 1200px;
            margin: 0 auto;
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 20px;
        }
        
        .card {
            background: white;
            border-radius: 12px;
            box-shadow: var(--card-shadow);
            overflow: hidden;
            transition: var(--transition);
        }
        
        .card:hover {
            transform: translateY(-5px);
            box-shadow: 0 15px 30px rgba(0,0,0,0.15);
        }
        
        .card-header {
            background: var(--primary-color);
            color: white;
            padding: 15px 20px;
            font-size: 1.2rem;
            border-bottom: 3px solid var(--secondary-color);
        }
        
        .card-body {
            padding: 20px;
        }
        
        .search-control {
            width: 100%;
            padding: 12px 15px;
            border: 2px solid #ddd;
            border-radius: 8px;
            font-family: 'bengali';
            font-size: 1rem;
            margin-bottom: 15px;
            transition: var(--transition);
        }
        
        .search-control:focus {
            border-color: var(--secondary-color);
            outline: none;
            box-shadow: 0 0 0 3px rgba(52, 152, 219, 0.2);
        }
        
        select.search-control {
            appearance: none;
            background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6 9 12 15 18 9'%3e%3c/polyline%3e%3c/svg%3e");
            background-repeat: no-repeat;
            background-position: right 10px center;
            background-size: 1em;
        }
        
        .results-container {
            height: 400px;
            overflow-y: auto;
            scrollbar-width: thin;
            scrollbar-color: var(--secondary-color) #f1f1f1;
            border-radius: 8px;
            background: var(--light-bg);
            padding: 10px;
        }
        
        .results-container::-webkit-scrollbar {
            width: 8px;
        }
        
        .results-container::-webkit-scrollbar-track {
            background: #f1f1f1;
            border-radius: 10px;
        }
        
        .results-container::-webkit-scrollbar-thumb {
            background-color: var(--secondary-color);
            border-radius: 10px;
        }
        
        .income-item {
            background: white;
            padding: 15px;
            margin-bottom: 10px;
            border-radius: 8px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.05);
            display: grid;
            grid-template-columns: 1fr auto;
            align-items: center;
            transition: var(--transition);
        }
        
        .income-item:hover {
            transform: translateX(5px);
            box-shadow: 0 5px 15px rgba(0,0,0,0.1);
        }
        
        .income-category {
            font-weight: bold;
            color: var(--primary-color);
            margin-bottom: 5px;
        }
        
        .income-amount {
            font-size: 1.2rem;
            color: var(--accent-color);
            font-weight: bold;
            text-align: right;
        }
        
        .income-date {
            color: #666;
            font-size: 0.9rem;
        }
        
        

        .no-results {
            text-align: center;
            padding: 50px 20px;
            color: #666;
        }
        
        .filter-group {
            display: flex;
            gap: 10px;
            margin-bottom: 15px;
        }
        
        .filter-group input, .filter-group select {
            flex: 1;
        }
        
        @media (max-width: 768px) {
            .container {
                grid-template-columns: 1fr;
            }
            
            .summary-card {
                grid-template-columns: 1fr;
            }
        }
    </style>
</head>

<body>
    <div class="container">
       
        <!-- Date Search Card -->
        <div class="card">
            <div class="card-header">
                <h2>তারিখ অনুসন্ধান</h2>
            </div>
            <div class="card-body">
                <div class="filter-group">
                    <input type="date" id="searchDate" class="search-control">
                    <select id="dateRange" class="search-control">
                        <option value="">সময়সীমা</option>
                        <option value="today">আজ</option>
                        <option value="week">এই সপ্তাহ</option>
                        <option value="month">এই মাস</option>
                        <option value="year">এই বছর</option>
                        <option value="custom">কাস্টম</option>
                    </select>
                </div>
                <div class="results-container" id="incomeResults">
                    <div class="no-results">তারিখ নির্বাচন করুন</div>
                </div>
            </div>
        </div>
        
        <!-- Category Search Card -->
        <div class="card">
            <div class="card-header">
                <h2>খাত অনুসন্ধান</h2>
            </div>
            <div class="card-body">
                <select id="searchCategory" class="search-control">
                    <option value="">খাত নির্বাচন করুন</option>
                    <option value="waz_collection">ওয়াজের কালেকশন</option>
                    <option value="donation1">অনোদান</option>
                    <option value="donation2">দান</option>
                    <option value="zakat">যাকাত</option>
                    <option value="fitra">ফিতরা</option>
                </select>
                <div class="results-container" id="categoryResults">
                    <div class="no-results">খাত নির্বাচন করুন</div>
                </div>
            </div>
        </div>
        
        
    </div>

    <script>
        $(document).ready(function() {
            
            
            // Load summary data
            function loadSummaryData() {
                $.ajax({
                    url: 'search_income_api.php',
                    method: 'POST',
                    data: {
                        action: 'summary',
                        email: "<?=$email;?>"
                    },
                });
            }
            
            
            
            // Date range selector
            $('#dateRange').on('change', function() {
                const range = $(this).val();
                let dateInput = $('#searchDate');
                
                if (range === 'custom') {
                    dateInput.show().val('').trigger('change');
                } else if (range) {
                    dateInput.hide();
                    
                    $.ajax({
                        url: 'search_income_api.php',
                        method: 'POST',
                        data: {
                            range: range,
                            email: "<?=$email;?>"
                        },
                        success: function(response) {
                            $('#incomeResults').html(response);
                        }
                    });
                } else {
                    dateInput.show();
                }
            });
            
            // Search by Date
            $('#searchDate').on('change', function() {
                var selectedDate = $(this).val();
                if (selectedDate) {
                    $.ajax({
                        url: 'search_income_api.php',
                        method: 'POST',
                        data: {
                            date: selectedDate,
                            email: "<?=$email;?>"
                        },
                        success: function(response) {
                            $('#incomeResults').html(response);
                        }
                    });
                }
            });
            success
            // Search by Category
            $('#searchCategory').on('change', function() {
                var selectedCategory = $(this).val();
                if (selectedCategory) {
                    $.ajax({
                        url: 'search_income_api.php',
                        method: 'POST',
                        data: {
                            category: selectedCategory,
                            email: "<?=$email;?>"
                        },
                        success: function(response) {
                            $('#categoryResults').html(response);
                        }
                    });
                } else {
                    $('#categoryResults').html('<div class="no-results">খাত নির্বাচন করুন</div>');
                }
            });
            
            // Initial load
            loadSummaryData();
        });
    </script>
</body>
</html>