<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>রেজাল্ট</title>

    <style>
        @font-face {
            font-family: "bengali";
            src: url("../fonts/siliguri_semibold.ttf") format("truetype");
            font-weight: normal;
            font-style: normal;
        }

        *,
        *::after,
        *::before {
            box-sizing: inherit;
            font-family: "bengali", sans-serif;
        }

        html {
            box-sizing: border-box;
        }

        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 50px;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .dialog {
            background: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        h3 {
            margin-bottom: 15px;
        }

        select,
        input {
            width: 100%;
            padding: 10px;
            margin: 5px 0;
            border: 1px solid #ccc;
            border-radius: 5px;
        }

        button {
            background: #28a745;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
            width: 100%;
        }

        button:hover {
            background: #218838;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th,
        td {
            border: 1px solid #ddd;
            padding: 10px;
            text-align: center;
        }

        th {
            background: #007bff;
            color: white;
        }

        input[type="number"] {
            width: 100px;
        }

        /* কাস্টম মডাল ডিজাইন - আধুনিক ও মনোমুগ্ধকর ভার্সন */
        .modal-overlay {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: rgba(0, 0, 0, 0.7);
            z-index: 1000;
            display: flex;
            justify-content: center;
            align-items: center;
            opacity: 0;
            visibility: hidden;
            transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
            backdrop-filter: blur(5px);
        }

        .modal-overlay.active {
            opacity: 1;
            visibility: visible;
        }

        .custom-modal {
            background: linear-gradient(135deg, #ffffff 0%, #f8f9fa 100%);
            border-radius: 16px;
            width: 90%;
            max-width: 420px;
            box-shadow: 0 20px 50px rgba(0, 0, 0, 0.3);
            transform: translateY(30px) scale(0.9);
            transition: transform 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
            overflow: hidden;
            border: 1px solid rgba(255, 255, 255, 0.2);
        }

        .modal-overlay.active .custom-modal {
            transform: translateY(0) scale(1);
        }

        .modal-header {
            padding: 22px 25px;
            background: linear-gradient(135deg, #6a11cb 0%, #2575fc 100%);
            color: white;
            display: flex;
            justify-content: space-between;
            align-items: center;
            position: relative;
        }

        .modal-header::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: 4px;
            background: linear-gradient(90deg, #ff8a00, #e52e71);
        }

        .modal-header h3 {
            margin: 0;
            font-size: 20px;
            font-weight: 600;
            letter-spacing: 0.5px;
            text-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        .modal-close {
            background: rgba(255, 255, 255, 0.2);
            border: none;
            color: white;
            width: 32px;
            height: 32px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            padding: 0;
            transition: all 0.3s;
            font-size: 18px;
            font-weight: bold;
        }

        .modal-close:hover {
            background: rgba(255, 255, 255, 0.3);
            transform: rotate(90deg);
        }

        .modal-body {
            padding: 30px 25px;
            color: #495057;
            font-size: 16px;
            line-height: 1.6;
            text-align: center;
        }

        .modal-icon {
            font-size: 60px;
            margin-bottom: 20px;
            display: inline-block;
            background: linear-gradient(135deg, #6a11cb 0%, #2575fc 100%);
            -webkit-background-clip: text;
            background-clip: text;
            -webkit-text-fill-color: transparent;
            filter: drop-shadow(0 2px 4px rgba(0, 0, 0, 0.1));
        }

        .modal-icon.success {
            background: linear-gradient(135deg, #11998e 0%, #38ef7d 100%);
        }

        .modal-icon.error {
            background: linear-gradient(135deg, #ff416c 0%, #ff4b2b 100%);
        }

        .modal-icon.warning {
            background: linear-gradient(135deg, #f7971e 0%, #ffd200 100%);
        }

        .modal-footer {
            padding: 20px;
            background: #f8f9fa;
            display: flex;
            justify-content: center;
            gap: 15px;
            border-top: 1px solid #e9ecef;
        }

        .modal-btn {
            padding: 12px 24px;
            border-radius: 8px;
            border: none;
            cursor: pointer;
            font-weight: 600;
            transition: all 0.3s;
            min-width: 100px;
            letter-spacing: 0.5px;
            text-transform: uppercase;
            font-size: 14px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            display: inline-flex;
            align-items: center;
            justify-content: center;
            gap: 8px;
        }

        .modal-btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
        }

        .modal-btn:active {
            transform: translateY(0);
        }

        .modal-btn-primary {
            background: linear-gradient(135deg, #6a11cb 0%, #2575fc 100%);
            color: white;
        }

        .modal-btn-primary:hover {
            background: linear-gradient(135deg, #5a0cb0 0%, #1a65e8 100%);
        }

        .modal-btn-danger {
            background: linear-gradient(135deg, #ff416c 0%, #ff4b2b 100%);
            color: white;
        }

        .modal-btn-danger:hover {
            background: linear-gradient(135deg, #e8355f 0%, #e83f27 100%);
        }

        .modal-btn-secondary {
            background: #e9ecef;
            color: #495057;
        }

        .modal-btn-secondary:hover {
            background: #dee2e6;
        }

        /* এনিমেশন */
        @keyframes bounceIn {
            0% {
                transform: scale(0.8);
                opacity: 0;
            }

            50% {
                transform: scale(1.05);
                opacity: 1;
            }

            100% {
                transform: scale(1);
            }
        }

        .custom-modal {
            animation: bounceIn 0.6s;
        }

        /* আইকন এনিমেশন */
        .modal-icon svg {
            animation: iconPulse 1.5s infinite alternate;
        }

        @keyframes iconPulse {
            0% {
                transform: scale(1);
            }

            100% {
                transform: scale(1.1);
            }
        }

        /* রেস্পন্সিভ ডিজাইন */
        @media (max-width: 480px) {
            .custom-modal {
                width: 95%;
                border-radius: 12px;
            }

            .modal-header {
                padding: 18px 20px;
            }

            .modal-body {
                padding: 25px 20px;
            }

            .modal-footer {
                flex-direction: column;
                gap: 10px;
            }

            .modal-btn {
                width: 100%;
            }
        }

        /* কাস্টম মডাল ডিজাইন শেষ */
    </style>
</head>

<body>

    <?php if ($_SERVER['REQUEST_METHOD'] === 'POST'): ?>
        <div class="overlay" id="overlay"></div>

        <div class="dialog" id="examDialog">
            <h3>পরীক্ষার সকল তথ্য দিন</h3>

            <!-- ফর্মে সেশন ফিল্ড যোগ করুন -->
            <div style="display: flex; gap: 10px; justify-content: center;">
                <input type="email" id="madrashaEmail" value="<?php echo $_POST['email']; ?>" readonly>

                <select id="classDropdown" onchange="loadSubjectsAndStudents()">
                    <option value="">Select a Class</option>
                </select>

                <input type="text" id="selectedClassName" name="selectedClassName" readonly>

                <input type="text" id="examName" placeholder="পরীক্ষার নাম লিখুন">
                <input type="date" id="examDate" max="<?php echo date('Y-m-d'); ?>">

               
            </div>

            <br>


            <table border="1">
                <thead id="subjectHeader"></thead>
                <tbody id="studentList"></tbody>
            </table>

            <button type="submit" id="submitButton">Submit</button>
        </div>
    <?php endif; ?>

    <!-- Custom Modal Structure -->
    <div class="modal-overlay" id="customModalOverlay">
        <div class="custom-modal">
            <div class="modal-header">
                <h3 id="modalTitle">Notification</h3>
                <button class="modal-close" id="modalCloseBtn">&times;</button>
            </div>
            <div class="modal-body">
                <div class="modal-icon" id="modalIcon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none"
                        stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path>
                        <polyline points="22 4 12 14.01 9 11.01"></polyline>
                    </svg>
                </div>
                <p id="modalMessage">This is a custom modal message.</p>
            </div>
            <div class="modal-footer" id="modalFooter">
                <button class="modal-btn modal-btn-primary" id="modalConfirmBtn">OK</button>
            </div>
        </div>
    </div>

    <script>
        // Custom Modal Functions
        function showCustomModal(title, message, type = 'info', buttons = []) {
            const modalOverlay = document.getElementById('customModalOverlay');
            const modalTitle = document.getElementById('modalTitle');
            const modalMessage = document.getElementById('modalMessage');
            const modalIcon = document.getElementById('modalIcon');
            const modalFooter = document.getElementById('modalFooter');

            // Set modal content
            modalTitle.textContent = title;
            modalMessage.textContent = message;

            // Set icon based on type
            modalIcon.innerHTML = '';
            let iconSvg = '';
            if (type === 'success') {
                iconSvg = `
                    <svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none" stroke="#28a745" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path>
                        <polyline points="22 4 12 14.01 9 11.01"></polyline>
                    </svg>
                `;
            } else if (type === 'error') {
                iconSvg = `
                    <svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none" stroke="#dc3545" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <circle cx="12" cy="12" r="10"></circle>
                        <line x1="12" y1="8" x2="12" y2="12"></line>
                        <line x1="12" y1="16" x2="12.01" y2="16"></line>
                    </svg>
                `;
            } else if (type === 'warning') {
                iconSvg = `
                    <svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none" stroke="#ffc107" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path>
                        <line x1="12" y1="9" x2="12" y2="13"></line>
                        <line x1="12" y1="17" x2="12.01" y2="17"></line>
                    </svg>
                `;
            } else {
                iconSvg = `
                    <svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none" stroke="#007bff" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <circle cx="12" cy="12" r="10"></circle>
                        <line x1="12" y1="16" x2="12" y2="12"></line>
                        <line x1="12" y1="8" x2="12.01" y2="8"></line>
                    </svg>
                `;
            }
            modalIcon.innerHTML = iconSvg;

            // Set buttons
            modalFooter.innerHTML = '';
            if (buttons.length > 0) {
                buttons.forEach(btn => {
                    const button = document.createElement('button');
                    button.className = `modal-btn ${btn.class || 'modal-btn-primary'}`;
                    button.textContent = btn.text;
                    button.onclick = btn.action;
                    modalFooter.appendChild(button);
                });
            } else {
                const okButton = document.createElement('button');
                okButton.className = 'modal-btn modal-btn-primary';
                okButton.textContent = 'OK';
                okButton.id = 'modalConfirmBtn';
                okButton.onclick = hideCustomModal;
                modalFooter.appendChild(okButton);
            }

            // Show modal
            modalOverlay.classList.add('active');
        }

        function hideCustomModal() {
            const modalOverlay = document.getElementById('customModalOverlay');
            modalOverlay.classList.remove('active');
        }

        // Close modal when clicking X or outside
        document.getElementById('modalCloseBtn').addEventListener('click', hideCustomModal);
        document.getElementById('customModalOverlay').addEventListener('click', function (e) {
            if (e.target === this) {
                hideCustomModal();
            }
        });

        // Replace all alert() calls with showCustomModal()
        document.getElementById("submitButton").addEventListener("click", function () {
            let madrashaEmail = document.getElementById("madrashaEmail").value.trim();
            let classId = document.getElementById("classDropdown").value;
            let className = document.getElementById("selectedClassName").value.trim();
            let examName = document.getElementById("examName").value.trim();
            let examDate = document.getElementById("examDate").value.trim();
            let marksInputs = document.querySelectorAll("input[name='marks[]']");



            if (!classId || !className) {
                showCustomModal("Error", "অনুগ্রহ করে একটি ক্লাস নির্বাচন করুন!", "error");
                return;
            }

            if (!examName) {
                showCustomModal("Error", "অনুগ্রহ করে পরীক্ষার নাম লিখুন!", "error");
                return;
            }

            if (!examDate) {
                showCustomModal("Error", "অনুগ্রহ করে পরীক্ষার তারিখ নির্বাচন করুন!", "error");
                return;
            }

            let allMarksFilled = true;
            marksInputs.forEach((input) => {
                if (input.value.trim() === "") {
                    allMarksFilled = false;
                }
            });

            if (!allMarksFilled) {
                showCustomModal("Error", "অনুগ্রহ করে সকল শিক্ষার্থীর নম্বর প্রবেশ করুন!", "error");
                return;
            }

            let studentsData = [];
            let studentRows = document.querySelectorAll("#studentList tr");

            studentRows.forEach((row) => {
                let formNo = row.cells[0].textContent.trim();
                let studentName = row.cells[1].textContent.trim();
                let marks = {};

                row.querySelectorAll("input[name='marks[]']").forEach((input, index) => {
                    let subjectName = document
                        .querySelector("#subjectHeader tr")
                        .cells[index + 2].textContent.trim();
                    marks[subjectName] = input.value.trim() || "0";
                });

                studentsData.push({
                    form_no: formNo,
                    student_name: studentName,
                    marks: marks,
                });
            });

            let formData = new FormData();
            formData.append("email", madrashaEmail);
            formData.append("class_id", classId);
            formData.append("class_name", className);
            formData.append("exam_name", examName);
            formData.append("exam_date", examDate);
            formData.append("studentsData", JSON.stringify(studentsData));

            fetch("submit.php", {
                method: "POST",
                body: formData,
            })
                .then((response) => response.json())
                .then((data) => {
                    if (data.status === "success") {
                        showCustomModal("Success", data.message, "success", [
                            {
                                text: "OK",
                                class: "modal-btn-primary",
                                action: function () {
                                    hideCustomModal();
                                    location.reload();
                                }
                            }
                        ]);
                    } else {
                        showCustomModal("Error", data.message, "error");
                    }
                })
                .catch((error) => {
                    console.error("Error:", error);
                    showCustomModal("Error", "An error occurred while submitting data.", "error");
                });
        });

        document.addEventListener("DOMContentLoaded", function () {
            loadClasses();
            document
                .getElementById("classDropdown")
                .addEventListener("change", updateClassName);
        });

        function loadClasses() {
            let email = document.getElementById("madrashaEmail").value;
            let classDropdown = document.getElementById("classDropdown");

            if (!email) {
                showCustomModal("Error", "Please enter an email.", "error");
                return;
            }

            let formData = new FormData();
            formData.append("email", email);

            fetch("getclasses_api.php", {
                method: "POST",
                body: formData,
            })
                .then((response) => response.json())
                .then((data) => {
                    classDropdown.innerHTML = '<option value="">Select a Class</option>';
                    data.forEach((classItem) => {
                        let classOption = document.createElement("option");
                        classOption.value = classItem.id;
                        classOption.textContent = classItem.name;
                        classDropdown.appendChild(classOption);
                    });
                })
                .catch((error) => {
                    console.error("Error:", error);
                    showCustomModal("Error", "Failed to load classes.", "error");
                });
        }

        function updateClassName() {
            let classDropdown = document.getElementById("classDropdown");
            let selectedClassName = document.getElementById("selectedClassName");
            let selectedOption = classDropdown.options[classDropdown.selectedIndex];
            selectedClassName.value = selectedOption.textContent;
        }

        function loadSubjectsAndStudents() {
            let email = document.getElementById("madrashaEmail").value;
            let classId = document.getElementById("classDropdown").value;

            if (!classId) return;

            let formData = new FormData();
            formData.append("email", email);
            formData.append("class_id", classId);

            fetch("fetch_subjects_students.php", {
                method: "POST",
                body: formData,
            })
                .then((response) => response.json())
                .then((data) => {
                    let subjectHeader = document.getElementById("subjectHeader");
                    let studentList = document.getElementById("studentList");

                    if (data.error) {
                        showModal(data.error, data.studentLink, data.subjectLink);
                        subjectHeader.innerHTML = "";
                        studentList.innerHTML = "";
                        return;
                    }

                    // হেডার আপডেট
                    subjectHeader.innerHTML =
                        "<tr><th>Form No</th><th>Student Name</th>" +
                        data.subjects.map((sub) => `<th>${sub}</th>`).join("") +
                        "</tr>";

                    // ছাত্রদের তালিকা আপডেট
                    studentList.innerHTML = data.students
                        .map(
                            (std) =>
                                `<tr>
                                    <td>${std.form_no}</td>
                                    <td>${std.student_name}</td>
                                    ${data.subjects
                                    .map(
                                        () =>
                                            "<td><input type='number' name='marks[]' min='0' max='100'></td>"
                                    )
                                    .join("")}
                                </tr>`
                        )
                        .join("");
                })
                .catch((error) => {
                    console.error("Error:", error);
                    showCustomModal("Error", "Failed to load subjects and students.", "error");
                });
        }

        // মডাল দেখানোর ফাংশন
        function showModal(message, studentLink = null, subjectLink = null) {
            let email = document.getElementById("madrashaEmail").value;
            let classDropdown = document.getElementById("classDropdown");
            let classId = classDropdown.value;
            let className =
                classDropdown.options[classDropdown.selectedIndex].textContent;

            let buttons = [];

            if (studentLink) {
                buttons.push({
                    text: "ছাত্র ভর্তি করুন",
                    class: "modal-btn-primary",
                    action: function () {
                        let form = document.createElement('form');
                        form.action = studentLink;
                        form.method = 'POST';

                        let emailInput = document.createElement('input');
                        emailInput.type = 'hidden';
                        emailInput.name = 'email';
                        emailInput.value = email;

                        let idInput = document.createElement('input');
                        idInput.type = 'hidden';
                        idInput.name = 'id';
                        idInput.value = classId;

                        let nameInput = document.createElement('input');
                        nameInput.type = 'hidden';
                        nameInput.name = 'name';
                        nameInput.value = className;

                        form.appendChild(emailInput);
                        form.appendChild(idInput);
                        form.appendChild(nameInput);
                        document.body.appendChild(form);
                        form.submit();
                    }
                });
            }

            if (subjectLink) {
                buttons.push({
                    text: "সাবজেক্ট এড করুন",
                    class: "modal-btn-primary",
                    action: function () {
                        let form = document.createElement('form');
                        form.action = subjectLink;
                        form.method = 'POST';

                        let emailInput = document.createElement('input');
                        emailInput.type = 'hidden';
                        emailInput.name = 'email';
                        emailInput.value = email;

                        let classIDInput = document.createElement('input');
                        classIDInput.type = 'hidden';
                        classIDInput.name = 'classID';
                        classIDInput.value = classId;

                        let classnameInput = document.createElement('input');
                        classnameInput.type = 'hidden';
                        classnameInput.name = 'classname';
                        classnameInput.value = className;

                        form.appendChild(emailInput);
                        form.appendChild(classIDInput);
                        form.appendChild(classnameInput);
                        document.body.appendChild(form);
                        form.submit();
                    }
                });
            }

            buttons.push({
                text: "Close",
                class: "modal-btn-danger",
                action: hideCustomModal
            });

            showCustomModal("Attention", message, "warning", buttons);
        }
    </script>
</body>

</html>