<?php
include_once '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $madrasha_email = $_POST['email'];
    $class_id = $_POST['class_id'];

    // Fetch subjects
    $sqlSubjects = "SELECT subject_name FROM booklist WHERE madrasha_email = ? AND class_id = ?";
    $stmtSubjects = $conn->prepare($sqlSubjects);
    $stmtSubjects->bind_param("si", $madrasha_email, $class_id);
    $stmtSubjects->execute();
    $resultSubjects = $stmtSubjects->get_result();

    $subjects = [];
    while ($row = $resultSubjects->fetch_assoc()) {
        $subjects[] = $row['subject_name'];
    }
    $stmtSubjects->close();

    // Fetch students form_no
    // Fetch students form_no এবং নাম
    $sqlStudents = "SELECT form_no, student_name FROM selfstudents WHERE madrasha_email = ? AND class_id = ?";
    $stmtStudents = $conn->prepare($sqlStudents);
    $stmtStudents->bind_param("si", $madrasha_email, $class_id);
    $stmtStudents->execute();
    $resultStudents = $stmtStudents->get_result();

    $students = [];
    while ($row = $resultStudents->fetch_assoc()) {
        $students[] = ["form_no" => $row['form_no'], "student_name" => $row['student_name']];
    }
    $stmtStudents->close();
    $conn->close();

    // যদি ছাত্র এবং সাবজেক্ট না থাকে
    if (empty($students) && empty($subjects)) {
        echo json_encode([
            "error" => "এই ক্লাসে কোনো ছাত্র এবং সাবজেক্ট পাওয়া যায়নি!",
            "studentLink" => "../add_students/student_form.php",
            "subjectLink" => "../books/subjectslist.php"
        ]);
    }
    // যদি শুধু ছাত্র না থাকে
    elseif (empty($students)) {
        echo json_encode([
            "error" => "এই ক্লাসে কোনো ছাত্র পাওয়া যায়নি!",
            "studentLink" => "../add_students/student_form.php",
            "subjects" => $subjects
        ]);
    }
    // যদি শুধু সাবজেক্ট না থাকে
    elseif (empty($subjects)) {
        echo json_encode([
            "error" => "এই ক্লাসে কোনো সাবজেক্ট পাওয়া যায়নি!",
            "subjectLink" => "../books/subjectslist.php",
            "students" => $students
        ]);
    } else {
        echo json_encode(["subjects" => $subjects, "students" => $students]);
    }
} else {
    echo json_encode(["error" => "Invalid request"]);
}
