<?php

require_once '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();


if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $madrashaEmail = $_POST["email"];
    $classId = $_POST["class_id"];
    $className = $_POST["class_name"];
    $examName = $_POST["exam_name"];
    $examDate = $_POST["exam_date"];
    $studentsData = json_decode($_POST["studentsData"], true); // JSON ডাটা ডিকোড করা

    if (!$madrashaEmail || !$classId || !$className || !$examName || !$examDate || empty($studentsData)) {
        echo json_encode(["status" => "error", "message" => "সব তথ্য প্রদান করুন!"]);
        exit;
    }

    $conn->begin_transaction(); // ট্রানজাকশন শুরু
    try {
        foreach ($studentsData as $student) {
            $formNo = $student["form_no"];
            $studentName = $student["student_name"];
            $marks = $student["marks"];

            foreach ($marks as $subject => $mark) {
                $stmt = $conn->prepare("INSERT INTO exam_results (madrasha_email, class_id, class_name, exam_name, exam_date, form_no, student_name, subject, marks) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
                $stmt->bind_param("sisssisss", $madrashaEmail, $classId, $className, $examName, $examDate, $formNo, $studentName, $subject, $mark);
                $stmt->execute();
            }
        }
        $conn->commit(); // সফল হলে ডাটাবেজে সংরক্ষণ করা হবে
        echo json_encode(["status" => "success", "message" => "রেজাল্ট সফলভাবে সংরক্ষণ করা হয়েছে!"]);
    } catch (Exception $e) {
        $conn->rollback(); // কোনো সমস্যা হলে পূর্ববর্তী পরিবর্তন বাতিল করা হবে
        echo json_encode(["status" => "error", "message" => "সংরক্ষণে সমস্যা হয়েছে!"]);
    }
}
?>
