<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>মাদ্রাসার ফেরত খাত</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/glubal.style.css">
</head>

<body>

      <!-- Custom Modal -->
      <div class="modal fade" id="confirmationModal" tabindex="-1" aria-labelledby="confirmationModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title" id="confirmationModalLabel">নিশ্চিত করুন</h5>
                </div>
                <div class="modal-body">
                    যে ছাত্রটিকে বের করে দিচ্ছেন তাকে কোন ফি ফেরত দিতে হচ্ছে?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" id="noButton">না</button>
                    <button type="button" class="btn btn-success" id="yesButton">হ্যাঁ</button>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-5">
        <div class="card">
            <div class="card-header bg-primary text-white">
                <h2 class="mb-0 text-center">মাদ্রাসার ফেরত খাত, নিচের ফর্মটি পূরণ করুন</h2>
            </div>
            <div class="card-body">
                <form action="create.php" method="POST">
                    <div class="mb-3">
                        <label for="incomeHead" class="form-label">ফেরত খাত নির্বাচন করুন:</label>
                        <select class="form-select mb-4" name="return_head" required>
                            <option value="boarding_fee">বোর্ডিং ফি</option>
                            <option value="exam_fee">পরীক্ষা ফি</option>
                            <option value="admission_fee">ভর্তি ফি</option>
                        </select>

                        
                        <input type="number" name="return_ammount" class="form-control mb-4" placeholder="পরিমাণ দিন" required>
                        
                        
                        <input type="email" name="email" class="form-control" placeholder="মাদরাসার ইমেইল লিখুন" required>
                    </div>
                    <button type="submit" class="btn btn-warning mb-3 w-100">জমা দিন</button>
                    
                </form>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        let goBackTimeout;
        let goBackCancelled = false;

        // পেজ লোড হওয়ার সাথে সাথে মডাল দেখানো হবে
        window.onload = function() {
            var myModal = new bootstrap.Modal(document.getElementById('confirmationModal'), {
                backdrop: 'static', // মডাল বাইরের কোথাও ক্লিক করলে বন্ধ হবে না
                keyboard: false // কীবোর্ড দিয়ে ESC চাপলে মডাল বন্ধ হবে না
            });
            myModal.show();

            // No button click handler
            document.getElementById('noButton').addEventListener('click', function() {
                // Show countdown message
                const modalBody = document.querySelector('.modal-body');
                modalBody.innerHTML = 'আপনি ২০ সেকেন্ডের মধ্যে "হ্যাঁ" বাটনে ক্লিক করতে পারেন, নতুবা স্বয়ংক্রিয়ভাবে পূর্বের পৃষ্ঠায় ফেরত যাওয়া হবে...';
                
                // Start 5-second countdown
                let secondsLeft = 20;
                const countdownInterval = setInterval(function() {
                    secondsLeft--;
                    modalBody.innerHTML = `আপনি ${secondsLeft} সেকেন্ডের মধ্যে "হ্যাঁ" বাটনে ক্লিক করতে পারেন, নতুবা স্বয়ংক্রিয়ভাবে পূর্বের পৃষ্ঠায় ফেরত যাওয়া হবে...`;
                    
                    if (secondsLeft <= 0) {
                        clearInterval(countdownInterval);
                        if (!goBackCancelled) {
                            window.history.back();
                        }
                    }
                }, 1000);
            });

            // Yes button click handler
            document.getElementById('yesButton').addEventListener('click', function() {
                goBackCancelled = true;
                // Close the modal
                bootstrap.Modal.getInstance(document.getElementById('confirmationModal')).hide();
            });
        };
    </script>

</body>

</html>