<?php

header("Content-Type: application/json");

include '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

// JSON ডাটা সংগ্রহ করা
$data = json_decode(file_get_contents("php://input"));

if (isset($data->madrashaEmail) && isset($data->classID) && isset($data->className)) {
    $madrashaEmail = htmlspecialchars(strip_tags($data->madrashaEmail));
    $classID = htmlspecialchars(strip_tags($data->classID));
    $className = htmlspecialchars(strip_tags($data->className));

    // SQL Query
    $sql = "SELECT subject_name FROM booklist WHERE madrasha_email = ? AND class_id = ? AND class_name = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("sis", $madrashaEmail, $classID, $className);
    $stmt->execute();
    $result = $stmt->get_result();

    $subjects = [];
    while ($row = $result->fetch_assoc()) {
        $subjects[] = $row['subject_name'];
    }

    if (!empty($subjects)) {
        echo json_encode(["success" => true, "subjects" => $subjects]);
    } else {
        echo json_encode(["success" => false, "message" => "No subjects found"]);
    }
} else {
    echo json_encode(["success" => false, "message" => "Invalid input"]);
}
?>
