document.getElementById("search-form").addEventListener("submit", function (event) {
    event.preventDefault(); // পেজ রিলোড বন্ধ করতে এই লাইনটি রাখুন
    let formNo = document.getElementById("form_no").value;
  
    fetchData(formNo);
  
    // ইনপুট ফিল্ড খালি করা
    document.getElementById("form_no").value = "";
  });
  
  function fetchData(formNo) {
    fetch("student_search_api.php", {
      method: "POST",
      headers: {
        "Content-Type": "application/x-www-form-urlencoded",
      },
      body: `form_no=${formNo}`,
    })
      .then((response) => response.json())
      .then((data) => {
        // ডাটা sessionStorage-এ সেভ করা
        sessionStorage.setItem("searchResults", JSON.stringify(data));
        displayResults(data);
      })
      .catch((error) => console.error("Error:", error));
  }
  
  function displayResults(data) {
    const content = document.getElementById("content");
    content.innerHTML = ""; // Clear previous results
  
    if (data.success) {
      let table = "<table>";
      table +=
        "<tr><th>Student Name</th><th>Form No</th><th>Madrasha Name</th><th>Madrasha Email</th><th>Class Name</th></tr>";
  
      data.records.forEach((record) => {
        table += `<tr>
                          <td>${record.student_name}</td>
                          <td>${record.form_no}</td>
                          <td>${record.madrasha_name}</td>
                          <td>${record.madrasha_email}</td>
                          <td>${record.class_name}</td>
                        </tr>`;
      });
  
      table += "</table>";
      table += `<form method="post" action="../db/students/details.php">
                      <input type="hidden" name="form_no" value="${data.records[0].form_no}">
                      <button type="submit" class="details-button">বিস্তারিত দেখুন</button>
                    </form>`;
  
      content.innerHTML = table;
    } else {
      content.innerHTML = "<p>No records found.</p>";
    }
  }
  
  // পেজ লোড হলে sessionStorage থেকে ডাটা পুনরায় লোড করা
  window.onload = function () {
    let savedData = sessionStorage.getItem("searchResults");
  
    if (savedData) {
      let data = JSON.parse(savedData);
      displayResults(data);
    }
  };
  