<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search Student</title>
    <style>
        @font-face {
            font-family: 'bengali';
            src: url('../fonts/siliguri_semibold.ttf');
        }

        *,
        *::after,
        *::before {
            box-sizing: inherit;
            font-family: 'bengali';
        }

        html {
            box-sizing: border-box;
        }


        body {
            font-family: 'bengali', Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .search-container {
            width: 100%;
            background-color: #007bff;
            padding: 20px;
            display: flex;
            justify-content: center;
            position: fixed;
            top: 0;
            left: 0;
        }

        .search-container input {
            width: 50%;
            padding: 10px;
            font-size: 16px;
            border: none;
            border-radius: 5px;
            margin-right: 10px;
        }

        .search-container button {
            padding: 10px 20px;
            font-size: 16px;
            border: none;
            border-radius: 5px;
            background-color: #0056b3;
            color: white;
            cursor: pointer;
        }

        .content {
            margin-top: 100px;
            width: 90%;
            max-width: 1200px;
            text-align: center;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            background: white;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
            overflow: hidden;
        }

        table,
        th,
        td {
            border: 1px solid #ddd;
        }

        th,
        td {
            padding: 12px;
            text-align: left;
        }

        th {
            background-color: #007bff;
            color: white;
        }

        .details-button {
            margin-top: 20px;
            padding: 10px 20px;
            font-size: 16px;
            border: none;
            border-radius: 5px;
            background-color: #28a745;
            color: white;
            cursor: pointer;
            text-decoration: none;
            display: inline-block;
        }
    </style>
</head>

<body>
    <div class="search-container">
        <form id="search-form">
            <input type="text" id="form_no" name="form_no" placeholder="Enter Form No" required>
            <button type="submit" id="search-button">Search</button>
        </form>
    </div>
    <div class="content" id="content">
        <!-- Results will be shown here -->
    </div>
    <script src="student_search.js"></script>
</body>


</html>