<?php
include '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['form_no'])) {
    $form_no = $_POST['form_no'];

    $sql = "SELECT s.student_name, s.form_no, m.name AS madrasha_name, m.email AS madrasha_email, c.name AS class_name 
            FROM selfstudents s 
            JOIN madrashas m ON s.madrasha_email = m.email 
            JOIN classes c ON s.class_id = c.classes_id 
            WHERE s.form_no = ?";
    
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $form_no);
    $stmt->execute();
    $result = $stmt->get_result();

    $response = [];
    if ($result->num_rows > 0) {
        $records = [];
        while ($row = $result->fetch_assoc()) {
            $records[] = $row;
        }

        $response = [
            'success' => true,
            'records' => $records
        ];
    } else {
        $response = [
            'success' => false
        ];
    }

    echo json_encode($response);

    $stmt->close();
    $conn->close();
}
?>
