<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>খাদেম নিয়োগ</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/glubal.style.css">
    <!-- intl-tel-input CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css"/>
</head>

<body>

    <?php
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $email = $_POST['email'];
    }
    ?>

    <div class="container mt-3 mt-md-5 mb-5">
        <h2 class="text-center mb-4">মাদ্রাসার স্টাফ নিয়োগ ফর্ম</h2>
        <form action="../db/servants/create.php" method="POST" class="border p-3 p-md-4 rounded shadow">

            <input type="hidden" name="email" value="<?php echo $email; ?>">

            <div class="row mb-3 mb-md-4 mtadddiv">
                <div class="col-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <input type="text" class="form-control" name="name" required placeholder="পূর্ণ নাম দিন">
                </div>
                <div class="col-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <input type="tel" class="form-control" id="phone" name="phone" required placeholder="মোবাইল নাম্বার দিন">
                </div>
                <div class="col-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <input type="text" class="form-control" name="experience" required placeholder="শিক্ষাগত যোগ্যতা">
                </div>
                <div class="col-12 col-md-6 col-lg-3">
                    <label for="experience" class="form-label d-none d-md-block">আজকের তারিখ</label>
                    <input type="datetime-local" class="form-control" name="dates" required>
                </div>
            </div>

            <div class="row mb-3 mb-md-4 mtadddiv">
                <div class="col-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <input type="text" class="form-control" name="head_name" required placeholder="শিক্ষা বিভাগ প্রধানের নাম">
                </div>
                <div class="col-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <input list="approval-options" name="head_approval" class="form-select" required placeholder="মতামত দিন">
                    <datalist id="approval-options">
                        <option value="অনুমোদিত">
                        <option value="অপেক্ষমান">
                        <option value="প্রত্যাখ্যাত">
                    </datalist>
                </div>

                <div class="col-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <input type="text" class="form-control" name="director_name" required placeholder="পরিচালকের নাম">
                </div>
                <div class="col-12 col-md-6 col-lg-3">
                    <input list="approval-options" name="director_approval" class="form-select" required placeholder="মতামত দিন">
                    <datalist id="approval-options">
                        <option value="অনুমোদিত">
                        <option value="অপেক্ষমান">
                        <option value="প্রত্যাখ্যাত">
                    </datalist>
                </div>
            </div>

            <button type="submit" class="btn btn-primary w-100">জমা দিন</button>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <!-- intl-tel-input JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>

    <script>
        // Initialize the plugin
        const phoneInputField = document.querySelector("#phone");
        const phoneInput = window.intlTelInput(phoneInputField, {
            utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js",
            preferredCountries: ['bd', 'us', 'gb', 'in'],
            initialCountry: "auto",
            geoIpLookup: function(callback) {
                fetch("https://ipapi.co/json")
                    .then(function(res) { return res.json(); })
                    .then(function(data) { callback(data.country_code); })
                    .catch(function() { callback("bd"); });
            },
            separateDialCode: true
        });

        // ফর্ম সাবমিট করার সময় ফুল ফোন নাম্বার যাতে সঠিকভাবে যায়
        document.querySelector("form").addEventListener("submit", function() {
            const fullNumber = phoneInput.getNumber();
            phoneInputField.value = fullNumber;
        });
    </script>
</body>

</html>