<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>শিক্ষক/খাদেম হাজিরা</title>

    <link href="https://fonts.googleapis.com/css2?family=Hind+Siliguri:wght@400;600;700&display=swap" rel="stylesheet">
    
    <style>
        :root {
            --primary-color: #3498db;
            --secondary-color: #2980b9;
            --success-color: #2ecc71;
            --danger-color: #e74c3c;
            --warning-color: #f39c12;
            --info-color: #1abc9c;
            --light-color: #ecf0f1;
            --dark-color: #2c3e50;
            --border-radius: 5px;
            --box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        * {
            box-sizing: border-box;
            margin: 0;
            padding: 0;
            font-family: 'Hind Siliguri', sans-serif;
        }

        body {
            background-color: rgba(231, 234, 240, 0.8);
            color: #333;
            line-height: 1.6;
            padding: 10px;
        }

        .container {
            max-width: 100%;
            margin: 0 auto;
            background-color: white;
            padding: 15px;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
        }

        h2 {
            color: var(--dark-color);
            text-align: center;
            margin-bottom: 15px;
            padding-bottom: 10px;
            border-bottom: 1px solid #eee;
            font-size: 1.5rem;
        }

        #attendanceList {
            margin-bottom: 20px;
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
        }

        .employee {
            flex: 1 1 100%;
            min-width: 0;
            display: flex;
            flex-direction: column;
            padding: 12px;
            background-color: var(--light-color);
            border-radius: var(--border-radius);
            transition: all 0.3s ease;
        }

        .employee:hover {
            background-color: #dfe6e9;
            transform: translateX(3px);
        }

        .employee-row {
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 100%;
        }

        .employee input[type="checkbox"] {
            margin-left: 10px;
            min-width: 18px;
            min-height: 18px;
            cursor: pointer;
        }

        .employee-details {
            flex-grow: 1;
            overflow: hidden;
        }

        .employee-name {
            font-size: 15px;
            font-weight: 600;
            margin-bottom: 3px;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .employee-phone {
            font-size: 13px;
            color: #555;
        }

        .status-select {
            width: 100%;
            margin-top: 8px;
            padding: 6px;
            border: 1px solid #ddd;
            border-radius: var(--border-radius);
            font-size: 13px;
        }

        #submitAttendance {
            display: block;
            width: 100%;
            padding: 12px;
            background-color: var(--primary-color);
            color: white;
            border: none;
            border-radius: var(--border-radius);
            font-size: 16px;
            cursor: pointer;
            transition: background-color 0.3s;
            margin-top: 15px;
        }

        #submitAttendance:hover {
            background-color: var(--secondary-color);
        }

        #response {
            margin-top: 15px;
            padding: 10px;
            border-radius: var(--border-radius);
            text-align: center;
            font-size: 14px;
        }

        .error-message {
            color: var(--danger-color);
            font-weight: bold;
        }

        .success-message {
            color: var(--success-color);
            font-weight: bold;
        }

        /* Modal Styles */
        .modal {
            display: none;
            position: fixed;
            z-index: 1000;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0, 0, 0, 0.4);
            animation: fadeIn 0.3s;
        }

        .modal-content {
            background-color: #fefefe;
            margin: 10% auto;
            padding: 15px;
            border-radius: var(--border-radius);
            width: 90%;
            max-width: 500px;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
            animation: slideIn 0.3s;
        }

        .modal-header {
            padding: 8px 0;
            border-bottom: 1px solid #eee;
            margin-bottom: 10px;
            display: flex;
            align-items: center;
        }

        .modal-icon {
            margin-right: 8px;
            font-size: 20px;
        }

        .warning-icon {
            color: var(--warning-color);
        }

        .info-icon {
            color: var(--info-color);
        }

        .modal-header h3 {
            color: var(--dark-color);
            margin: 0;
            font-size: 18px;
        }

        .modal-body {
            padding: 10px 0;
            margin-bottom: 10px;
            font-size: 14px;
            line-height: 1.6;
        }

        .notice-board {
            background-color: #f8f9fa;
            border-left: 4px solid var(--info-color);
            padding: 10px;
            margin-bottom: 10px;
            border-radius: 0 var(--border-radius) var(--border-radius) 0;
        }

        .notice-title {
            font-weight: bold;
            color: var(--dark-color);
            margin-bottom: 8px;
            font-size: 16px;
        }

        .notice-content {
            color: #555;
            font-size: 14px;
        }

        .notice-content p {
            margin-bottom: 6px;
        }

        .modal-footer {
            padding-top: 10px;
            border-top: 1px solid #eee;
            text-align: right;
        }

        .btn {
            padding: 6px 12px;
            border: none;
            border-radius: var(--border-radius);
            cursor: pointer;
            font-size: 13px;
            margin-left: 8px;
            transition: all 0.2s;
        }

        .btn-primary {
            background-color: var(--primary-color);
            color: white;
        }

        .btn-primary:hover {
            background-color: var(--secondary-color);
        }

        .btn-danger {
            background-color: var(--danger-color);
            color: white;
        }

        .btn-warning {
            background-color: var(--warning-color);
            color: white;
        }

        .btn-info {
            background-color: var(--info-color);
            color: white;
        }

        .datetime-container {
            margin-bottom: 15px;
            display: flex;
            flex-direction: column;
            gap: 5px;
        }

        .datetime-label {
            font-weight: bold;
            font-size: 14px;
        }

        .datetime-input {
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: var(--border-radius);
            font-size: 14px;
            width: 100%;
        }

        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }

        @keyframes slideIn {
            from { transform: translateY(-50px); opacity: 0; }
            to { transform: translateY(0); opacity: 1; }
        }

        /* Tablet and larger screens */
        @media (min-width: 600px) {
            .container {
                padding: 20px;
            }
            
            .employee {
                flex: 1 1 calc(50% - 10px);
            }
            
            .datetime-container {
                flex-direction: row;
                align-items: center;
            }
            
            .datetime-label {
                margin-right: 10px;
                white-space: nowrap;
            }
            
            .datetime-input {
                width: auto;
                flex-grow: 1;
            }
        }

        /* Desktop screens */
        @media (min-width: 900px) {
            .container {
                max-width: 1200px;
                padding: 30px;
            }
            
            .employee {
                flex: 1 1 calc(25% - 10px);
            }
            
            .modal-content {
                margin: 5% auto;
                padding: 20px;
            }
        }

        /* Small mobile devices */
        @media (max-width: 360px) {
            .employee-name {
                font-size: 14px;
            }
            
            .employee-phone {
                font-size: 12px;
            }
            
            .status-select {
                font-size: 12px;
                padding: 5px;
            }
            
            h2 {
                font-size: 1.3rem;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <?php if ($_SERVER['REQUEST_METHOD'] === 'POST'): ?>
            <?php
            $email = $_POST['email'];
            include_once '../db/database/conn.php';
            $db = new DBConn();
            $conn = $db->getConnection();

            $employees = [];
            $query = "SELECT name, phone, 'teacher' as type FROM teacher WHERE madrasha_email = ?
                      UNION ALL
                      SELECT name, phone, 'servant' as type FROM servants WHERE madrasha_email = ?";

            $stmt = $conn->prepare($query);
            $stmt->bind_param("ss", $email, $email);
            $stmt->execute();
            $result = $stmt->get_result();

            while ($row = $result->fetch_assoc()) {
                $employees[] = [
                    'name' => $row['name'],
                    'phone' => $row['phone'],
                    'type' => $row['type']
                ];
            }

            $stmt->close();
            $conn->close();
            ?>

            <!-- Notice Board Modal -->
            <div id="noticeModal" class="modal" style="display: block;">
                <div class="modal-content">
                    <div class="modal-header">
                        <span class="modal-icon info-icon">📢</span>
                        <h3>নোটিশ বোর্ড</h3>
                    </div>
                    <div class="modal-body">
                        <div class="notice-board">
                            <div class="notice-title">গুরুত্বপূর্ণ নোটিশ</div>
                            <div class="notice-content">
                                <p>১. হাজিরা দেওয়ার সময় সঠিক তারিখ ও সময় নির্বাচন করুন।</p>
                                <p>২. উপস্থিত শিক্ষক/খাদেমের জন্য চেকবক্সে টিক দিন।</p>
                                <p>৩. অনুপস্থিতদের জন্য স্টেটাস নির্বাচন করুন (রুখসত/বিমার)।</p>
                                <p>৪. হাজিরা জমা দেওয়ার পর তা সম্পাদনা করা যাবে না।</p>
                            </div>
                        </div>
                        <p style="margin-top: 15px; color: var(--dark-color); font-weight: bold;">আজকের তারিখ: <?php echo date('d F Y'); ?></p>
                    </div>
                    <div class="modal-footer">
                        <button id="closeNotice" class="btn btn-info">ঠিক আছে, বুঝেছি</button>
                    </div>
                </div>
            </div>

            <h2>শিক্ষক/খাদেম হাজিরা</h2>
            
            <div class="datetime-container">
                <label for="attendanceDateTime" class="datetime-label">তারিখ ও সময়:</label>
                <input type="datetime-local" id="attendanceDateTime" class="datetime-input" required>
            </div>
            
            <div id="attendanceList"></div>
            <button id="submitAttendance">হাজিরা জমা দিন</button>
            <div id="response"></div>

            <div id="emptyCheckModal" class="modal">
                <div class="modal-content">
                    <div class="modal-header">
                        <span class="modal-icon warning-icon">⚠️</span>
                        <h3>সতর্কতা</h3>
                    </div>
                    <div class="modal-body">
                        <p>আপনি কি নিশ্চিত যে হাজিরা জমা দিতে চান?</p>
                    </div>
                    <div class="modal-footer">
                        <button id="confirmSubmit" class="btn btn-primary">হ্যাঁ, জমা দিন</button>
                        <button id="cancelSubmit" class="btn btn-danger">বাতিল করুন</button>
                    </div>
                </div>
            </div>

            <div id="dateTimeWarningModal" class="modal">
                <div class="modal-content">
                    <div class="modal-header">
                        <span class="modal-icon warning-icon">⚠️</span>
                        <h3>সতর্কতা</h3>
                    </div>
                    <div class="modal-body">
                        <p>দয়া করে তারিখ এবং সময় নির্বাচন করুন</p>
                    </div>
                    <div class="modal-footer">
                        <button id="okDateTimeWarning" class="btn btn-warning">ঠিক আছে</button>
                    </div>
                </div>
            </div>

            <script>
                const employees = <?= json_encode($employees); ?>;
                const attendanceList = document.getElementById("attendanceList");
                const submitButton = document.getElementById("submitAttendance");
                const modal = document.getElementById("emptyCheckModal");
                const confirmSubmit = document.getElementById("confirmSubmit");
                const cancelSubmit = document.getElementById("cancelSubmit");
                const dateTimeInput = document.getElementById("attendanceDateTime");
                const email = "<?= $email ?>";
                const dateTimeWarningModal = document.getElementById("dateTimeWarningModal");
                const okDateTimeWarning = document.getElementById("okDateTimeWarning");
                const noticeModal = document.getElementById("noticeModal");
                const closeNotice = document.getElementById("closeNotice");

                // Set default datetime to current time
                window.onload = function() {
                    const now = new Date();
                    const timezoneOffset = now.getTimezoneOffset() * 60000;
                    const localISOTime = (new Date(now - timezoneOffset)).toISOString().slice(0, 16);
                    dateTimeInput.value = localISOTime;
                };

                function sendDataToPHP(employee, status, dateTime) {
                    fetch('attendance_api.php', {
                        method: 'POST',
                        headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
                        body: `name=${encodeURIComponent(employee.name)}&phone=${encodeURIComponent(employee.phone)}&type=${encodeURIComponent(employee.type)}&status=${encodeURIComponent(status)}&time=${encodeURIComponent(dateTime)}&email=${encodeURIComponent(email)}`
                    })
                    .then(response => response.text())
                    .then(data => {
                        document.getElementById("response").innerHTML = `<p class="success-message">${data}</p>`;
                        submitButton.disabled = true;
                        submitButton.style.backgroundColor = "#95a5a6";
                        submitButton.textContent = "হাজিরা জমা দেওয়া হয়েছে";
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        document.getElementById("response").innerHTML = `<p class="error-message">ত্রুটি: ${error.message}</p>`;
                    });
                }

                function setupAttendanceCheckboxes() {
                    if (employees.length === 0) {
                        attendanceList.innerHTML = "<p style='color: #e74c3c; font-weight: bold; text-align: center;'>কোন শিক্ষক/খাদেম পাওয়া যায়নি!</p>";
                        submitButton.style.display = "none";
                        return;
                    }

                    employees.forEach((employee, index) => {
                        const div = document.createElement("div");
                        div.classList.add("employee");

                        const rowDiv = document.createElement("div");
                        rowDiv.classList.add("employee-row");

                        const detailsDiv = document.createElement("div");
                        detailsDiv.classList.add("employee-details");

                        const nameDiv = document.createElement("div");
                        nameDiv.classList.add("employee-name");
                        nameDiv.textContent = employee.name;

                        const phoneDiv = document.createElement("div");
                        phoneDiv.classList.add("employee-phone");
                        phoneDiv.textContent = employee.phone || 'নাম্বার নেই';

                        detailsDiv.appendChild(nameDiv);
                        detailsDiv.appendChild(phoneDiv);

                        const checkbox = document.createElement("input");
                        checkbox.type = "checkbox";
                        checkbox.id = `employee${index}`;

                        rowDiv.appendChild(detailsDiv);
                        rowDiv.appendChild(checkbox);
                        div.appendChild(rowDiv);

                        // Add status select dropdown
                        const select = document.createElement("select");
                        select.classList.add("status-select");
                        select.id = `status${index}`;
                        
                        const defaultOption = document.createElement("option");
                        defaultOption.value = "";
                        defaultOption.textContent = "স্টেটাস নির্বাচন করুন";
                        select.appendChild(defaultOption);
                        
                        const leaveOption = document.createElement("option");
                        leaveOption.value = "rukhsot";
                        leaveOption.textContent = "রুখসত";
                        select.appendChild(leaveOption);
                        
                        const sickOption = document.createElement("option");
                        sickOption.value = "beemar";
                        sickOption.textContent = "বিমার";
                        select.appendChild(sickOption);

                        div.appendChild(select);
                        attendanceList.appendChild(div);
                    });
                }

                function submitAttendance() {
                    const selectedDateTime = dateTimeInput.value;

                    if (!selectedDateTime) {
                        dateTimeWarningModal.style.display = "block";
                        return;
                    }

                    // সবসময় মোডাল দেখাবে, এমনকি কিছু সিলেক্ট করা থাকলেও
                    modal.style.display = "block";
                }

                function proceedWithSubmission() {
                    const checkboxes = document.querySelectorAll("input[type='checkbox']");
                    const statusSelects = document.querySelectorAll(".status-select");
                    const selectedDateTime = dateTimeInput.value;

                    employees.forEach((employee, index) => {
                        const statusSelect = document.getElementById(`status${index}`);
                        let status;
                        
                        if (statusSelect.value !== "") {
                            status = statusSelect.value;
                        } else {
                            status = checkboxes[index].checked ? "checked" : "unchecked";
                        }
                        
                        sendDataToPHP(employee, status, selectedDateTime);
                    });
                }

                submitButton.addEventListener("click", submitAttendance);
                confirmSubmit.addEventListener("click", function () {
                    modal.style.display = "none";
                    proceedWithSubmission();
                });
                cancelSubmit.addEventListener("click", function () {
                    modal.style.display = "none";
                });
                okDateTimeWarning.addEventListener("click", function() {
                    dateTimeWarningModal.style.display = "none";
                });
                closeNotice.addEventListener("click", function() {
                    noticeModal.style.display = "none";
                });
                
                window.addEventListener("click", function (event) {
                    if (event.target == modal) {
                        modal.style.display = "none";
                    }
                    if (event.target == dateTimeWarningModal) {
                        dateTimeWarningModal.style.display = "none";
                    }
                    if (event.target == noticeModal) {
                        noticeModal.style.display = "none";
                    }
                });

                setupAttendanceCheckboxes();
            </script>
        <?php endif; ?>
    </div>
</body>
</html>