<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>মাদ্রাসা উপস্থিতি রিপোর্ট</title>

	<link href="https://fonts.googleapis.com/css2?family=Hind+Siliguri:wght@400;600;700&display=swap" rel="stylesheet">

	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

	<style>
		:root {
			--primary-color: #3498db;
			--secondary-color: #2c3e50;
			--success-color: #27ae60;
			--danger-color: #e74c3c;
			--warning-color: #f39c12;
			--info-color: #9b59b6;
			--light-gray: #ecf0f1;
			--dark-gray: #7f8c8d;
		}

		* {
			box-sizing: border-box;
			margin: 0;
			padding: 0;
			font-family: 'Hind Siliguri', sans-serif;
		}

		body {
			font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
			line-height: 1.6;
			color: #333;
			max-width: 100%;
			margin: 0;
			padding: 15px;
			background-color: #f5f5f5;
			font-size: 16px;
		}

		.container {
			max-width: 1200px;
			margin: 0 auto;
			padding: 0 15px;
		}

		.date-card {
			background-color: white;
			border-radius: 8px;
			box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
			margin-bottom: 25px;
			overflow: hidden;
			transition: all 0.3s ease;
			display: none;
		}

		.date-card.visible {
			display: block;
		}

		.date-header {
			background-color: rgb(1, 117, 59);
			color: white;
			padding: 12px 20px;
			font-size: 1.1rem;
			font-weight: bold;
			display: flex;
			flex-wrap: wrap;
			gap: 8px 15px;
			align-items: center;
			justify-content: space-between;
			cursor: pointer;
			transition: all 0.3s;
		}

		.date-header:hover {
			background-color: rgb(0, 100, 50);
		}

		.date-title {
			flex: 1;
			min-width: 200px;
		}

		.session-count {
			background-color: rgba(255, 255, 255, 0.2);
			padding: 4px 12px;
			border-radius: 20px;
			font-size: 0.9rem;
			display: flex;
			align-items: center;
			gap: 5px;
		}

		.session-count i {
			font-style: normal;
		}

		.attendance-count {
			background-color: var(--secondary-color);
			padding: 4px 12px;
			border-radius: 20px;
			font-size: 0.9rem;
			display: inline-block;
			text-align: center;
		}

		.attendance-table {
			width: 100%;
			border-collapse: collapse;
			font-size: 0.95rem;
		}

		.attendance-table th {
			background-color: #f2f2f2;
			padding: 12px 10px;
			text-align: left;
			font-weight: 600;
		}

		.attendance-table td {
			padding: 12px 10px;
			border-bottom: 1px solid #e0e0e0;
			word-break: break-word;
		}

		.attendance-table tr:last-child td {
			border-bottom: none;
		}


.status-badge {
    display: inline-block;
    padding: 4px 12px;
    border-radius: 20px;
    font-weight: 600;
    font-size: 0.85rem;
    text-align: center;
    min-width: 80px;
}

.status-present {
    background-color: rgba(39, 174, 96, 0.15);
    color: #27ae60;
    border: 1px solid rgba(39, 174, 96, 0.3);
}

.status-absent {
    background-color: rgba(231, 76, 60, 0.15);
    color: #e74c3c;
    border: 1px solid rgba(231, 76, 60, 0.3);
}

.status-leave {
    background-color: rgba(243, 156, 18, 0.15);
    color: #f39c12;
    border: 1px solid rgba(243, 156, 18, 0.3);
}

.status-sick {
    background-color: rgba(155, 89, 182, 0.15);
    color: #9b59b6;
    border: 1px solid rgba(155, 89, 182, 0.3);
}


		.no-data {
			text-align: center;
			padding: 30px;
			color: #7f8c8d;
			font-style: italic;
		}

		.report-title {
			background-color: var(--secondary-color);
			color: white;
			padding: 15px;
			border-radius: 8px;
			margin-bottom: 20px;
			text-align: center;
		}

		h1 {
			text-align: center;
			color: white;
			margin-bottom: 15px;
			font-size: 1.5rem;
		}

		.time-group {
			margin-bottom: 15px;
			border-radius: 0 0 6px 6px;
			overflow: hidden;
			margin: 20px;
			box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
		}

		.time-label {
			padding: 10px 15px;
			background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
			color: white;
			font-weight: bold;
			font-size: 0.95rem;
			border-radius: 6px 6px 0 0;
			margin-top: 15px;
			display: flex;
			align-items: center;
			box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
			position: relative;
			text-transform: uppercase;
			letter-spacing: 0.5px;
		}

		.time-label:after {
			content: "";
			position: absolute;
			left: 15px;
			bottom: -5px;
			width: 10px;
			height: 10px;
			background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
			transform: rotate(45deg);
			z-index: 1;
		}

		.date-selection {
			background-color: white;
			padding: 25px;
			border-radius: 12px;
			box-shadow: 0 4px 20px rgba(0, 0, 0, 0.08);
			margin-bottom: 30px;
			display: flex;
			flex-wrap: wrap;
			gap: 20px;
			align-items: flex-end;
			background: linear-gradient(135deg, #f8f9fa 0%, #ffffff 100%);
			border: 1px solid rgba(0, 0, 0, 0.05);
		}

		.date-selection-title {
			width: 100%;
			font-size: 1.2rem;
			color: #2c3e50;
			font-weight: 700;
			margin-bottom: 10px;
			display: flex;
			align-items: center;
			gap: 10px;
		}

		.date-selection-title i {
			color: #3498db;
			font-size: 1.4rem;
		}

		.select-group {
			display: flex;
			flex-direction: column;
			gap: 8px;
			flex: 1;
			min-width: 180px;
		}

		.select-group label {
			font-weight: 600;
			color: #2c3e50;
			font-size: 0.95rem;
			display: flex;
			align-items: center;
			gap: 8px;
		}

		.select-group label i {
			color: #3498db;
			font-size: 1rem;
		}

		.select-group select {
			padding: 12px 15px;
			border: 2px solid #e0e0e0;
			border-radius: 8px;
			font-size: 1rem;
			background-color: white;
			color: #333;
			transition: all 0.3s ease;
			appearance: none;
			background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6 9 12 15 18 9'%3e%3c/polyline%3e%3c/svg%3e");
			background-repeat: no-repeat;
			background-position: right 12px center;
			background-size: 16px;
			cursor: pointer;
		}

		.select-group select:focus {
			outline: none;
			border-color: #3498db;
			box-shadow: 0 0 0 3px rgba(52, 152, 219, 0.2);
		}

		.select-group select:disabled {
			background-color: #f8f9fa;
			color: #95a5a6;
			cursor: not-allowed;
		}

		.show-all-btn {
			padding: 16px 20px;
			background: linear-gradient(135deg, #3498db 0%, #2980b9 100%);
			color: white;
			border: none;
			border-radius: 8px;
			cursor: pointer;
			font-weight: 600;
			transition: all 0.3s;
			display: flex;
			align-items: center;
			gap: 8px;
			box-shadow: 0 2px 10px rgba(52, 152, 219, 0.3);
			flex: 0 0 auto;
		}

		.show-all-btn:hover {
			background: linear-gradient(135deg, #2980b9 0%, #3498db 100%);
			transform: translateY(-2px);
			box-shadow: 0 4px 12px rgba(52, 152, 219, 0.4);
		}

		.show-all-btn:active {
			transform: translateY(0);
		}

		.show-all-btn i {
			font-size: 1.1rem;
		}

		.no-results {
			text-align: center;
			padding: 30px;
			background-color: white;
			border-radius: 8px;
			box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
			color: var(--danger-color);
			font-weight: 600;
			display: none;
		}

		.year-header {
			background: linear-gradient(135deg, #2c3e50, #34495e);
			color: white;
			padding: 15px 20px;
			margin: 25px 0 15px;
			border-radius: 8px;
			display: flex;
			justify-content: space-between;
			align-items: center;
			cursor: pointer;
			transition: all 0.3s;
			box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
		}

		.year-header:hover {
			background: linear-gradient(135deg, #34495e, #2c3e50);
			transform: translateY(-2px);
			box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
		}

		.year-header .year-title {
			font-size: 1.3rem;
			font-weight: bold;
		}

		.year-header .record-count {
			background-color: rgba(255, 255, 255, 0.2);
			padding: 5px 15px;
			border-radius: 20px;
			font-size: 0.95rem;
		}

		.year-header .toggle-icon {
			margin-left: 10px;
			transition: transform 0.3s;
		}

		.year-header.collapsed .toggle-icon {
			transform: rotate(-90deg);
		}

		.modal {
			display: none;
			position: fixed;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			background-color: rgba(0, 0, 0, 0.8);
			z-index: 1000;
			overflow-y: auto;
			padding: 20px;
		}

		.modal-content {
			background-color: white;
			border-radius: 10px;
			max-width: 1000px;
			margin: 30px auto;
			padding: 25px;
			box-shadow: 0 5px 30px rgba(0, 0, 0, 0.3);
			position: relative;
		}

		.modal-header {
			display: flex;
			justify-content: space-between;
			align-items: center;
			margin-bottom: 20px;
			padding-bottom: 15px;
			border-bottom: 1px solid #eee;
		}

		.modal-title {
			font-size: 1.5rem;
			color: #2c3e50;
			font-weight: bold;
		}

		.close-modal {
			background: none;
			border: none;
			font-size: 1.8rem;
			cursor: pointer;
			color: #7f8c8d;
			transition: color 0.3s;
		}

		.close-modal:hover {
			color: #e74c3c;
		}

		.modal-body {
			max-height: calc(100vh - 200px);
			overflow-y: auto;
		}

		.year-summary {
			display: flex;
			justify-content: space-around;
			flex-wrap: wrap;
			gap: 15px;
			margin-bottom: 25px;
			padding: 15px;
			background-color: #f8f9fa;
			border-radius: 8px;
		}

		.summary-card {
			flex: 1;
			min-width: 150px;
			text-align: center;
			padding: 15px;
			border-radius: 8px;
			background-color: white;
			box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
		}

		.summary-card .value {
			font-size: 1.8rem;
			font-weight: bold;
			margin-bottom: 5px;
		}

		.summary-card .label {
			font-size: 0.9rem;
			color: #7f8c8d;
		}

		.present .value {
			color: var(--success-color);
		}

		.absent .value {
			color: var(--danger-color);
		}

		.leave .value {
			color: var(--warning-color);
		}

		.sick .value {
			color: var(--info-color);
		}

		.month-section {
			margin-bottom: 25px;
			border: 1px solid #e0e0e0;
			border-radius: 8px;
			overflow: hidden;
		}

		.month-header {
			background: linear-gradient(135deg, #3498db, #2980b9);
			color: white;
			padding: 12px 15px;
			font-weight: bold;
			font-size: 1.1rem;
		}

		.dates-container {
			display: grid;
			grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
			gap: 10px;
			padding: 15px;
			background-color: white;
		}

		.date-item {
			padding: 10px;
			border-radius: 6px;
			background-color: #f8f9fa;
			cursor: pointer;
			transition: all 0.3s;
			border: 1px solid #e0e0e0;
		}

		.date-item:hover {
			background-color: #e9ecef;
			transform: translateY(-2px);
			box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
		}

		.date-day {
			font-weight: bold;
			color: #2c3e50;
			margin-bottom: 5px;
		}

		.date-number {
			color: #7f8c8d;
			font-size: 0.9rem;
		}

		.today-btn {
			padding: 16px 20px;
			background: linear-gradient(135deg, #27ae60, #2ecc71);
			color: white;
			border: none;
			border-radius: 8px;
			cursor: pointer;
			font-weight: 600;
			transition: all 0.3s;
			display: flex;
			align-items: center;
			gap: 8px;
			box-shadow: 0 2px 10px rgba(39, 174, 96, 0.3);
			flex: 0 0 auto;
		}

		.today-btn:hover {
			background: linear-gradient(135deg, #2ecc71, #27ae60);
			transform: translateY(-2px);
			box-shadow: 0 4px 12px rgba(39, 174, 96, 0.4);
		}

		.today-btn:active {
			transform: translateY(0);
		}

		.today-btn i {
			font-size: 1.1rem;
		}

		.today-modal .modal-content {
			max-width: 1000px;
		}

		.today-header {
			background: linear-gradient(135deg, #27ae60, #2ecc71);
			color: white;
			padding: 15px;
			border-radius: 8px;
			margin: -25px -25px 20px -25px;
			text-align: center;
		}

		.today-date {
			font-size: 1.3rem;
			font-weight: bold;
			margin-bottom: 5px;
			margin-top: 15px;
		}

		.today-summary {
			display: flex;
			justify-content: center;
			gap: 15px;
			margin-bottom: 20px;
			flex-wrap: wrap;
		}

		.today-summary-item {
			background-color: rgba(255, 255, 255, 0.2);
			padding: 10px 15px;
			border-radius: 6px;
			text-align: center;
			min-width: 120px;
		}

		.today-summary-value {
			font-size: 1.5rem;
			font-weight: bold;
			margin-bottom: 5px;
		}

		.today-summary-label {
			font-size: 0.9rem;
		}

		.today-time-group {
			margin-bottom: 25px;
			border: 1px solid #e0e0e0;
			border-radius: 8px;
			overflow: hidden;
		}

		.today-time-header {
			background-color: #3498db;
			color: white;
			padding: 10px 15px;
			font-weight: bold;
			display: flex;
			justify-content: space-between;
			align-items: center;
		}

		.today-records-count {
			background-color: rgba(255, 255, 255, 0.2);
			padding: 3px 10px;
			border-radius: 20px;
			font-size: 0.9rem;
		}

		.today-attendance-table {
			width: 100%;
			border-collapse: collapse;
		}

		.today-attendance-table th {
			background-color: #f2f2f2;
			padding: 12px 10px;
			text-align: left;
			font-weight: 600;
		}

		.today-attendance-table td {
			padding: 12px 10px;
			border-bottom: 1px solid #e0e0e0;
		}

		.today-attendance-table tr:last-child td {
			border-bottom: none;
		}

		.today-no-data {
			text-align: center;
			padding: 30px;
			color: #7f8c8d;
			font-style: italic;
		}

		@media (max-width: 768px) {
			.date-selection {
				padding: 20px;
				gap: 15px;
			}

			.select-group {
				min-width: 100%;
			}

			.show-all-btn {
				width: 100%;
				justify-content: center;
				padding: 14px 20px;
			}

			.attendance-table {
				display: block;
				overflow-x: auto;
				-webkit-overflow-scrolling: touch;
			}

			.attendance-table th,
			.attendance-table td {
				min-width: 120px;
			}

			.date-header {
				font-size: 1rem;
				padding: 10px 15px;
				flex-direction: column;
				align-items: flex-start;
			}

			.date-title {
				min-width: 100%;
			}

			.session-count,
			.attendance-count {
				align-self: flex-start;
			}

			h1 {
				font-size: 1.3rem;
			}

			.modal-content {
				padding: 15px;
			}

			.modal-title {
				font-size: 1.2rem;
			}

			.summary-card {
				min-width: 120px;
				padding: 10px;
			}

			.summary-card .value {
				font-size: 1.4rem;
			}

			.dates-container {
				grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
			}

			.today-summary {
				gap: 10px;
			}

			.today-summary-item {
				min-width: 100px;
				padding: 8px 10px;
			}

			.today-summary-value {
				font-size: 1.2rem;
			}
		}

		@media (max-width: 480px) {
			.dates-container {
				grid-template-columns: 1fr;
			}
		}
	</style>
</head>

<body>
	<div class="container">
		<div class="report-title">
			<h1>শিক্ষক/খাদেম উপস্থিতি রিপোর্ট</h1>
		</div>

		<div class="date-selection">
			<div class="date-selection-title">
				<i class="fas fa-calendar-alt"></i>
				<span>তারিখ অনুসারে রিপোর্ট ফিল্টার করুন</span>
			</div>

			<div class="select-group">
				<label for="yearSelect">
					<i class="fas fa-calendar"></i>
					বছর নির্বাচন
				</label>
				<select id="yearSelect">
					<option value="">সকল বছর</option>
				</select>
			</div>

			<div class="select-group">
				<label for="monthSelect">
					<i class="far fa-calendar"></i>
					মাস নির্বাচন
				</label>
				<select id="monthSelect" disabled>
					<option value="">প্রথমে বছর নির্বাচন করুন</option>
				</select>
			</div>

			<div class="select-group">
				<label for="daySelect">
					<i class="far fa-calendar-check"></i>
					তারিখ নির্বাচন
				</label>
				<select id="daySelect" disabled>
					<option value="">প্রথমে মাস নির্বাচন করুন</option>
				</select>
			</div>

			<button class="today-btn" id="todayBtn">
				<i class="fas fa-calendar-day"></i> আজকের উপস্থিতি দেখুন
			</button>

			<button class="show-all-btn" id="showAllBtn">
				<i class="fas fa-list"></i> সকল রেকর্ড দেখুন
			</button>
		</div>

		<div class="no-results" id="noResults">
			<i class="fas fa-exclamation-circle"></i> নির্বাচিত তারিখের জন্য কোনো রেকর্ড পাওয়া যায়নি
		</div>

		<?php
		include_once('../db/database/conn.php');

		if ($_SERVER['REQUEST_METHOD'] === 'POST'):
			$db = new DBConn();
			$conn = $db->getConnection();

			$email = $_POST['email'];

			$sql = "SELECT name, status, phone, datetime FROM ts_attendance WHERE madrasha_email = '$email' ORDER BY datetime DESC";
			$result = $conn->query($sql);

			if ($result->num_rows > 0):
				$groupedData = array();
				while ($row = $result->fetch_assoc()):
					$date = date('Y-m-d', strtotime($row['datetime']));
					if (!isset($groupedData[$date])) {
						$groupedData[$date] = array();
					}
					$groupedData[$date][] = $row;
				endwhile;

				$yearlyData = array();
				foreach ($groupedData as $date => $attendanceRecords) {
					$year = date('Y', strtotime($date));
					if (!isset($yearlyData[$year])) {
						$yearlyData[$year] = array();
					}
					$yearlyData[$year][$date] = $attendanceRecords;
				}

				krsort($yearlyData);

				foreach ($yearlyData as $year => $yearData):
					$totalRecords = 0;
					$presentCount = 0;
					$absentCount = 0;
					$leaveCount = 0;
					$sickCount = 0;
					$uniqueDates = array();

					foreach ($yearData as $date => $records) {
						$totalRecords += count($records);
						$uniqueDates[] = $date;

						foreach ($records as $record) {
							$status = strtolower($record['status']);
							switch ($status) {
								case 'checked':
									$presentCount++;
									break;
								case 'unchecked':
									$absentCount++;
									break;
								case 'rukhsot':
									$leaveCount++;
									break;
								case 'beemar':
									$sickCount++;
									break;
							}
						}
					}

					$uniqueDateCount = count($uniqueDates);
					?>
					<div class="year-header" data-year="<?php echo $year; ?>">
						<div class="year-title"><?php echo $year; ?> সালের রিপোর্ট</div>
						<div class="record-count"><?php echo $uniqueDateCount; ?> দিনের রেকর্ড</div>
						<i class="fas fa-chevron-down toggle-icon"></i>
					</div>

					<div class="year-content" id="year-<?php echo $year; ?>" style="display: none;">
						<?php
						krsort($yearData);

						foreach ($yearData as $date => $attendanceRecords):
							$formattedDate = date('j F, Y (l)', strtotime($date));
							$dbDate = date('Y-m-d', strtotime($date));
							$year = date('Y', strtotime($date));
							$month = date('m', strtotime($date));
							$day = date('d', strtotime($date));

							$uniqueSessions = array();
							foreach ($attendanceRecords as $record) {
								$hour = date('H', strtotime($record['datetime']));
								if (!isset($uniqueSessions[$hour])) {
									$uniqueSessions[$hour] = true;
								}
							}
							$sessionCount = count($uniqueSessions);
							?>
							<div class="date-card" data-date="<?php echo $dbDate; ?>" data-year="<?php echo $year; ?>"
								data-month="<?php echo $month; ?>" data-day="<?php echo $day; ?>">
								<div class="date-header">
									<span class="date-title"><?php echo $formattedDate; ?></span>
									<span class="session-count">
										<i>হাজিরা সেশন:</i> <?php echo $sessionCount; ?> বার
									</span>
									<span class="attendance-count">মোট <?php echo count($attendanceRecords); ?> রেকর্ড</span>
								</div>

								<?php
								$timeGroups = array();
								foreach ($attendanceRecords as $record) {
									$timeKey = date('h:i A', strtotime($record['datetime']));
									if (!isset($timeGroups[$timeKey])) {
										$timeGroups[$timeKey] = array();
									}
									$timeGroups[$timeKey][] = $record;
								}

								foreach ($timeGroups as $time => $records): ?>
									<div class="time-group">
										<div class="time-label"><?php echo $time; ?></div>
										<table class="attendance-table">
											<thead>
												<tr>
													<th>নাম</th>
													<th>স্ট্যাটাস</th>
													<th>ফোন</th>
												</tr>
											</thead>
											<tbody>
												<?php
												foreach ($records as $record):
													$status = strtolower($record['status']);

													switch ($status) {
														case 'checked':
															$statusText = 'উপস্থিত';
															$statusClass = 'status-present';
															break;
														case 'unchecked':
															$statusText = 'অনুপস্থিত';
															$statusClass = 'status-absent';
															break;
														case 'rukhsot':
															$statusText = 'রুখসত';
															$statusClass = 'status-leave';
															break;
														case 'beemar':
															$statusText = 'বিমার';
															$statusClass = 'status-sick';
															break;
														default:
															$statusText = $record['status'];
															$statusClass = '';
													}
													?>
													<tr>
														<td><?php echo htmlspecialchars($record['name']); ?></td>
														<td>
    <span class="status-badge <?php echo $statusClass; ?>">
        <?php echo $statusText; ?>
    </span>
</td>
														<td><?php echo htmlspecialchars($record['phone']); ?></td>
													</tr>
												<?php endforeach; ?>
											</tbody>
										</table>
									</div>
								<?php endforeach; ?>
							</div>
						<?php endforeach; ?>
					</div>
				<?php endforeach;
			else: ?>
				<div class="no-data">
					<p>এই ইমেইল ঠিকানার জন্য কোনো উপস্থিতি রেকর্ড পাওয়া যায়নি</p>
				</div>
			<?php endif;
		else: ?>
			<div class="no-data">
				<p>উপস্থিতি ডাটা দেখতে ফর্ম সাবমিট করুন</p>
			</div>
		<?php endif; ?>
	</div>

	<div class="modal" id="yearModal">
		<div class="modal-content">
			<div class="modal-header">
				<h2 class="modal-title" id="modalYearTitle">২০২৩ সালের রিপোর্ট</h2>
				<button class="close-modal">&times;</button>
			</div>
			<div class="modal-body" id="modalYearBody">
			</div>
		</div>
	</div>

	<div class="modal today-modal" id="todayModal">
		<div class="modal-content">
			<div class="modal-header">
				<h2 class="modal-title">আজকের উপস্থিতি রিপোর্ট</h2>
				<button class="close-modal">&times;</button>
			</div>
			<div class="modal-body" id="todayModalBody">
				<div class="today-header">
					<div class="today-date" id="todayDateDisplay"></div>
					<div class="today-summary" id="todaySummary">
					</div>
				</div>

				<div id="todayAttendanceData">
				</div>
			</div>
		</div>
	</div>

	<script>
		document.addEventListener('DOMContentLoaded', function () {
			const yearSelect = document.getElementById('yearSelect');
			const monthSelect = document.getElementById('monthSelect');
			const daySelect = document.getElementById('daySelect');
			const showAllBtn = document.getElementById('showAllBtn');
			const noResults = document.getElementById('noResults');
			const dateCards = document.querySelectorAll('.date-card');
			const yearHeaders = document.querySelectorAll('.year-header');
			const modal = document.getElementById('yearModal');
			const closeModal = document.querySelector('.close-modal');
			const modalTitle = document.getElementById('modalYearTitle');
			const modalBody = document.getElementById('modalYearBody');
			const todayBtn = document.getElementById('todayBtn');
			const todayModal = document.getElementById('todayModal');
			const todayModalBody = document.getElementById('todayModalBody');
			const todayDateDisplay = document.getElementById('todayDateDisplay');
			const todaySummary = document.getElementById('todaySummary');
			const todayAttendanceData = document.getElementById('todayAttendanceData');
			const closeTodayModal = todayModal.querySelector('.close-modal');

			const allDates = Array.from(dateCards).map(card => {
				return {
					year: card.getAttribute('data-year'),
					month: card.getAttribute('data-month'),
					day: card.getAttribute('data-day'),
					date: card.getAttribute('data-date')
				};
			});

			const uniqueYears = [...new Set(allDates.map(d => d.year))].sort((a, b) => b - a);
			uniqueYears.forEach(year => {
				const option = document.createElement('option');
				option.value = year;
				option.textContent = year;
				yearSelect.appendChild(option);
			});

			const monthNames = {
				'01': 'জানুয়ারি',
				'02': 'ফেব্রুয়ারি',
				'03': 'মার্চ',
				'04': 'এপ্রিল',
				'05': 'মে',
				'06': 'জুন',
				'07': 'জুলাই',
				'08': 'আগস্ট',
				'09': 'সেপ্টেম্বর',
				'10': 'অক্টোবর',
				'11': 'নভেম্বর',
				'12': 'ডিসেম্বর'
			};

			const dayNames = {
				'Sunday': 'রবিবার',
				'Monday': 'সোমবার',
				'Tuesday': 'মঙ্গলবার',
				'Wednesday': 'বুধবার',
				'Thursday': 'বৃহস্পতিবার',
				'Friday': 'শুক্রবার',
				'Saturday': 'শনিবার'
			};

			yearSelect.addEventListener('change', function () {
				const selectedYear = this.value;

				monthSelect.innerHTML = '<option value="">সকল মাস</option>';
				daySelect.innerHTML = '<option value="">সকল তারিখ</option>';
				daySelect.disabled = true;

				if (selectedYear) {
					monthSelect.disabled = false;

					const monthsInYear = [...new Set(
						allDates
							.filter(d => d.year === selectedYear)
							.map(d => d.month)
					)].sort((a, b) => a - b);

					monthsInYear.forEach(month => {
						const option = document.createElement('option');
						option.value = month;
						option.textContent = monthNames[month] || month;
						monthSelect.appendChild(option);
					});
				} else {
					monthSelect.disabled = true;
				}

				filterResults();
			});

			monthSelect.addEventListener('change', function () {
				const selectedYear = yearSelect.value;
				const selectedMonth = this.value;

				daySelect.innerHTML = '<option value="">সকল তারিখ</option>';

				if (selectedMonth && selectedYear) {
					daySelect.disabled = false;

					const daysInMonth = [...new Set(
						allDates
							.filter(d => d.year === selectedYear && d.month === selectedMonth)
							.map(d => d.day)
					)].sort((a, b) => a - b);

					daysInMonth.forEach(day => {
						const option = document.createElement('option');
						option.value = day;
						option.textContent = day;
						daySelect.appendChild(option);
					});
				} else {
					daySelect.disabled = true;
				}

				filterResults();
			});

			daySelect.addEventListener('change', filterResults);

			showAllBtn.addEventListener('click', function () {
				yearSelect.value = '';
				monthSelect.innerHTML = '<option value="">প্রথমে বছর নির্বাচন করুন</option>';
				monthSelect.disabled = true;
				daySelect.innerHTML = '<option value="">প্রথমে মাস নির্বাচন করুন</option>';
				daySelect.disabled = true;
				filterResults();
			});

			function filterResults() {
				const selectedYear = yearSelect.value;
				const selectedMonth = monthSelect.value;
				const selectedDay = daySelect.value;

				let hasVisibleResults = false;

				dateCards.forEach(card => {
					const cardYear = card.getAttribute('data-year');
					const cardMonth = card.getAttribute('data-month');
					const cardDay = card.getAttribute('data-day');

					const yearMatch = !selectedYear || cardYear === selectedYear;
					const monthMatch = !selectedMonth || cardMonth === selectedMonth;
					const dayMatch = !selectedDay || cardDay === selectedDay;

					if (yearMatch && monthMatch && dayMatch) {
						card.classList.add('visible');
						hasVisibleResults = true;
					} else {
						card.classList.remove('visible');
					}
				});

				yearHeaders.forEach(header => {
					const year = header.getAttribute('data-year');
					const yearContent = document.getElementById(`year-${year}`);
					const hasVisibleCards = yearContent.querySelectorAll('.date-card.visible').length > 0;

					if (hasVisibleCards) {
						header.style.display = 'flex';
					} else {
						header.style.display = 'none';
					}
				});

				if (hasVisibleResults) {
					noResults.style.display = 'none';
				} else {
					noResults.style.display = 'block';
				}
			}

			yearHeaders.forEach(header => {
				header.addEventListener('click', function () {
					const year = this.getAttribute('data-year');
					const yearContent = document.getElementById(`year-${year}`);

					this.classList.toggle('collapsed');

					if (this.classList.contains('collapsed')) {
						yearContent.style.display = 'none';
					} else {
						yearContent.style.display = 'block';
					}

					showYearModal(year);
				});
			});

			closeModal.addEventListener('click', function () {
				modal.style.display = 'none';
			});

			window.addEventListener('click', function (event) {
				if (event.target === modal) {
					modal.style.display = 'none';
				}
			});

			function showYearModal(year) {
				modalTitle.textContent = `${year} সালের রিপোর্ট`;

				const yearCards = document.querySelectorAll(`.date-card[data-year="${year}"]`);

				let totalRecords = 0;
				let presentCount = 0;
				let absentCount = 0;
				let leaveCount = 0;
				let sickCount = 0;
				let uniqueDates = new Set();

				const datesByMonth = {};

				yearCards.forEach(card => {
					const date = card.getAttribute('data-date');
					uniqueDates.add(date);

					const month = card.getAttribute('data-month');
					if (!datesByMonth[month]) {
						datesByMonth[month] = [];
					}
					datesByMonth[month].push(date);

					const timeGroups = card.querySelectorAll('.time-group');
					timeGroups.forEach(group => {
						const rows = group.querySelectorAll('tbody tr');
						totalRecords += rows.length;

						rows.forEach(row => {
							const statusCell = row.querySelector('td:nth-child(2)');
							if (statusCell.classList.contains('status-present')) {
								presentCount++;
							} else if (statusCell.classList.contains('status-absent')) {
								absentCount++;
							} else if (statusCell.classList.contains('status-leave')) {
								leaveCount++;
							} else if (statusCell.classList.contains('status-sick')) {
								sickCount++;
							}
						});
					});
				});

				let modalContent = `
					<div class="year-summary">
						<div class="summary-card">
							<div class="value">${uniqueDates.size}</div>
							<div class="label">দিন</div>
						</div>
						<div class="summary-card present">
							<div class="value">${presentCount}</div>
							<div class="label">উপস্থিত</div>
						</div>
						<div class="summary-card absent">
							<div class="value">${absentCount}</div>
							<div class="label">অনুপস্থিত</div>
						</div>
						<div class="summary-card leave">
							<div class="value">${leaveCount}</div>
							<div class="label">রুখসত</div>
						</div>
						<div class="summary-card sick">
							<div class="value">${sickCount}</div>
							<div class="label">বিমার</div>
						</div>
						<div class="summary-card">
							<div class="value">${totalRecords}</div>
							<div class="label">মোট রেকর্ড</div>
						</div>
					</div>
					
					<h3 style="margin: 20px 0 10px; color: #2c3e50;">${year} সালের তারিখসমূহ:</h3>
				`;

				for (const month in datesByMonth) {
					if (datesByMonth.hasOwnProperty(month)) {
						const sortedDates = datesByMonth[month].sort().reverse();

						modalContent += `
							<div class="month-section">
								<div class="month-header">${monthNames[month] || month}</div>
								<div class="dates-container">
						`;

						sortedDates.forEach(date => {
							const dateObj = new Date(date);
							const dayName = dateObj.toLocaleDateString('en-US', { weekday: 'long' });
							const dayNumber = dateObj.getDate();

							modalContent += `
								<div class="date-item" data-date="${date}">
									<div class="date-day">${dayNames[dayName] || dayName}</div>
									<div class="date-number">${dayNumber} তারিখ</div>
								</div>
							`;
						});

						modalContent += `
								</div>
							</div>
						`;
					}
				}

				modalBody.innerHTML = modalContent;

				modalBody.querySelectorAll('.date-item').forEach(item => {
					item.addEventListener('click', function () {
						const date = this.getAttribute('data-date');
						scrollToDate(date);
						modal.style.display = 'none';
					});
				});

				modal.style.display = 'block';
			}

			function scrollToDate(date) {
				const card = document.querySelector(`.date-card[data-date="${date}"]`);
				if (card) {
					const year = card.getAttribute('data-year');
					const yearHeader = document.querySelector(`.year-header[data-year="${year}"]`);
					const yearContent = document.getElementById(`year-${year}`);

					if (yearHeader.classList.contains('collapsed')) {
						yearHeader.classList.remove('collapsed');
						yearContent.style.display = 'block';
					}

					card.classList.add('visible');
					card.scrollIntoView({ behavior: 'smooth', block: 'start' });

					card.style.boxShadow = '0 0 0 3px rgba(52, 152, 219, 0.5)';
					setTimeout(() => {
						card.style.boxShadow = '0 2px 10px rgba(0, 0, 0, 0.1)';
					}, 2000);
				}
			}

			todayBtn.addEventListener('click', function () {
				showTodaysAttendance();
			});

			closeTodayModal.addEventListener('click', function () {
				todayModal.style.display = 'none';
			});

			function showTodaysAttendance() {
				const today = new Date();
				const todayFormatted = today.toISOString().split('T')[0];

				const options = { year: 'numeric', month: 'long', day: 'numeric', weekday: 'long' };
				const todayDisplay = today.toLocaleDateString('bn-BD', options);
				todayDateDisplay.textContent = todayDisplay;

				const todayCards = Array.from(dateCards).filter(card => {
					return card.getAttribute('data-date') === todayFormatted;
				});

				if (todayCards.length === 0) {
					todayAttendanceData.innerHTML = `
						<div class="today-no-data">
							<p>আজকের তারিখের জন্য কোনো উপস্থিতি রেকর্ড পাওয়া যায়নি</p>
						</div>
					`;
					todaySummary.innerHTML = '';
					todayModal.style.display = 'block';
					return;
				}

				let presentCount = 0;
				let absentCount = 0;
				let leaveCount = 0;
				let sickCount = 0;
				let totalRecords = 0;
				let timeGroups = [];

				todayCards.forEach(card => {
					const timeGroupsInCard = card.querySelectorAll('.time-group');
					timeGroupsInCard.forEach(group => {
						const time = group.querySelector('.time-label').textContent;
						const rows = group.querySelectorAll('tbody tr');

						timeGroups.push({
							time: time,
							rows: rows
						});

						rows.forEach(row => {
							totalRecords++;
							const statusCell = row.querySelector('td:nth-child(2)');

							if (statusCell.classList.contains('status-present')) {
								presentCount++;
							} else if (statusCell.classList.contains('status-absent')) {
								absentCount++;
							} else if (statusCell.classList.contains('status-leave')) {
								leaveCount++;
							} else if (statusCell.classList.contains('status-sick')) {
								sickCount++;
							}
						});
					});
				});

				todaySummary.innerHTML = `
					<div class="today-summary-item">
						<div class="today-summary-value">${timeGroups.length}</div>
						<div class="today-summary-label">সেশন</div>
					</div>
					<div class="today-summary-item">
						<div class="today-summary-value">${totalRecords}</div>
						<div class="today-summary-label">মোট রেকর্ড</div>
					</div>
					<div class="today-summary-item" style="color: var(--success-color);">
						<div class="today-summary-value">${presentCount}</div>
						<div class="today-summary-label">উপস্থিত</div>
					</div>
					<div class="today-summary-item" style="color: var(--danger-color);">
						<div class="today-summary-value">${absentCount}</div>
						<div class="today-summary-label">অনুপস্থিত</div>
					</div>
					<div class="today-summary-item" style="color: var(--warning-color);">
						<div class="today-summary-value">${leaveCount}</div>
						<div class="today-summary-label">রুখসত</div>
					</div>
					<div class="today-summary-item" style="color: var(--info-color);">
						<div class="today-summary-value">${sickCount}</div>
						<div class="today-summary-label">বিমার</div>
					</div>
				`;

				let attendanceHTML = '';

				timeGroups.forEach(group => {
					attendanceHTML += `
						<div class="today-time-group">
							<div class="today-time-header">
								<span>${group.time}</span>
								<span class="today-records-count">${group.rows.length} রেকর্ড</span>
							</div>
							<table class="today-attendance-table">
								<thead>
									<tr>
										<th>নাম</th>
										<th>স্ট্যাটাস</th>
										<th>ফোন</th>
									</tr>
								</thead>
								<tbody>
					`;

					group.rows.forEach(row => {
						attendanceHTML += row.outerHTML;
					});

					attendanceHTML += `
								</tbody>
							</table>
						</div>
					`;
				});

				todayAttendanceData.innerHTML = attendanceHTML;
				todayModal.style.display = 'block';
			}

			window.addEventListener('click', function (event) {
				if (event.target === todayModal) {
					todayModal.style.display = 'none';
				}
			});

			filterResults();
		});
	</script>
</body>

</html>