<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Teacher Recruitment Form</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Add intl-tel-input CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css">

    <link rel="stylesheet" href="../css/glubal.style.css">

    
    <style>
        .iti {
            width: 100%;
        }
        .iti__flag-container {
            padding: 0 5px;
        }
        .form-section {
            background-color: #f8f9fa;
            border-radius: 10px;
            padding: 20px;
            margin-bottom: 20px;
        }
        .form-label {
            font-weight: 500;
        }
        @media (max-width: 768px) {
            .mtadddiv > div {
                margin-bottom: 15px;
            }
            h2 {
                font-size: 1.5rem;
            }
        }
    </style>
</head>

<body>
    <?php
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $email = $_POST['email'];
    }
    ?>

    <div class="container mt-3 mt-md-5 mb-5">
        <h2 class="text-center mb-4">মাদ্রাসা উস্তাদ ও স্টাফ নিয়োগ ফর্ম</h2>
        <form action="../db/teacher/create.php" method="POST" class="border p-3 p-md-4 rounded shadow">

            <input type="hidden" name="email" value="<?php echo $email; ?>">

            <div class="form-section">
                <div class="row mb-3 mtadddiv">
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="name" class="form-label">পূর্ণ নাম</label>
                        <input type="text" class="form-control" name="name" required>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="phone" class="form-label">মোবাইল নাম্বার</label>
                        <input type="tel" class="form-control" id="phone" name="phone" required>
                        <input type="hidden" id="full_phone" name="full_phone">
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="experience" class="form-label">শিক্ষকতার অভিজ্ঞতা (কত বছরের)</label>
                        <input type="number" class="form-control" name="experience" required>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="experience" class="form-label">আজকের তারিখ</label>
                        <input type="datetime-local" class="form-control" name="dates" required>
                    </div>
                </div>
            </div>

            <div class="form-section">
                <div class="row mb-3 mtadddiv">
                    <div class="col-12 col-md-8">
                        <label for="qualification" class="form-label">শিক্ষাগত যোগ্যতা ও বিস্তারিত আবেদন তথ্য</label>
                        <textarea class="form-control" name="qualification" rows="2" required></textarea>
                    </div>
                    <div class="col-12 col-md-4">
                        <label for="class_names" class="form-label">বিভাগের নাম</label>
                        <input list="class-options" name="class_names" class="form-select" required
                            placeholder="শ্রেণী নির্বাচন করুন বা লিখুন">
                        <datalist id="class-options">
                            <option value="নূরানী শিশু শ্রেণী">
                            <option value="নূরানী প্রথম শ্রেণী">
                            <option value="নাযারা">
                            <option value="হিফজ খানা">
                            <option value="কিতাব খানা">
                        </datalist>
                    </div>
                </div>
            </div>

            <div class="form-section">
                <div class="row mb-3 mtadddiv">
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="name" class="form-label">শিক্ষা বিভাগ প্রধানের নাম</label>
                        <input type="text" class="form-control" name="head_name" required>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="head_approval" class="form-label">অনুমোদন</label>
                        <input list="approval-options" name="head_approval" class="form-select" required placeholder="মতামত দিন">
                        <datalist id="approval-options">
                            <option value="অনুমোদিত">
                            <option value="অপেক্ষমান">
                            <option value="প্রত্যাখ্যাত">
                        </datalist>
                    </div>

                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="experience" class="form-label">পরিচালকের নাম</label>
                        <input type="text" class="form-control" name="director_name" required>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <label for="director_approval" class="form-label">অনুমোদন</label>
                        <input list="approval-options" name="director_approval" class="form-select" required placeholder="মতামত দিন">
                        <datalist id="approval-options">
                            <option value="অনুমোদিত">
                            <option value="অপেক্ষমান">
                            <option value="প্রত্যাখ্যাত">
                        </datalist>
                    </div>
                </div>
            </div>

            <button type="submit" class="btn btn-primary w-100 mt-3">আবেদন জমা দিন</button>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    
    <!-- Add intl-tel-input JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
    
    <script>
        // Initialize the international telephone input
        const phoneInput = document.querySelector("#phone");
        const hiddenInput = document.querySelector("#full_phone");
        
        const iti = window.intlTelInput(phoneInput, {
            utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js",
            separateDialCode: true,
            initialCountry: "bd", // Default to Bangladesh
            preferredCountries: ["bd", "in", "pk", "us", "gb"],
            customPlaceholder: function(selectedCountryPlaceholder, selectedCountryData) {
                return " " + selectedCountryPlaceholder;
            }
        });

        // Update the hidden input with the full international number before form submission
        document.querySelector("form").addEventListener("submit", function() {
            hiddenInput.value = iti.getNumber();
        });
    </script>
</body>
</html>