<?php

header('Content-Type: application/json');

include_once ('../db/database/conn.php');

$db = new DBConn();
$conn = $db->getConnection();

// Fetch all unique exam details
$exam_query = "SELECT DISTINCT class_name, class_id, month_year, exam_name FROM exam_details";
$exam_result = $conn->query($exam_query);

$exam_data = [];
while ($exam = $exam_result->fetch_assoc()) {
    $class_name = $exam['class_name'];
    $class_id = $exam['class_id'];
    $month_year = $exam['month_year'];
    $exam_name = $exam['exam_name'];

    // Fetch students
    $students_query = "SELECT DISTINCT student_id, student_name FROM exam_details 
                       WHERE class_name = '$class_name' 
                       AND class_id = '$class_id'
                       AND month_year = '$month_year' 
                       AND exam_name = '$exam_name'";
    $students_result = $conn->query($students_query);

    $students = [];
    while ($student = $students_result->fetch_assoc()) {
        $student_id = $student['student_id'];
        $student_name = $student['student_name'];

        // Fetch subjects
        $subjects_query = "SELECT DISTINCT subject_name FROM subjects 
                           JOIN exam_details ON subjects.exam_id = exam_details.id
                           WHERE exam_details.class_name = '$class_name' 
                           AND exam_details.class_id = '$class_id'
                           AND exam_details.month_year = '$month_year' 
                           AND exam_details.exam_name = '$exam_name'
                           ORDER BY subject_name";
        $subjects_result = $conn->query($subjects_query);
        
        $subjects = [];
        while ($subject = $subjects_result->fetch_assoc()) {
            $subjects[] = $subject['subject_name'];
        }

        // Fetch marks for each subject
        $marks = [];
        $obtained_marks = 0;
        foreach ($subjects as $subject) {
            $marks_query = "SELECT subject_marks FROM subjects 
                            JOIN exam_details ON subjects.exam_id = exam_details.id
                            WHERE exam_details.student_id = '$student_id' 
                            AND exam_details.class_id = '$class_id'
                            AND subjects.subject_name = '$subject' LIMIT 1";
            $marks_result = $conn->query($marks_query);
            $mark = ($marks_result->num_rows > 0) ? $marks_result->fetch_assoc()['subject_marks'] : "00";

            $marks[$subject] = $mark;
            $obtained_marks += intval($mark);
        }

        $students[] = [
            "student_name" => $student_name,
            "marks" => $marks,
            "obtained_marks" => $obtained_marks,
            "total_marks" => count($subjects) * 100
        ];
    }

    // Store in array
    $exam_data[] = [
        "class_name" => $class_name,
        "class_id" => $class_id,
        "month_year" => $month_year,
        "exam_name" => $exam_name,
        "students" => $students,
        "subjects" => $subjects
    ];
}

echo json_encode($exam_data);
$conn->close();
?>
