function loadClasses() {
    let email = document.getElementById("madrashaEmail").value;
    let classDropdown = document.getElementById("classDropdown");
    let classIdDropdown = document.getElementById("classIdDropdown");

    if (!email) {
        alert("Please enter an email.");
        return;
    }

    let formData = new FormData();
    formData.append("email", email);

    fetch("getclasses_api.php", { 
        method: "POST",
        body: formData
    })
        .then(response => response.json())
        .then(data => {
            classDropdown.innerHTML = '<option value="">Select a Class</option>';
            classIdDropdown.innerHTML = '<option value="">Select Class ID & Name</option>';

            if (data.length > 0) {
                data.forEach(classItem => {
                    // ক্লাস নামের জন্য অপশন তৈরি
                    let classOption = document.createElement("option");
                    classOption.value = classItem.name;
                    classOption.textContent = classItem.name;
                    classDropdown.appendChild(classOption);

                    // ক্লাস আইডি + ক্লাস নামের জন্য অপশন তৈরি
                    let idOption = document.createElement("option");
                    idOption.value = classItem.id;
                    idOption.textContent = `${classItem.id} - ${classItem.name}`;
                    classIdDropdown.appendChild(idOption);
                });
            } else {
                alert("No classes found for this email.");
            }
        })
        .catch(error => console.error("Error:", error));
}

loadClasses();
