document.getElementById("classDropdown").addEventListener("change", fetchSubjects);

async function fetchSubjects() {
    const className = document.getElementById("classDropdown").value;
    const madrashaEmail = document.getElementById("madrashaEmail").value;
    const subjectCountInput = document.getElementById("subjectCount"); // subjectCount ফিল্ড 


    if (!className || !madrashaEmail) {
        return;
    }

    try {
        const response = await fetch("getsubjects_api.php", {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            },
            body: JSON.stringify({ class_name: className, madrasha_email: madrashaEmail })
        });

        const subjects = await response.json();
        const subjectDropdown = document.getElementById("subjectName");
        subjectDropdown.innerHTML = '<option value="">Select a subject</option>';

        subjects.forEach(subject => {
            const option = document.createElement("option");
            option.value = subject;
            option.textContent = subject;
            subjectDropdown.appendChild(option);
        });

        // টোটাল সাবজেক্ট কাউন্ট সেট করা
        subjectCountInput.value = subjects.length;

    } catch (error) {
        console.error("Error fetching subjects:", error);
    }
}
