<?php
header("Content-Type: application/json");
include_once("../db/database/conn.php");

$db = new DBConn();
$conn = $db->getConnection();

header("Content-Type: application/json");

$data = json_decode(file_get_contents("php://input"), true);

if (isset($data['class_name']) && isset($data['madrasha_email'])) {
    $class_name = $data['class_name'];
    $madrasha_email = $data['madrasha_email'];

    $query = "SELECT subject_name FROM booklist WHERE class_name = ? AND madrasha_email = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("ss", $class_name, $madrasha_email);
    $stmt->execute();
    $result = $stmt->get_result();

    $subjects = [];
    while ($row = $result->fetch_assoc()) {
        $subjects[] = $row['subject_name'];
    }

    echo json_encode($subjects);
} else {
    echo json_encode(["error" => "Invalid input"]);
}
?>
