let subjectsArray = [];
let count = 0;
let totalSubjects = 0;
let examDetails = {};

function showExamDialog() {
  document.getElementById("overlay").style.display = "block";
  document.getElementById("examDialog").style.display = "block";
}

function submitExamDetails() {
  totalSubjects = parseInt(document.getElementById("subjectCount").value) || 0;
  examDetails.className = document.getElementById("classDropdown").value.trim();
  examDetails.classID = document.getElementById("classIdDropdown").value.trim();
  examDetails.monthYear = document.getElementById("monthYear").value.trim();
  examDetails.examName = document.getElementById("examName").value.trim();

  examDetails.studentName = document.getElementById("studentName").value.trim();
  examDetails.studentID = document.getElementById("studentID").value.trim();
  examDetails.madrashaEmail = document
    .getElementById("madrashaEmail")
    .value.trim();

  if (
    totalSubjects > 0 &&
    examDetails.className &&
    examDetails.classID &&
    examDetails.monthYear &&
    examDetails.examName &&
    examDetails.studentName &&
    examDetails.studentID &&
    examDetails.madrashaEmail
  ) {
    document.getElementById("examDialog").style.display = "none";
    showSubjectDialog();
  } else {
    alert("Please enter valid exam details.");
  }
}

function showSubjectDialog() {
  if (count < totalSubjects) {
    document.getElementById("examDetailsDisplay").innerHTML = `
                    Class: ${examDetails.className} <br>
                    ID: ${examDetails.classID} <br>
                    Month-Year: ${examDetails.monthYear} <br>
                    Exam: ${examDetails.examName} <br>
                    Student Name: ${examDetails.studentName} <br>
                    Student ID: ${examDetails.studentID} <br>
                    Madrasha Email: ${examDetails.madrashaEmail}
                `;
    document.getElementById("subjectName").value = "";
    document.getElementById("subjectMarks").value = "";
    document.getElementById("subjectDialog").style.display = "block";
  } else {
    document.getElementById("overlay").style.display = "none";
  }
}

function submitSubject() {
  let subjectName = document.getElementById("subjectName").value.trim();
  let subjectMarks = document.getElementById("subjectMarks").value.trim();

  if (subjectName && subjectMarks !== "") {
    let table = document
      .getElementById("resultTable")
      .getElementsByTagName("tbody")[0];
    let newRow = table.insertRow();
    newRow.insertCell(0).innerText = examDetails.className;
    newRow.insertCell(1).innerText = examDetails.classID;
    newRow.insertCell(2).innerText = examDetails.monthYear;
    newRow.insertCell(3).innerText = examDetails.examName;
    newRow.insertCell(4).innerText = subjectName;
    newRow.insertCell(5).innerText = subjectMarks;
    newRow.insertCell(6).innerText = examDetails.studentName;
    newRow.insertCell(7).innerText = examDetails.studentID;
    newRow.insertCell(8).innerText = examDetails.madrashaEmail;

    subjectsArray.push({
      subject: subjectName,
      marks: subjectMarks,
    });

    count++;

    if (count < totalSubjects) {
      // যখন count totalSubjects এর চেয়ে ছোট, তখনই showSubjectDialog() কল হবে
      document.getElementById("subjectDialog").style.display = "none";
      showSubjectDialog();
    } else {
      document.getElementById("overlay").style.display = "none";
      document.getElementById("subjectDialog").style.display = "none";
      saveToDatabase(); // সব সাবজেক্ট ইনপুট নেওয়া হলে ডাটাবেজে সংরক্ষণ করা হবে
    }
  } else {
    alert("Please enter valid subject details.");
  }
}

async function saveToDatabase() {
  let data = {
    className: examDetails.className,
    classID: examDetails.classID,
    monthYear: examDetails.monthYear,
    examName: examDetails.examName,
    studentName: examDetails.studentName,
    studentID: examDetails.studentID,
    madrashaEmail: examDetails.madrashaEmail,
    subjects: JSON.stringify(subjectsArray), // সাবজেক্টের তথ্য JSON আকারে পাঠানো হবে
  };

  try {
    let response = await fetch("save_result.php", {
      method: "POST",
      headers: { "Content-Type": "application/x-www-form-urlencoded" },
      body: new URLSearchParams(data),
    });

    let result = await response.json();
    if (result.success) {
      alert("Data saved successfully!");
    } else {
      alert("Failed to save data.");
    }
  } catch (error) {
    console.error("Error:", error);
    alert("Something went wrong!");
  }
}

window.onload = showExamDialog;
