<?php

header("Content-Type: application/json");

include '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

// ফর্ম থেকে ইনপুট নেওয়া
$className = $_POST['className'];
$classID = $_POST['classID'];
$monthYear = $_POST['monthYear'];
$examName = $_POST['examName'];
$studentName = $_POST['studentName'];
$studentID = $_POST['studentID'];
$madrashaEmail = $_POST['madrashaEmail'];
$subjects = json_decode($_POST['subjects'], true); // সাবজেক্টের তথ্য JSON থেকে Array তে কনভার্ট

// প্রথমে পরীক্ষার ডাটা exam_details টেবিলে সংরক্ষণ করা হবে
$stmt = $conn->prepare("INSERT INTO exam_details (class_name, class_id, month_year, exam_name, student_name, student_id, madrasha_email) VALUES (?, ?, ?, ?, ?, ?, ?)");
$stmt->bind_param("sssssss", $className, $classID, $monthYear, $examName, $studentName, $studentID, $madrashaEmail);
$success = $stmt->execute();

if ($success) {
    $examId = $stmt->insert_id; // লাস্ট ইনসার্ট হওয়া exam_id পাওয়া যাবে
    $stmt->close();

    // এখন subjects টেবিলে সাবজেক্ট ও নাম্বার সংরক্ষণ করা হবে
    $stmt = $conn->prepare("INSERT INTO subjects (exam_id, subject_name, subject_marks) VALUES (?, ?, ?)");
    foreach ($subjects as $subject) {
        $stmt->bind_param("iss", $examId, $subject['subject'], $subject['marks']);
        $stmt->execute();
    }
    $stmt->close();

    echo json_encode(["success" => true, "message" => "Data saved successfully!"]);
} else {
    echo json_encode(["success" => false, "message" => "Failed to save exam details!"]);
}

$conn->close();
?>
