<?php

require_once 'db/database/conn.php';
$db = new DBConn();
$conn = $db->getConnection();

// Month নির্ধারণ করুন
$month = '2021-11'; // YYYY-MM format

// Query তৈরি
$sql = "
SELECT 
    DATE(created_at) as attendance_date,
    attendance_status
FROM 
    student_attendance
WHERE 
    DATE_FORMAT(created_at, '%Y-%m') = ?
ORDER BY 
    attendance_date ASC
";

// Prepare & execute
$stmt = $conn->prepare($sql);
$stmt->bind_param("s", $month);
$stmt->execute();
$result = $stmt->get_result();

// ফলাফল প্রসেসিং
$attendanceData = [];

// ডেটা গ্রুপিং
while ($row = $result->fetch_assoc()) {
    $date = $row['attendance_date'];
    $status = $row['attendance_status'];

    if (!isset($attendanceData[$status])) {
        $attendanceData[$status] = [
            'count' => 0,
            'dates' => []
        ];
    }

    $attendanceData[$status]['count']++;
    $attendanceData[$status]['dates'][] = $date;
}

// Display
foreach ($attendanceData as $status => $data) {
    echo "{$status}: {$data['count']} (" . implode(', ', $data['dates']) . ")\n";
    echo "----------------------\n";
}

$conn->close();
?>